This version of the Captools/net contains a number bug fixes and enhancements.

8/20/18
1) Captoolsnet.exe browser preference handling fixups. Now uses registry data for I.E. path.
2) SCPanel.exe "DB Fixup" now uses separate function for field renaming associated with IntraDayGains.
3) Shutdown of CTTasker and CTServer for updates and hotfix now use a function that tries up to 5x to "KillTask" to ensure these are shutdown.

8/8/18
1) CaptoolsDBInstSQLservice shutdown for Backups now uses "KillTask" function if "regular" stop function does not work.  x
2) SCPanel "Help/Launch Current Installer" now "Help/Launch Current Update" since the update is now performed from CTNetUpdate.zip.
3) CTNetZipUpdater tweaks to better ensure necessary services are shut down before installing updates.
4) Captools/net Desktop Browser Preference selection fixed so it stays as set.
5) Index Bug fixed in new code to support additional report placeholders report headers and user text.

7/23/2018
1) Report Set "Override Merge Criteria", "Save in Final Format" & "Generate Email" & "Send Later" now persist when report set saved.
2) "Total" header now not hidden in cumulative performance report
3) SCPanel "Help/Run Current Installer" now runs the CTNetUpdate2.exe version of the update without re-downloading.
4) "Total" header restored for cumulative performance report Gr. Total group.
5) ROI matrix & Portfolio ROI report periodicity custom Period Label tweaks. (first label now always used for inception, and inception dates now
consistently identical for both reports, and Periodicity no longer truncated following report on new accounts).
6) MS-Edge option for browser functions, now substitutes Internet Explorer due to 1/1/18 MS-Edge update which produces page error. Chrome or Firefox
can also be used.
7) Portfolio Spin-off and Merge tools now properly handle exchange rates in generated two currency transactions in multicurrency portfolios.
8) Account record "Value Date", "Value", etc updating now does not filter out incomplete valuations and also looks back as far as 240 days (was 120).
9) Cost basis and open lot units fixes for multicurrency auxiliary costing.
10) Price Lookup/Download function now checks for money fund symbol nomenclature before doing price downloads or lookups. Money fund prices are assumed 
to be always "1.0". 
11) Private equity reporting fields added (lev 4)
12) Local currency valuation fields added to position by lot reporting.
13) Current Mkt Value fields added to Transaction report at Level 3 for users tracking transaction level gains/losses
14) Money market unit pricing (price at "1") added in pricing routine if Symbol passes "Ismoneymarket" symbol test, even if mmf flag not set.
15) "Income by Security" report modified to add "Tax Withheld" entered under the TXW or TXS Tac codes.
16) "Max Stale Price Days" field is now a default visible Security Table field.
17) Position record pricing reverted to 5/25/17 code to fix problem of fetching stale mutual fund prices if prices weren't available for value date.
18) Fund Accounting "Fund Acct" records calc fixups for several fields to allow for closed accounts.
19) InvestStyle variable type increased from 8 to 20 chars.
20) Fix so Private equity net Capital Commit cannot go negative.
21) "Avg" Lot cost with split now properly adjusted for split.
22) Good Friday date holiday Algo fixed to handle end of month betw. G.F. & Easter.
23) Holiday and weekend dates valuation dates slightly lighter background color.
24) Report Set editing user interface/implementation modifications
25) Fee subtotal with Uniform period now reports correct Fee% on G/T line (does not change fee, which is correct)
26) Minor mods to Javascript code for consistency with current JS standards.
27) Removal (hiding) of some browser-page buttons no longer applicable due to browser changes, e.g. "close" buttons removed from
parent web page b/c most browsers will not allow closing a "main" page via javascript, either not responding or generating a prompt at a 
"random" screen location for user to respond to.  These pages can be closed by user however by "X-ing out of the page.
28) Captools/net now lets I.E. browser determine initial opening size (works best with hi-res displays)
29) Browser page hints now activated for non-I.E. browser. (e.g. Chrome, Firefox).
30) Browser page based functions scrubbed of most "modal" dialogs (e.g. asking user to respond) due to propensity for such dialogs to "get lost" on screen. These dialogs are usually redundant of on-page selections, therefore better "hints" now provided for "on-page" selections.  
31) Deletion of import files from Generic Import dialog removed b/c too much risk of inadvertant deletion of user's data.
32) Resolved potential data posting conflicts for portfolio and blotter transaction records.
33) SCPanel DB Fixup routine now "forces" fixup if user specifies a fixup start date (even if registry shows already fixedup).
34) Moving Captools/net install to new drive on same machine now does not require user manual re-registration of Midas.dll
35) Tightened up client/account dialogs on CTnet Desktop program to help fit on smaller screen make a bit easier to navigate.
35a) Selection of browser preference to be used for Captools browser based function now retained upon restart of CTNet Desktop.  5/22
36) TaskMain mem. leak now blocked.
37) Insertion of jpg/bmp images in User Text area now works for Header User Text and does not need to be accompanied by text.
38) Historical quote downloads (from Yahoo) current quotes if current date is indicated in download date range.
39) Report speed-up for performance reports that only show account grand total level detail 6/4
40) "Intra-Day" "Date", "Value" and "Gains" fields added to Account record to trigger and display mid-day account values, provided that current date price downloads are available (i.e.Yahoo). Clicking "compute" on Intra-Day Date" or "Intra-day Value" will fetch current prices and re-value temporary "Intra-Day" position/value records. These will be re-generated each date that this function is triggered.  "Intra-day" Value records will not be used for reporting b/c these typically are not based on "final" end of date prices.
41) Changes in code that supports insertion of Jpeg images in report "User Text" sections.  
42) Est. Tax credit no longer computed for Fee type transactions in accord with recent U.S. tax law changes.
43) Report email attachment filename now properly includes datestamp.
44) ROI Performance Chart fix of bug that could cause it to error out in some cases.
45) "Start Local Cost" and "Start Local Cost/Unit" fields added to reports for multi-currency licensees.
46) Server Control Panel "Services/Stop Tasker" command now uses "KillTask" instead of "StopService" function, to ensure the service does not get in a "hung" state.
47) "Security Statistics" record fields now "Nulled" when data is greater than one year old.
48) Two Objects in RepIntf.pas previously possibly not initialized, now initialized as "nil" hoping to resolve a report merge issue not easily reproduced.
49) A DateStamp now added to any emailed report file regardless of whether client info is included in the filename.
50) "PDF Formfill" button on Client record edit dialog now hidden (since it has been deactivated a long time).
51) Changes to Desktop program registry backup of view settings to better support including data in server-side backups
52) Server-side backup tweaks to better identify to user if and how a backup might have failed.
53) Multi-date batch valuations now has a "quarter-end" options.
54) Intra-day valuations (see #39 above) improvements to ensure that "intra-day" flag is not cleared by recalcs until after its date is no longer current.
55) Portfolio level performance reports no longer need "Hide Lines=None" to exclude Securities tagged as "No ROI" 
 
1/18/2018
1) Report Set "Override Merge Criteria", "Save in Final Format" & "Generate Email" & "Send Later" now persist when report set saved.
2) "Total" header now not hidden in cumulative performance report
3) SCPanel "Help/Run Current Installer" now runs the CTNetUpdate2.exe version of the update without re-downloading.
4) "Total" header restored for cumulative performance report Gr. Total group.
5) ROI matrix & Portfolio ROI report periodicity custom Period Label tweaks. (first label now always used for inception, and inception dates now
consistently identical for both reports, and Periodicity no longer truncated following report on new accounts).
6) MS-Edge option for browser functions, now substitutes Internet Explorer due to 1/1/18 MS-Edge update which produces page error. Chrome or Firefox
can also be used.
7) Portfolio Spin-off and Merge tools now properly handle exchange rates in generated two currency transactions in multicurrency portfolios.
8) Account record "Value Date", "Value", etc updating now does not filter out incomplete valuations and also looks back as far as 240 days (was 120).
9) Cost basis and open lot units fixes for multicurrency auxiliary costing.

1/5/2018
1) Position by lot report fix to 12/29 release bug that caused crash.
2) Reporting fix to sidestep a runtime bug (holdings rpt crash) that could arise from a field that was removed from a report but still was in the report template. 
3) Inception column restored for reports with periodicity
4) Cumulative Performance report restored to show each account separately in a multi-account portfolio report.

12/29/2017
1) Fund accounting highwater incentive fee computation fixes, particularly for case with an incentive base and no prior fee has been charged.
2) Compute of "Aux Amount" cost on Closing transactions with prior ROC transactions modified to use Lot "Rem Cost" and "Rem Qty" variables.
3) Position record "Cost/unit" display is now can show up to 4 places rather than 2 places previously due to rounding.
4) Account Selection for Report Sets now works reliably (bug fixed) and most report set settings persist as expected.
5) Browser functions now select correct "Default Browser" if that option is choosen by user.

12/14/2017
1) ROI matrix report column header formatting and layout fixes.
2) Tab Switching from Aux Tables to Portf. tables no longer sensitive to case of account number.
3) Custodian Open Lot and Realized Gains record import now forces upper case for account numbers for consistency with account record imports.
4) Custodian Open Lot reconciliation functionality fixes, including "pushing" custodian costs data to transactions via "Data/Calc" function.
5) RCV transactions now can initialize received in cost from custodian Open Lot records, but applying the "Data/Calc" function to the
AuxDate or Aux Amt fields.
6) Income report now has special option choice to combine short/long dividends and interest paid/received for net amounts.
7) Browser functions now invoke the Windows Default browser if "Custom Browser" is specified, but is not found or fails to open.
8) Fee Rates record "Days Per Year" field can now again be "blanked", in which case the value is assumed to be 365.25 days per year.
9) A disabling bug in "Tools" Distribution Generation function fixed. This function also now does not recalc from start of all transactions. 
10) "Blanking" price or value field on position record clears "stale days" field.
11) Desktop program "Hint" pause (time hint lingers on screen) increased from 2.5 sec. to 5 sec.
12) Desktop program "Show_Hints" actions added to "View" sub-menu, activated by default.  
13) Correction to fee bug in 9/12 release change that resulted in Div. by Zero error 10/2
14) Recon Record based pricing now applies "Relevant Mkt Pricing Date" criterion.
15) Reporting procedure FillRptDataSet disables DataControls on the report dataset for faster performance.
16) "Local Gain" and "Local Gain%" fields added to Positions records for multicurrency users.
17) CashFlow record list in cross-ref. perf. rpt now freed to fix memory leak.
18) CTTasker log message upon stopping removed, and "_synchronizer:=nil" added to 3rd party SVcom_NTService unit to initialize variable,
fixing unneccesary debug log entry/file generation upon stopping CTTasker service.
19) FillRptDataSet procedure for holding/performance reports now increases default "CommandTimeout" as necessary for extra large datasets.
20) Fee Rate Record "Non-prorate" option when checked, bills for full non-pro-rated period if either "Start" or "End" Value methods are used.
21) SCPanel DBpassword field is again displayed with PW characters obscured to comply with security stds. If you need to know the password, you
will must edit the password field to reset the password, and click the "save changes" button.
22) Fix to bug in earlier 10/11/17 custom Hotfix affecting Layered fees reported fee rate. 
23) Multi-symbol price download now have a 100 millisecond "sleep" gap after every symbol to allow yield to other processes.
24) "GetSymbolsHeldList" reverted back to 5/25 release code for PPO & PTR fetch for efficiency (smaller dataset fetched).
25) ROI matrix report now iterates through periods based upon RptDateList rather than "Period1..Period12"
26) "Period-to-date" type periods in reports no longer deduplicate when there are duplicate date pairs, such as first month of quarter or first quarter of year.
27) Reports with custom period labels suppress periods for which ReportSet data does not start on or prior to the period start date.
28) Reports with non-custom period labels now use notations "MTD", "QTD" and "YTD" for periods indicated with "*M", "*Q" and "*Y" in the periodicity spec.
29) Generic imports of records with Symbol fields now can lookup the symbol based upon an Alternative ISIN or SEDOL identifier if the notation "slf_ISIN" or "slf_SEDOL" is placed in the generic import "Format" field for the Symbol specification.
30) ROI Matrix report - Security detail ROI now has forced "Normalization" to the reported account period dates to ensure ROI consistency of Detail vs Acct Totals.
31) Report Period column headers no longer force 4-digit year format so as to better accomodate more data columns if the user so chooses.
32) Fund Accounting transaction record "Description" field maximum length increased to 160 chars and Fund Accounts "Account Name" field increased to 120 chars. 11/6
33) Generic import now fills "Required" fields with placeholder values to sidestep problem with imported data with missing reqd data fields.
34) Fund accounting GetFirstPerturbedPFTrecs function simplified.
35) Fund accounting fee generation tweak to deal help with initial period fee for a participant account which might start mid-period.
36) Fee reporting modification for Advance Fees to get correct Gr. Total Fee% reported for Uniform Period case.
37) Desktop program Date Format options disabled selection of formats beginning with "yy" or "yyyy" due to error being generated in third party
code when date is edited with that format.  However, if a Date format leading with "yy" or "yyyy" is desired, you can use the Windows Control Panel "Region"
setting to select such a format and then select "Use Windows Default" for the Captools/net date format selection.
38) LARGE_ADDRESS_AWARE Compile settings in CTServer activated in Build version to make more memory available.
39) "Number Formatting" control restored to CTNet Desktop "Program Prefs" (had been inadvert. pulled off the form).
40) Report log messages limited to 255 chars to prevent data overflow crash observed due long data list.  11/22 
41) Yahoo current quote downloads disabled to reflect apparent Verizon/Yahoo policy change re "semi-real-time quotes".  End of day quotes are downloadable
in next day in historical quote downloads.  
41) SCPanel "DB Fixup" function "From Date" control now works as intended to ensure that all fixups from user specified date are executed.
42) Custodian Import "Custom Checkbox" option that appears in some scripts now saves the user setting when checked or unchecked.
43) ROI report periodicity modifications to align weekly, monthly and quarterly report periods with end of period (i.e. week, month, qtr) when the initial end date is mid month.
44) Custodian import now blanks "Country Code" (used in IB interface) if MarketCurrency and BaseCurrency are same value, rather than appending the Country code to the symbol.
 
9/12/17
1) CTNetUpdater now also handles MSI fixup for installations under "Users" directory
2) SCPanel fix in 9/7 release so AuxFile only downloaded once following update. (hotfix posted)
3) Income report code reverted to 5/25 release due to buggy "work in progress" code.

9/07/17
1) Generic imports of TXW Transactions now fills symbol field with record symbol instead of "(CASH)".
2) Non-Pro-Rated EndValue made available in fee records.  This suppresses any time-weighted pro-rating of fees.
3) Auxiliary file download now done by SCPanel directly instead of delegating to CTTasker upon SCPanel startup following an 
update.  This is b/c the CTTasker is sometimes "down" upon launch of SCPanel.
4) Fixed bug associated with report "rf_Hide" field referenced as a boolean instead of integer.
5) Fee Record option added to "Non-Pro-Rate EndValue" based fee for partial periods (default is to Pro-Rate)
6) Fee Report sub-total effective fee percents now based upon months elapsed rather than days if whole months (rather
than partial months) are involved. 
7) "Next Account" & "Prev. Account" button on Transaction table now refresh pick lists when changing accounts.
8) Browser selection bug in 8/29 release fixed.


8/29/2017
1) Custodian import scripting now supports 'IF=""' condition for blanks.
2) Custodian import main webpage and user "edit" page tightened up.
3) XOP (Exercise option) transaction treatment in additions/removals corrected.
4) Modification to Batch Valuation "create record" and "delete record" code to remove sensitivity to date format on either the client or server side.
5) Record fetching functions now always include Sequence field if defined for record type.
6) Fund Transaction record now subsorted on sequence for same date records.
7) Generic import now fills RepId field with user value if imported value is blank.
8) Microsoft Edge browser now supported for Captools/net browser functions.
9) Transaction "Est. Tax" field for Tax-deferred withdrawals now accounts for any taxes withheld.
10) A script to download historical pricing from Google added (for backup to Yahoo script).
11) Date formatting related code updated to deal with some date format inconsistencies with non-US formats.
12) Report Set edit fixes so several parameters now persist supporting automatic report generation with user-set values.
13) Report Page Header placeholder support added for Account and Client record "User Defined" fields and also Client Salutation field.
14) Report Email Setup now uses "Servername" rather than "MachineName" in two places the verification email to resolve the cases where the "Servername" is different than the "MachineName".
15) Code now allows position pricing with "Intraday" quotes but marks them (orange-yellow color) to facilitates more timely valuations.
16) Incentive Fee reporting now has "Prior Incentive Value" field as an optional field to report prior high-water mark.
17) Colors on Report Growth graph now matches user setup settings when some items are intentionally hidden (not visible).
18) Report "n/a" group descriptor added in 1/20/17 for  release now suppressed if record is intentionally hidden
19) Fix to bug introd in 2/28/17 release related to option to use "Account Note" as Footer or Header in report. Now no longer creates 3 copies of text.
20) Symbols containing blanks are now displayed in italics in the security, pricing, transaction and position record to indicate that blanks should be removed (to eliminate inconsistencies in fetching other records where the symbol is primary key)
21) Fee Report compute routines now tolerate assignment of a "Fee Group" of "None" to the fee record.
22) Fund Acctg "Generate Transaction" bug fixed by increasing variable size b/c reqd fields now always fetched.
23) Added a SCPanel helper program "CTNetUpdater" to implement "CTNetUpdate" patches due to Windows apparently regularly clearing the user cache folder which referenced the Captoolsnet Server Suite.msi file.  The "CTNetUpdater" moves the "Captoolsnet Server Suite.msi file to a permanent location (Program Files\Captools Company\MsiInstaller folder) and "fixes" several Captools/net registry entries to reflect this.
24) 8/2/17 release recinded (obtained by some users who were reverted to prior version).  Problem with "distinct" SQL fetch affecting valuatio now resolved.


5/25/2017
1) "Add Symbol" Button on Desktop View Prog. Prefs Security Retrieval options now does not require a row to be pre-selected (fixes crash).
2) Numerical format function for generic import now functions as expected w/o regard to current regional setting.
3) Code identifier for options now typed for codeing clarity.
4) Current price update from when switching into price history record is now disabled (to reduce excess pricing requests from provider website). 5/22/17
5) Short options added to income reporting (to be implemented: net vs. option value if not expired).
6) Yahoo Historical price downloads again revised to handle new Yahoo download URLs which required cookies and Unix Date format dates.

5/09/2017
1) Account list coloration for Account Values, etc. restored.
2) Fee Rate "Days Per Yr" is interpreted to be "365.25" if field is null or blank, and if 366 is specified, then 365 is used unless the billing end date year is a leap year, otherwise the only other allowed values are "360" (30 days/mon) or "372" (31 days/mon).
3) Position Reconciliation table now can populate "Cost" fields using data from custodian imported Open Lot table.
4) Open Lots Reconciliation table..record matching tweaks and better support for manual data entry on the Recon side of table.
5) Custodian Import processing tweak to ensure that quotes not embedded in security ticker symbols
6) SCPanel "Configurations/Other" "Inline Checkbox" component name changed for code clarity (should not affect any operations)
7) CTTasker memory leaks plugged several places, esp. in Batch Valuation computation, Transfer from Blotter routine & "PVLrec.DeleteWithDependents" routine.
8) RepId field in Open Lot records now can be edited.
9) Valuations perturbed due to transaction changes now update valuation calc date field when automatically 
recomputed.
10) Fee Reports with "Generate Fee Transactions" option now works again (inadvert. bugged in 2/22 release)
11) SCPanel program exits on startup unless run "as Admin". This means only users with Admin priviledges may run the SCPanel.
12) SCPanel "Configure Database" function now resets initial "default" database Login Name and Password 
to a unique value for each installation, to improve resistance from an external hacker when the machine
supporting Captools is exposed to the internet. The Login Name & Password are visible on the "Configure Database" dialog
since they are only accessible to users who have logged in with admin rights. If a user attempts to change the 
DB UserName or Password and the Database is contained in a "Database Instance" that does not use the default
"CaptoolsDBinst" name, then the user is warned that could affect the functionality of any other database sharing that 
instance.
13) ROI correlation now reports the more standard "R-sqrd" figure rather than "Correlation coefficient (R)".
14) "Exchange Gain" field now not populated unless Start or End Exchange Rates <>1.0 or Net Local (Additions<> Net Additions) so that Exchange Gain is always zero unless those conditions apply.
15) ROI Matrix report tweaks to fix inadvertantly hidden grand total columns.
16) #2 above amended to allow "364 days" (i.e. 91 day quarters).
17) If an account is not a multi-currency account, "Market Gain" and "Total Gain" (or "End Gain") fields now should always report same values.
18) Quote downloading functions and scripts modified to accomodate Yahoo recent webpage changes which had disabled historical and dividend quote downloads. (note: there may be some future yahoo data page changes which we will try to respond as quickly as possible).
19) Report group footers which are marked "not visible" no longer also hide trailing space, if you do not want this space simply 
set it to zero.
20) "Account Info" variation of "Client Info" report added to Std Reports, primarily to give advisor per account detail on asset balances, cash avail etc. at any point in time for records. 
21) Unused code removed, (relating to the old (pre-2010) dcom communication betw. server and desktop) 
22) Report default page margins decreased from 0.4" to 0.25" and default page "border" lines removed from  "standard" report templates. Default
charts are slightly smaller height and default "3-D" effect reduced for a "flatter" look & smaller change per user selected increment. Default
report templates regenerated to implement these changes.
23) "Client Group" field in fee object in Mgmt Fee Report code is now initialized from object being cloned (relevant to layered fees only)
24) Generic import function now applies numeric formatting (if any) in "Format" field to override any regional format settings on user's server.
25) Report "Body edit" browser page shortened to better fit on laptop monitors w/o page scrolling.
26) Position record processing now forces re-fetche of security record on recalc of price factor field to ensure latest edit value is used.


3/01/17
1) Run Report "date-picker", "by month" option now properly handles end-of-month for all months. (js code change)
2) Opening Browser for Yahoo Symbol lookup via Position or Security Record now attempts to use system default browser or "Custom" browser path in lieu of Internet Explorer due to Edge, Chrome or Firefox dealing
better with live price updates on Yahoo website..
3) Security record and transaction Description fields lengthened to 140 characters, for most users,
 and optionally to 320 characters for level 4 users. The database size will only increase if longer 
 descriptions are imported or entered.  A provisional "Extended description" scheme introduced in the 
 prior version, involving a new table has been disabled as too complex and that table will be dropped 
 from the database in a future update. 
4) More "hints" added for the account and client record dialogs.
5) Valuation recalc tweak to help purge "orphan" position records.
6) Successive Portf. ROI reports now reset variables so Pf. Sigma gets recomputed for each report.
7) Report Set setup dialog now retains prior settings by user.
8) "Expenses" report fix so that user does not need to specify TAC codes in filter for expense items. 
(bug from 11/30 update).
9) Fee "Uniform Period" adjustment now ignored for periods > 366 days. Fee "Uniform Period" algo made more
robust to better handle partial periods and leap year instances.
10) Custodian import logic now allows scripting to adjust dates on imported data to support a new script where
the custodian was providing a file creation date in lieu of a market close date.
11) Several "Fee Override" fields added to Account record, active at Level3/higher, permitting specification of fee grouping at the account level overriding the specification in the fee class. When the fee grouping is specified this way, group asset threshholds can be based on all accounts in a free group independent of 
whether all of the accounts in the group are billed in a given report.
12) Level 4 composite performance reports now add option for 3-yr rolling portfolio alpha, beta & r-sqrd statistics.
13) Report Set Edit dialog again now retains user configured parameters as intended (inadvert. disabled several versions ago).
14) Renaming of prior CTServer.exe program file during update now checks for existing ".del" file and deletes it prior to renaming
to prevent renaming error.
15) Fix to bug in 2/23 release (item #3 above) which prevented editing of transaction description fields below level 4.


1/20/17
1) Add'l security record fields made "maskable".
2) Security Record Cusip to Symbol lookups now handle duplicate cusips (but different symbol) situation using 
account currency symbol to arbitrate which symbol is used. (subject to multi-currency license/enabled)
3) Distribution record "fixup" of Yahoo data for Cap.Gain Distribs recently added now disabled to sidestep some complications. 
4) "PDF Insertion" option (Pro 3/higher) now operative for Report Sets as well as individual reports.
5) UserPrefs now loaded prior to PFXcalc module to ensure user specified quantity precision is used in computations.
6) Tweak to Market Holidays algorithm to include Monday following Sunday holiday as a market holiday.
7) Fix to item #10 (pre-Roi processing) in prior release.
8) Report sets can now be built containing reports from more than one user.
9) Client & Account record "User Def" fields can be used as placeholders for inserted PDF files (Pro3+)

1/11/2017
1) Reported "$ Drawdown" and "% DrawDown" now properly account for case where initial holding starts mid period. Also, the
reported figures are for "Max. $ Drawdown" and "Max% Drawdown" which could be at different points in time if there are
investments or divestments during the period.
2) Report growth chart bug intro'd in prior release fixed. (was due to typecasting of Price History rec)  1/4/17
3) Management fee computation/reporting for Advanced Fees billing days and Fee% S/t fixed.
4) Backup purge of old backups tweak to deal to ensure no purge unless script file containing params (tasker.ini) can be read.
5) Desktop report menu loading modified (loaded in disable mode then enabled) to resolve Desktop startup issues on remote desktop installations.
6) Tools "Distribution" and "Rollback" functions "filtering by symbols" restored (inadvert disabled prior update).
7) New Security setup in Security list upon import now better restricts "Long Symbol" and "Compressed Symbol" creation to Option securities only.
8) IB custodian import script change to avoid bonds using description as "Long Symbol.  
9) Copyright notice update for 2017
10) Cashflow pre-Roi processing tweak to avoid inserting zero security valuation CF record on date when other securities missing prices. This resolves reporting of -100% TWroi figure in Subtotal record.
11) Missing security Type/Grp/Class identifiers substituted as "n/a" in report field to resolve "null variant" error when generating subtotal record in reports.
12) Restored Logo setup code that was disabled in 12/12/16 release but which is needed to support swapping of logos during report run.
13) Report column header vertical alignment positioning improved.


12/29/2016
1) CTNetDataServer component now freed upon closing Captoolsnet.exe (Desktop Program), resolving some important large block
Desktop memory leaks.
2) Report Exclusion by type option now supports exclusion by Security Style, Region & Currency (if fields allowed by prog. level).
3) Report and import memory leaks resolved.
4) Report object pointer error that could crash the portfolio perf. report resolved.
5) Captoolsnet Log-in dialog reverted to appear in middle of screen rather than middle of form so that it is always accessible at startup.  Also "Enter" key now executes dialog if "pre-filled", "Esc" exits program.
6) Generic Export temporarily reverted to pre-12/12/16 version to resolve error.


12/13/2016
1) Server Session "ping" interval control added to CTNet Desktop Prog Prefs ("other" tab) to better
support more frequent "keep alive session" pings for operation with CTServer on cloud based Virtual Server (e.g. Azure).
2) Several Prog tweaks to accomodate SQL Server 2016
3) Allocation report now automatically excludes accounts closed prior to the report end date or with zero value.
4) Empl Stock Options prices now can't go negative (fix of 10/4 implementation)
5) Report Periodicity bug intro'd in 10/7 release fixed. (bug could introduce extraneous period).
6) Manual entry of Position price for options priced using "in-the-money" pricing no longer populate price history records since
this should be computed based upon underlying asset price records
7) "Mgr Fee Share" field added to Fee report to break out Manager's fee from SubAdvisor (Pro-4 & Enterprise-3/higher)
8) Transaction Blotter description field size increased from 50 characters to 340 characters (Extended Description will
be removed in a later release).
9) Price History records now includes an 8-byte "float" field, "Close8", in addition to the existing 
"Close" field which is stored as a 4-byte "real" float data. The "Close8" can store pricing to up to 15 places of precision vs. the 7 places that can be held by the current 4-byte real.  The "Close8" field is optionally viewable in the price history records because its contents will usually be identical to the 4-byte Close field except for prices with more than 7 digits. The Close8 field will be updated with downloads and imports and will be used in computations and reporting if it contains a non-null value.
10) Bitmap handling for logos in reports revised to definitively clear BMP logos when finished with them (to prevent PDF file 
expansion occuring with BMP's but not JPGs.
11) Security Yld%/Income reporting when using Security Fixed Rates is now restored. (inadvert disabled in prior update).
12) Index option for "DistrPrice>Index ROI" now properly applies AIMR/GIPS rules for < 1 year periods.
13) Mgmt Fee report tweak to fix subtotalling when client groups are used.
14) Portfolio Auxiliary transaction description table added at level 4 to accomodate large descriptions (>70 characters) without increasing size of the Portfolio transaction record (in order to help keep under SQL express memory limits) This table is accessible via editing a transaction description.
15) Report Subtitle field now supports independent Start/End date formatting using notation like "\ed fmt=MMMM DD, YYYY"  Also Performance report "date range" field can now be independently formatted via the field edit.
16) Function to stop DB during Backups, etc., now checks for and shuts down non-essential dependent
SQL services such as SQLAgent and SQLTelemetry (called "CEIP Service").  This is to avoid backup failure due to these services running and now allowing DB to stop.
17) Warning dialog when user is deleting Client or Account records now modified to give additional secondary warnings to prevent inadvertant deletions. "Cancel" of these dialogs now always is interpreted as "don't delete" record.
18) Report "Position" and similar fields now can always display a subtotal for sums relating to holdings in multiple positions in a single security..
19) Report user note from Account "Note" field no longer constrained to 255 chars (up to 500)
20) Memory leak bug introduce in 9/9 release is fixed. (this bugged sometimes stopped CTTasker).


10/07/16
1) Income report now classifies reverse transactions as long/short depending upon Tac code so an 
amount is not double counted in two categories.
2) Reporting implementation of obscuring TaxIds and AcctNumbers tweaked. Also single account rptg
email placeholders now work as expected (disabled in earlier release)
3) Management Fee reporting now displays correct rate when rpt period is longer than period specified in rate table.
4) Recon Record sort reverted to prior sort scheme.

10/4/16
1) Generic Import now has import file filter field so only shows designated import file type
and browser import page resized (shorter) to better fit screen.
2) Realized Gains rpt fix so no negative hold periods.
3) Report Periodicity fix to eliminate extraneous partial periods at beginninng of Period series.
4) Captools "Home" screen tightened vertically to better fix screen w/o scrolling.
5) Improvements to Employee Stock Option treatment including support for Non-Qual. ESO's. 
6) Setting of ESO option transaction flags/cell background color modified to distinguist Qualified vs non-qualified ESOs
7) Batch Valuation date range selection combo box now properly initialized at default value (6 mo) if no stored value found.
8) Server Control Panel DB dialog option to use "Windows SQL Authorization" disabled. (did not work).
9) DCOM controls (which were already disabled) removed from Server Control Panel "Windows Config" dialog.
10) Server Control Panel Windows Config. Dialog "Launch Firewall applet" button now gives instruction message to 
launch firewall in 64bit OS (like for Launch IIS Mgr button).
11) Rpt Placeholder token bug (pre-pended "ADT") introd in (8/15/16 release) fixed.
12) Potential for a possible but unlikely mem leaks in some sql call functions fixed (occurred only if DBhandle=nil) 
13) Dividend Trailing Twelve Month rate option now working as intended (as opposed to 4x last).
14) Server Control Panel launch dialog modified to better accomodate new Windows 10 update prompt for
elevated UAC rights.
15) Import browser page resized shorter to better fit on typical current screen.
16) Report output filename tweaks to ensure that filename can't include full acct number or taxId number (instead 
uses partial numbers with 4 name derived characters to ensure unique filename.
17) Mgmt Fee report now handles case properly where "uniform period specified" but user specifies fee period longer than
indicated in the fee rate records.


9/9/2016
1) Modifications to code and script to accomodate changes in Yahoo price/data downloads.
2) Modifications to support Employee Stock Option transactions cost basis.
3) AuxFiles now only downloaded by SCPanel program when version # changes.
4) "Financials" now exclude "Period Size" from default view since all figures are annual as of record date.
5) "Rep Fee%" added to "Client" Record (Enterprise level) to support allocation of fees to sub-reps.
6) User Interface bug in "Schedule Tasks" function repaired.

8/15/2016
1) Default setting for Months to fetch portfolio records set to "9999" (all records).
2) Fixed problem with cash transactions stuck in blotter b/c have no symbol.
3) Report token replacement extended to several add'l account record fields (shortnamefield, Misc fields)
4) Rotated Reports (e.g. portfolio performance) now better syncronizes visibility of Label Headers and Body fields
and column spacing reduced slightly to allow space for more columns.
5) Computation/reporting of sub-advisor fees added to Pro-4 & Enterprise levels.
6) Dedup function tweak to exit dedup if only single record remains.
7) Proxy settings on Email setup screen now has checkbox to indicate whether user wants Proxy to be used for 
downloads in addition to Emails (usually not wanted).  
8) ROI Matrix report now shows "blank" ROI figure for a security for non-relevant periods.
9) "Runtime stamp" option added to report header/footer list.
10) Report "obscured" filenames now prefix partial acct#'s with first 2 chars of first/last name of owner
to facilitate sorting and identification by advisor.  
11) Fund Acctg "Active Account" criterion now excludes accounts with specified "Close Date" prior to "As-of Date". 
Close Date field now editable if current shares < 1.0.
12) Current day's quote yahoo downloads are now supported for same-day pricing portfolios.


7/8/2016
1) Batch Position & Alloc Trade record sorting fix to put G/t and indices in correct position with new grid.  7/6
2) Fee report subtotal rendering for Fee% field tweak.
3) Fund Accounting Perf. report fix to correct omission of transactions occuring on first day after start date.
4) TWroi computation corrected to fix error intro'd in 5/16 hotfix and 6/1-29 build which improperly used subperiod ending 
valuation as calculational denominator rather than beginning value.

6/29/2016
1) Position record view sorting tweak so g/t remains at bottom when sorted on currency, and "(Cash)" at top
if no Type, Group, Class etc value is assigned.
2) Fix to correct fixed income Avg Maturity Date report subtotals computation.
3) The Server Control Panel DataBase Admin subdialog now gives user option to specify a fixup "from" date
to facilitate loading and runnig of old database versions.
4) "Compaction" command on SCPanel "Admin" submenu removed as obsolete.
5) Serial Daily dates routine for multiple period ROIs revised to fix weekend problem around series start date.  6/15/2016
6) SCPanel adds non-clustered field table indices to speed various SQL fetch functions which
may improve reporting speed by 10-40% depending upon type of report and reporting period. (Thx Jeremy D.)
7) Improvement to report handling of valuation dates marked to be excluded from ROI 
8) Corrected improper feature allowance in a couple places which was blocking Lev4 features. 
9) Auxiliary record sorting/subtotalling disrupted by upgrade in Desktop grid component in 6/1 release now fixed.
10) Pershing import script updated to support bank custodian BNYMellon.
11) Bug in Account Merge code fixed so it is again operative.
12) Position record group toggle issue resolved to ensure stays on current acct.
13) Saved report filenaming with custom prefix/suffix now working again.

6/1/2016
1) Extract imports now process price history data in chunks of 1000 instead of 100 for better speed.
2) Avg Fee calc (Average Value (BOD) method) bug introd in prior release fixed.
3) Report header sizing/wrapping tweaks.  
4) Fix to syncing between portfolio & prime index cash flows to deal with case where primary index unspecified. 5/2
5) Rollback function unfreezes transactions on/after the earliest rollbacked transaction.
6) More stringent Recon price lookup implemented to avoid using stale prices.
7) Correction to bug in 5/2 Hotfix which suppressed Twtd Roi & Sigma calc if no primary index specified. 5/13
8) Twtd ROI calc tweak to attribute large inflow investment fees & commissions to those transactions.
9) Pricing download/lookup now implemented for LQD tac code in transactions.
10) Index sigma calc now does not require Index roi display.
11) Rpt "Special Options" for extended User specified Period labels activated for ROImatrix & Alt-currency reports.
12) DataBase routines used to add tables & fields now stores fixup status in DB rather than registry to
enhance DB portability to other computers.
13) Report emailing delay now not applied to emails that are generated in queue to be "Sent Later"
14) Reporting run-time option to "Insert PDF" file into reports now implemented for Level-3/higher.  This
feature allows you to insert into your reports one or more pages of "static text and/or graphs" such as might be used 
to provide market commentary to your clients. Inserts are specified under "Show Save Options" and can be at 
first, second (after cover page) or last position. (Report must be in PDF output format).
15) Transactions in foreign securities which specify transaction currency which match acct base currency
now correctly are credited to base currency position and cash balances.
16) Handling of price factors in reporting as it affects group subtotal reporting of per unit values fixed.
17) Use of AcctNumChg.idi script for bulk change of account numbers now works again properly.
18) Third party grid interface for Captools/net Desktop program updated.  This results
in a slightly different appearance in Windows 10, and hopefully will resolve some of the 
crashes experienced by some users when manually entering data.
19) ACL transactions in non-currency symbols now always accrue to their symbol position record, not their currency
position record in foreign cash accounting accounts.

4/22/2016
1) Header/footer options now allow including all acct#'s in a merged report header/footer.
2) Placing notation "IRS" in the Transaction "Trade Counterparty" field allows computation of
relevant estate "IRS Fair Market Value" in the Aux Amount field in a RCV transaction using
the Aux Date as the basis date for the value.  Requires High, Low, Close values in security 
price history records. Select Aux Amount Field & click on "Data/Compute" to compute.
3) Report column placeholder headers now size better. Tweaks to improve positioning of regular headers.
4) 3yr Rolling Portfolio and Benchmark Sigma fields added to cumulative performance reports at Level 4.
5) Sigma computation algorithm modified slightly, typically reducing figure by about 3% for a 12 month period,
e.g. a 10.0% -->9.7%.
6) Benchmark ROI used for alpha/beta and sigma comparisons now synced such that weekend/holiday valuations 
in portfolio are better matched with effective latest BM index value prior to weekend/holiday.
7) Report file placeholder fixups to support multiple placeholders in folder or filename and to support certain
date formats, e.g. "YYYY-MM".
8) Vanguard import script enabled at Pers Wealth level.
9) "Avg Value" fee method no longer has "Exclude Opening Date" option. Instead there are now two "Avg Value" 
fee methods to choose from: "Avg Value (BOD)" (beginning of day) and "Avg Value (EOD)". The former (original one)
sums subperiod values based upon sub-period start value and the latter based upon sub-period end value. 
10) Timing related gliche which sometimes caused CSV Report to fail patched with timing pauses.
11) Desktop Program max editable field widths for "Family" field and "UserDef" fields to match size in
prior 2/29/16 update (#21).
12) Group Subtotalling on some Fixed income metrics fixed to provide "Average" value for group rather than
last item value.  4/13/16
13) Report forwarding email text space tripled from 2000 characters to 6000 characters.
14) "Demo" database updated through 2015 and also "DBfixedup" to current DB structure.

2/29/2016
1) Imported data now can handle currency symbol inside minus sign. 
2) Post Generic import function fixups to update Statistic records and fix price recs mem. leak
3) "Close Capital Commitment" (CCC) transaction code added to better support Private Equity investments (Level 4)
4) Security Type/Category records "Rpt Hide Detail" now activated.  Checking this box for a type/category used as a report group will suppress display of detail records, showing only sub-totals.  A corresponding check box in the "Special Options" needs to also be set to activate this.
5) Period profit/perf detail reports which consolidate closed positions now generates.
6) Fund Acctg reporting tweaks to allow filtering by P/I Category and also fixed a run bug for some Fund Acctg transaction report customizations.
7) Income F/C report again can now show non-rounded amounts b/c rpt Fixup routine now resets format string after editing display display decimal places.
8) In case where accounts are report "filtered" based on Acct Type or Acct Code (Lev 3+) and now account passes filter, then a "No Data" report is generated.
9) Generic import templates can now leave date format spec. blank and import will attempt to "guess" proper format based upon data. This requires the data to be in a MM DD YYYY or YYYY MM DD format with "-" or "/" separators.  This helps deal with retail format downloads which may not consistently use the same format.
10) Yld% & Est. Income fields added to two currency report.
11) Fund Accounting Particip. Acct. Reporting now uses Particip Start/End dates in lieu of Rpt Start/End dates to allow for mid-period start/end of acct. (Now Particip StartDate+1 12/29/15)
12) Report option added so user can suppress output page (in lieu of "No Data" message) if there is no data for an account or account group.  This also resolves case of where a single account was supposed to be filtered but printed b/c it was only account in group.
13) Distribution Generation bug fix so "Reinvest" option works.
14) Server Control Panel now only requires a min of 3 characters for Primary UserId (was 6 chars for a short while).
15) Generic imports now protect manually entered security descriptions and Acct Titles from being over-written.
16) Correction to Sub-totalling of Exchange Gains field available in some reports for multi-currrency portfolios.
17) Changing order of shutdown of programs for certain Server Control Panel init. operations to resolved HotFix and update installation issue which prevented updating CTnet Desktop on some recent windows versions. 
18) Position view now always excludes "Accruals" from the "Gains" column.
19) Modification of RemoteHost launch routine to set "HIGHDPIAWARE" in registry so this will show Captools Support the complete screen when the user has a high res. monitor.
20) Report Options for "Fax" and "Print" suppressed due to direct line faxing no longer being supported by most computers and due to reality that all users view reports on screen first and then print from the viewer application.
21) Certain text fields in Client and Acct records expanded in length ("Family" now 40 chars and Client & Acct "User Defined" fields now 
50 characters in length, and Account "Custodian Id" field now 30 char in length)
22) Database fixup procedures now implement fixups applicable from 2011/later, assuming prior were already accomplished in prior installs.
23) Since all quote downloads are now initiated from the Captools/net Desktop and implemented by the CTTasker, the browser-based CTSymDL  is now deprecated from new installs and removed from the list of programs in the SCPanel.
24) Report email option now available to "save" the email for sending later. These will be saved in a subfolder under the report "save" folder and can be opened for review in your email software and sent from there. A utility to streamline this process will come later.
25) Report Sets user-interface improvements.
26) Client & Account Record "User Defined" fields now available in portfolio performance reports and "two currency" reports.
27) Desktop program tweak to accomodate "reverse sign" amount fields for certain transactions w/o orange coloration.
28) Lookup of most recent "Frozen" portfolio date tweaked to deal with "None" condition.
29) Eliminates need for mid-month valuation for Accts starting / ending mid month when Avg Value fee method specified.
30) "Custodian ID" field in Account record is now hidden. This field was not used and will be removed from the database at a future time.  The "Custodian" field is still active and can be used to specify custodian specific pricing and exchange rates.
31) Custom view field selection dialog now sorts source fields alphabetically.
32) Functions supporting Client-specific logos (see 09/25/15 release item #10) disturbed in 10/12 release are again working as intended. 
33) More tweaks to "private equity reporting" (see 10/12/15 release) to support "collapsing" to single line item based upon description field contents in addition to common group identifier. 
34) Income Yield computation used in reports now triggers a "fixup" of Yahoo downloaded distributions to split them into Dividend and Long/Short Gains distribution components based on custodian provided transaction data.
35) Fix to sub-allocation reporting using security notes. (Level 3+ feature).
36) Fund Acctg Transactions "No-Calc" field options now avail to user to set, and "Compute" of Transaction FundAcct field marks General Mgr accounts with green background color.
37) Report "Run" and Report-Set interface pages improved.

10/12/15
1) Program Preferences/Data Retrieval Specs re-instate control of "Always Active" symbols which previously was supported via a browser user interface.
2) Security indices statistics reporting re-enabled (inadvert. reported "blank" in 8/4 release). 
3) Reporting tweaks supporting private equity reporting (Lev. 4) added in 8/4 release.
4) Batch Position records now accept input into value fields and properly reflect them in price fields and underlying records.
5) Batch account selection dialog sizing tweak so does not extend below the windows task bar.
6) Private Equity multiple report field now subtotals on a wtd average basis.
7) More tweaks to yield reporting (excluding zero value Distribution records from frequency computation). 
8) Zipped backups with missing "Status.ini" files no longer crash Restore dialog.
9) Account Type & Code Filtering in reports tweaked to work as expected (& previously for exclusions)
10) Fee Report presentation of Fee% rate for partial period accounts now not adjusted with "Uniform" periods invoked.

9/25/15
1) Fix to Captools update process to accomodate Window updates that changed some timings to shut down processes.
2) SCPanel now has "verbose" logging of the pre-update process at bottom of screen.
3) Tweak to DivRate routine to deal with possible CapGains Distribs in data.
4) "Region" field added to ROI Matix report (Lev 3&4)
5) Fix to report symbol filters so negative filter works as intended.
6) Selection of more than 4 accts and then tabbing to portfolio and then positions now works w/o crashing.
7) "Merge Accounts" function bug fix so it runs all the way through to completion.
8) Report option added to specify second acct record field for acct. description (e.g. Rpt Title + Investment Style)
in group header or footer. Function "GetSpOptionValue" fixed so it can rtn text value from SelList.
9) Logo filename may now include sizing factor in the filename, e.g. "25%_MyLogo.jpg" (note underscore rather than space).
10) Logo files may be placed separately into User subfolders under "\ProgramData\Captools Net\CTReports". This allows separate Logo files for each user. (if shared reports, the filenames must be identical but the content may differ)
11) At Pro-3/above level, Logo filename may be specified in Client or Account record fields, e.g. place the logo filename in "User Def" or "Misc." fields and in the report reference the applicable "User Def" field in lieu of the logo filename.
12) Two Currency report "AltURGainsPct" field now properly subtotaled as a weighted average.
13) "Money market Sweep" option in some custodian import interfaces (e.g. Schwab) re-enabled (inadvert. disabled prior release). 9/9
14) A possible divide by zero situation in a reporting code branch affecting a user is now trapped to allow report to proceed.
15) Batch Valuation view now shows period investment change.
16) Fund Acctg Perf. report now properly breaks out expense transactions.
17) Database backup routine now allows more time to stop SQL for very large databases to allow backups to successfully proceed.
18) Database backup filename extensions modified to help obscure from some malware that targets datafiles.
19) Report Chart filtering of excluded symbols now does not suppress chart (fixes 8/4 bug)

8/4/15
1) "Active Security" days setting on the SCPanel/Config. dialog can now be set to zero.
2) Application of a "fee rate" to a user-defined synthetic security is now supported. See Help docs for format.
3) A Fund Accounting "Plan Transaction Confirmation" report added.  Some other fund accounting reporting
details modified like header initialization and runtime date initialization.
4) Reporting of money fund computed rate and yield now supported including multi-payments/day case.
5) Short wait (sleep) statements added to Server Control Panel Update procedure.
6) Report filtering function now handles legacy Symbols containing spaces.
7) Alloc. Trade fix for "Buy Only" and "Only Sell Alloc Table Symbols" cases.
8) Period Billing code substitution on CSV exports now only occurs if code is "M","Q", or "Y".
9) User switch from non-valuation table to Position table was bugged in 7/22 release, this is now fixed. 7/30
10) One more tweak to yield reporting, for when portfolio history has not yet recorded a distribution 8/1
11) Server Control Panel now prompts for users to replace "demo" password with their own password of 8/2
at least 6 characters, to improve the security profile, particularly to protect installations on a 
local area network that could contain other computers that are compromised. 


7/22/15
1) Income F/C report now no longer reports income after maturity date. (fix to 6/14 update).
2) Report "Email from" tag line no longer automatically added to report emails.
3) Blank zero field rendering now works for various ROI statistic fields.
4) Several new dispersion reporting related fields added (Level-4)
5) More tweaks to Income f/c report primarily to deal with fixed income securities w. price factors and the payment date option.
6) Problem in prior release with multi-currency report showing closed foreign currrency balances fixed.
7) Trans. Hist. Rpt now shows transaction descr. in lieu of security desc. if MMO TAC type.
8) Client Info report tweaks to break out the two email addresses as separate fields. 
9) Matrix report label wrapping bug introd in 6/15 release fixed.
10) Multi-date Batch Valuation now works as intended for week-ending scenerio.
11) Fund acctg Trust Acctg tweaks to code that generates Particip. Transactions from manually entered fund transactions to make work as intended.
12) Fixed refrest problem detected in switching position record views.
13) Fixed problem with downloading/reporting perf. for securities paying once/yr dividends (correct problem intro'd in prior two release).
14) Accounts table now displays Value field using grey font and "strikeout" when a valuation is missing prices or is perturbed.
15) "Two Currency" reports now assume global specified base currency if none is specified for an account. Also rtns FXrate=1.0
if FXSymbol invalid.
16) Non-Admin Users can now be assigned accts belonging to higher level users (e.g. Admin) to facilitate the non-admin
user to maintain such accounts w/o granting that user full admin level permissions.
17) Yahoo stats dnlds with current quotes (#12 in 6/15 update) fixed so the current quotes now not suppressed.
18) Fund Acctg Transaction generation dialog now supports display up to 6 decimal place NAV.
19) Interactive Brkr Interface now provides Advanced option to turn off/on "Country code" appendage to ticker symbol 
when importing multi-country custodian data.
20) Controls to specify path for RAF (Report Archive Fmt) files now suppressed on Rpt Runtime
setup page as users should not need access to this non-viewable internal format data.

6/14/15
1) Option to create multi-date batch valuations extended allow creation across multiple years to current date.
2) Fund Acctg Particip. Performance report now has optional field to report incentive fee computations w. hurdle rates.
3) Fund Acctg particip. incentive fee generation function tweaks to properly support hurdle rates.
4) Function call to stop SQL Server DB instance replaced with call that confirms it has been stopped if "Net Stop" branch used.
5) Div. yield calc from portfolio records tweaked to work for case of only one div./year as for some mutual funds.
6) Security record "Distrib." field option of "Use Portfolio History" added to use to force report yields to be based on
portfolio transaction history.
7) Fund Acctg symbol exclusion now supported on Fund acctg participant performance reports, report fields added to show Value and profit 
exclusions and ROI with Exclusions (before fee). 
8) Reporting code involving exchange rate gains fix for case where no transactions exist for a symbol.
9) Correction made to chg #42 of 5/4 release to reinstate proper transaction cash balance calc for foreign currency transactions.
10) Shift+Ctrl+, and Shift+Ctrl+. when on a portfolio transaction, valuation, position, etc. view moves to prior/next portfolio.
11) SeTFld function enhanced to safely handle invalid input for data type.
12) Download of Current Quotes now populates "Statistics" table with current MarketCap, P/E Ratio, P/Sales ratio, Yield%, etc.
13) Report Income Forecast report fixes for when "Pay Date" (vs. ExDate) option is specified.
14) Bug in Sub-Account record manual input fixed (corrects 9/14 error)

5/11/15
1) Distrib. Generation tool now assigns correct Div & Int TAC code for short positions
2) Merger Generation tool now skips accounts not holding position on applicable date.
3) Batch Val. dialog adds option to do Security Reinit. in portfolios in addition to security "Repricing"
4) Tweaks to Batch Valuation dialog "Date Range" option box initial setting.
5) "Use Payment Dates, not Ex-Date" option added to F/C Income report, required specifying Ex&Pay Dates in Security Records.
6) Position Reports with "Sub-Allocations" used now do not drop last symbol.
7) Switching betw. fund-accounts fund transaction views now reloads fund account picklist.
8) Report label caption handling revision to correct bug intro'd in 5/4 release for runtime modified labels

5/4/2015
1) Allocation trade function, tweak to handling cash-equivalants.  12/8/14
2) Cosmetic tweaks to account note insertion in reports.
3) Report and Import browser log appearance tweaks (larger scrollable area/ smaller header/footer).  12/12
4) Code added to fetch System Id for future use. Also, Code added to save base MachId in Database for future reference.
5) Optional "Foregone" gains and income fields added to realized gains reports.
6) Foreign cash "cost" basis computation fixed (bugged in prior release)
7) Fund Accounting "Share" record computations speed up.
8) Default dates used in import routines now exclude the "time" part of the date.
9) Cross-ref. Mgmt Fee Export standard report added to reduce the need for users to customize report to do that function.
10) Custodian Import file listing now uses "File Modified Date" in lieu of Windows "File Create Date" in cases
where the "Modified" date is earlier than the "create date" to resolve problem where files which are moved
in Windows are given the "Move Date" as the "Create Date".
11) OFE Tac ROI effect in by Security reports can now be associated with a symbol instead of assuming "(CASH)".
12) The EXP & OFE Tac Transactions can use a figure in the Aux Amount field to adjust cost basis.
13) Valuation recompution modified to set "perturb" flag on next record to deal with case of
interrupted re-calculation process.
14) Income/Expense Rpt "Tax Withheld" field now uses TXS and TXW "Amount" fields if the "Withheld" field is blank.
15) "Request Remote Assistance" function prompts now based on Windows Version.
16) SQL version number now reported correctly on SCPanel for Win7/8
17) Support for MS-SQL 2014 implemented.
18) Fund accounting reporting correction for participant perf. report from inception (corrects 12/8 error)
19) Misc Fund Accounting tweaks to make manual entry of fund transactions smoother (e.g. NAV missing 
prompt replaced by color cue (orange) in NAV field)
20) "All Fund accounting table refresh" now also refreshes Valuation table.
21) Third party DevEx. source near Line 3780 in CxCustomData.pas encapsulated in Try..Except to bypass data induced bug.
22) Reconciliation Qty & Val Diff fields now filled in S/T records when multiple instances of same symbol in group.
23) "GetCLAcctNumFromBDAcctNum" routine now checks for an existance of an account in the account records before doing a lookup of the AcctNum in the Sub-Account records (so assign proper Portf. Acct Number in Recon records)
24) Code review/fix of usage of "Absolute" function to minimize chance out-of-range values being passed to it.
25) Change of an intermediate variable type from "currency" to "float" and other computation changes in the computation of foreign currency cost to resolve computation issues on currencies with large exchange rates.
26) "P/I" field on Fund Acctg Transactions now activated at Pro-3 level to use to categorize transaction source.
27) "OppositeSign" function disturbed by #24 above, revamped to not use absolute function.
28) Correction to Sigma computation for periods > 1yr, output had been mistakenly time normalized (since 7/2012) when it should not have been due to input being already normalized.
29) Dividend/Interest rate lookups used in reports refined to better deal with special one-time dividends and with Mut. Fund Cap.Gains Distributions rolled into distribution history. Portfolio Transaction history now given greater sway over determining actual dividend rate. 2/3
30) Div/Int. Forecast from downloaded data now allows more time for late data 
31) "Commission" reporting field now available in Performance reports for PWM level of program.  
32) Browser based report screen header design tweaks to "tighten" pages.
33) Transfer from blotter function check box to check for dups now works as expected (i.e. does not check) when unchecked.
34) ROI matrix report now allows "blank" zero sub-totals for improved appearance when no activity in a group for a report period.
35) Distrib. Gen. function now supports multiple same date transactions in same security.
36) Improvements to Bifurcate Lots tool to extend its use as a multi-account, multi-symbol lot modification tool.
37) Manual Entry into "Local Amount" field on Trans Blotter now recomputes Amount field as expected.
38) Internal "RptFixup" function tweaked (uses descendant RptDesign object) to permit more flexible programmatic initialization of reports.
39) "SGDistribs" and "CostBasesAdj" categories added to Income/Expense report (Amounts separated from CGDist & RetOfCap categories)
40) Report "Hide ROI" for Cash & MMFs extended to ROI Matrix report.
41) Three additional optional period fields added to ROI matrix rpt.  2/24
42) "Trn Currency" field in multi-currency transactions now forced blank for BFC & SFC transactions to ensure
base currency cash balance properly computed.
43) Multi-date batch valuations now can go process existing valuation dates w/o generating a conflict error.
44) The computation of the Sigma statistic modified to limit the "Avg. ROI" element used in the computation to a "rolling average" value of no more than twelve months. It had been observed that over long periods encompassing both a bear and bull market, e.g. 2007-2015 that the relative lower average ROI for the entire period resulted in higher computed standard deviations for performance encompassing the full time frame. Research found no consensus for the length of time that the average should be computed over, however some figures reported by third parties appeared to be using relatively short periods. Our belief is that a rolling 12 month period is long enough to accurately report portfolio risk for longer term investors, without overstating that risk for full market cycle periods.
45) Computation of statistics (alpha, beta, sigma, etc.) now better bypassed if not displayed in a report (for faster generation of rpts).
46) Fix in PFTcalc unit suppressing "PopFilter" call to resolve error preventing opening of valuation table.
47) {DROPPED: Backup process will convert any DB's with >2MB LDF files to "Simple Mode" DB format to eliminate unnecessary large LDF files. See #61 below}  MDF & LDF file sizes (in MB's) are now displayed on Server Control Panel.
48) WCF (Wash Carryfwd) transaction now does not interfere w. cash / share balance computations of trnsaction view.
49) Custodian and generic import from shared Network folders is now supported.
50) Reporting related memory leaks reduced. 
51) "Re-factored" (tweaked)  routines for "massaging" report column headers for substituting dates and symbols at runtime.
52) "GetSymbolsHeld" routine now treats transactions with non-"(CASH)" symbols with Cash transaction codes as if it has the CashTicker symbol (suppresses reporting of extraneous symbols).
53) "Request Remote Assistance" utility call now gives Admin Rights and adjusts for screen resolution.
54) Some browser functions now open in IE in a slightly shorter (12% less) window to better fit typical screen aspect ratios.
55) Fee Report "Effective Rate" field now uses "Uniform Period" rules if that option is checked in Fee Rate records.
56) "Generic" grid "Edit" forms now open with same Height/Width ratio as screen.
57) CIL transaction cost date and cost amount now appear in R.Gains Report.
58) Deletion of client records now archives data in related accounts as intended.
59) SCPanel Report Configuration now contains control to limit rate at which report emails are sent, so as to avoid
conflicting with user's third party email servers which may limit number of emails sent per hour.
60) Report Column Label Wrapping for Benchmark Indices columns activated.
61) Server Control Panel "Database Compaction" functionality moved to the "Admin/Configure Captoolsnet Database" dialog. The user is now given control whether the LDF Log file is put into "Simple" or "Full" modes. Most users will want "Simple" mode for smaller LDF files, but the Full mode may be needed for users running certain reports and other operations which use the LDF file on a temporary basis.
62) Merged reporting with multi-currency is now supported, e.g. if a client has accounts denominated in different base currencies they can be merged into a single uniform "report" currency.  Requires the multi-currency license option.
63) Fund Acctg. generate transaction dialog enhanced to show current fund id. & bug which sometimes crashed dialog upon first opening fixed.
64) Portfolio Transaction "Aux Xrate" field no longer initialized at "1.0" so it can be "blanked" to force use of Transaction exchange rate.

12/08/14
1) Tweaks to SubAccount record processing to ensure AcctId field is non-blank.
2) SubAccount record count limit on import relieved by factor of 10
3) Tweak to "Bifurcate" function so symbol filter works as intended (also confirmed data trnsfer to split lot does not corrupt record).
4) Allocation trade table behavior when "Buy/Sell" field is blank restored to its pre-9/11 release function, i.e. blank is treated as same as "Buy or Sell".
5) Error raised when manually entering Trans. Blotter record (shortname field) resolved.
6) Correction to item #43 in 8/12 release to attribute ACL transaction to security, not currency. 
7) Reconciliation B/D import Record_Clearing modified so can import from multiple source files as for Pershing Global. Import of same file twice will create dups however.
8) Foreign Currency cost calc tweak to prevent cost blowing up when position almosted zeroed out.
9) Report records grouped by various acct record group identifiers now will display as a subtotal description in Acct Title or Short Account Name field. More verbose descriptions for Acct Code, Type & Group fields may be added via the Types Table.
10) "Custodian" option added to report account selection filtering.
11) AllocByAcctType & Group Charts now only require level 3 instead of level 4 license.
12) Redo on #5 above. 10/12/14 Hotfix
13) Bug intro'd in June re Gr. Totalling of Commis., Trade fee and TaxWH fields being doubled, now fixed.
14) UpdateStat Procedures and CallBackFuncPtr moved from private to public scope in Reports & Imports to ensure assigned a globally resolveable address
15) Report Group "Description Display" checkbox on Report Body Edit "Group" is now active, i.e. when unchecked the group description is suppressed.
16) Report Email "Master Password" functionality reinstated.
17) Backup purge routine tweaks.
18) Program Permissions - bugs in orig. code fixed so permissions setting works as intended.
19) Tax Rate record lookup routine updated to use current Delphi (XE) bookmarking.
20) Desktop side export script (e.g. alloc. trade) now look in both Program and ProgramData folders for scripts.  Alloc.Trades now suppress export of no-trade transactions.
21) Backups now have option to Zip compress older backup folders (recommended) and to optionally archive zipped backups on a network drive. 
22) "Export" option of certain temp records such as allocation trades, bugged in prior release is again functional.
23) Position records display ceiling on # of records before suppressing income/yr calc bumped from 50 to 100.
24) Captools/net Desktop program no-longer attempts to email bug reports when exception generated (b/c outlook keeps retrying to send email).

9/11/14
1) Desktop program Log-in Dialog tweaks to resolve Win8 issues under Log in Options.
2) Custodian import code tweak to reduce sensitivity to blank lines in script.
3) Fund Acctg code tweaks so portfolio generated transactions from fund acctg have Local Amt field filled.
4) Fund Acctg trans. gen. function NAV lookup now no longer Acct# Case Sensitive.
5) Array of TCalcRec in Desktop TabCalc unit deprecated by attaching TCalcRec objects to TabCalc objects to simplify code.
6) Field type error for Fund Acctg. Ledger table, "NoSignCalc" field resolved (only affects fund acctg users).
7) Fund Acctg tweaks to ensure local amount fields filled for automatic transactions.
8) Fund Acctg Rptg tweaks to give better control over "From Inception" participant perf. Rpts.   (GetAcctValueForDate function extended to return addl parameters)
9) Fund Acctg generic import modification to fix the import of Fund Accts from a CSV file.
10) Internal CashFlow record modified to include Distribution field to support extended multi-currency performance reporting.
11) Billing Months in prior update now populates correctly.
12) Custodian import error for OpenLot/Realized Gains table introd in 8/13 release, now fixed.
13) Manually created security record now has "Active" flag set to true.
14) Misc. broken context help links repaired.
15) Sifma and Finra security lookup links removed b/c no longer offer useable security lookups.
16) More tweaks to fix bugs and make improvements in change made in #5 above.


8/12/14
1) Est. Tax calc. now adds back any taxwithheld before computing estimated taxes on dividends/interest, etc. 
2) Foreign Cash profit error introd in about 1/27/14 Hotfix corrected.
3) ROIMatrix report "show zero as blank" option now works as intended.
4) Fund accounting report headers now substitute fund acct Titling info w/o need for explicitly entering placeholders in header field.
5) Fund Acctg, fixed bug preventing "Expense" report from running. Also Rpt Header insert for fund symbol now populates.
6) Fund Acctg, add'l support for importing fund acctg transactions, by populating/computing NAV & Qty fields.
7) Fund Acctg, Use of "P/I" (principal/income) category field extended to allow users to use this field to differentiate firm vs employee contributions to managed pension fund.
8) Wash sale computations now correctly handle wash transaction occurring w/i 30 days before closing transaction.
9) Transaction trade price now support > 4 dec. places if such specified in Gen. Preferences.
10) Plugged some memory leaks in ServerRDM & CTSrvUtil Units related to Temp datasets not being freed.
11) Fund Acctg, algorithms to mark (perturb) and update records due to changes in other records made more efficient.
12) Fund Acctg, transaction import modifications from #6 above to update share balances.
13) Fund Acctg, Acct Name field added to fund Transactions as a "Lookup" field. 
14) Add'l tweaks to Wash sale computations.
15) Blotter transfer speed up by offering options to suppress duplication check. (useful for users w. many transactions)
16) Transaction import of multiple files speedup implemented by doing post-processing (record massaging and updating to database) after each file is imported rather than in one massive effort thereby reducing system resource reqts.
17) Fix to correct error intro'd in #25 in 3/6 release (see below) for fee rate% reported for layered fees.
18) Fee report calc correction also for advanced adjusted fee with layers, where the rebate for a closing account is now properly layered.
19) "Billing Months" field added as an optional report field. This is reported as a whole number if the Start and End dates are at the end of the calendar month or work month (i.e. last Friday of month).
20) TAC codes BOP & SOP treatment made same as BUY and SLL in cost basis calcs. 
21) Custodian client/account import for IB tweaked to be compatible with current data format.
22) More Fund Accounting tweaks to support import function added above and to speed certain operations.
23) "Published ROI" computation option, bugged in prior release change, corrected to exclude start date record.
24) More multi-date batch valuation options added.
25) More fund accounting fixes & improvements (incl. avg value based fee fix).
26) Foreign cash cost accounting now properly relieves cost at average rate.  4/15/14
27) Report file saving option to not use identifiable info revised to partially obscure acct#s and names used in the filename. 
28) More report header/footer page options added, including salutation field. 
29) Fund Acctg generated Portf. Trans. dates are now same date as fund accountg transactions if no shares generated.
30) Optional "Year-to-Date" fields (including YTD ROI) added to holdings report at Levels 3/above.
31) Custodian Import Speedup by using sorted cache list. 4/18
32) Unnecessary before commission ROI computation bypassed if that field not selected by user.
33) Pershing Global script fix for BDmemo field which is used for some TAC translates.
33) Custodian import bug intro'd in 4/18 hotfix affecting some interfaces (IB), fixed 4/24
34) Scripting improvements for Custodian Security & Price records in support of FX rates and single pass imports.
35) Zero Quantity CGR and SGR transactions now properly adjust costs.
36) Custodian import enhancement to support import of country code derived from 1st two characters of ISIN number. The country code is appended to the symbol to avoid symbol conflict between identical symbols in different countries.  Currently this is scripted only for the Interactive Brokers interface.
37) Computation of foreign cash based upon transaction currency field implemented.  
38) Distribution generation can now be generated up to indicated maturity date or distribution gen. end date (whichever earlier) rather than stopping at current date.
39) CBA transactions now reported in Return of Capital category of Income/Expense reports
40) RCV_DLV_pair checkbox status now taken into account for Total Additions/Removal in Valuations Table.
41) Generic price import now removes time part from date to suppress setting of "intraday" flag.
42) Blotter transfer function now sets default duplicate check set to "On".
43) ACL transactions on non-base currency securities (i.e. "foreign" securities in a multi-currency acct) now accrued to the currency designated in the transaction record "Trans Currency" field if it is different from the transaction security's currency (also the routine that computes the accrual is now a separate routine).
44) Fund Accounting participant composite performance report fixes for multi-currency/foreign cash acctg cases.
45) Credit/Debit Interest Table removed from view except for Pro-4/Ent-4 Licenses with B/D option set.  Related IOB computation tweaks.
46) Correction to 3/3/14 bug that double counted effect of Tax W/h field entry in Estimated Tax computation.
47) Client Group reporting enabled at Level 2 (prev. Lev. 3).
48) Fee Class field added as an account filter option on the report run dialog page.
49) Fund Accounting "freezing" of Fund Account record now can be done on a per record basis and also prevents recomputation of frozen account transactions.
50) Record "freezing" routine tweaks.
51) Fund accounting reporting correction to properly compute shares for end date SLW/LQD transactions. Fund & Acct share computations centralized in single routine to ensure consistency.
52) Fund accounting transactions which do not add/remove from portfolio now suppresed from creating a portfolio record.
53) Interactive Brokers import code tweaks to properly handle currency trades.
54) Sub-allocation function (Pro-3+) via security notes tweaked to properly handle merged accounts case.
55) Bifurcate Lot function added to "Tools" menu.
56) Server Control Panel option added to control generation of expired options transactions during valuation computation.

3/6/2014
1) Cumulative performance report default periodicity tweaked to use "*Y" for last period.
2) "Period Size" field output for Cumulative perf. rpt now rounds better to nearest month or year when end date is on a weekend and user does not create valuation on the calendar date.
3) Div by zero possibility eliminated in connection with erroneous SP+ transactions. Also deals better with same date SP+ transactions which can come in from some data feeds.
4) Security Category Description field in reports now shows in subtotals.
5) Growth by categ. graph period now not subject to report periodicity order.
6) Portfolio Perf. report from inception period tweak so cash flow period (w. hidelines=none) consistent with displayed period when ending period is from inception (was 1-Dy diff.).
7) Report PDF Font Encoding option added to Server Control Panel options (to support Mac encoding).
8) Server Control Panel DB fixups now always run when new version date > existing version date. (this was to ensure that Simple Mode backup is set for all users, See item #24 prior update)
9) Checking for program updates no longer suggests system backup.
10) M.Except bug reporting email addressing updated.
11) Fund Acctg Incent Fee tweaks.
12) Wachovia First Clearing interface enabled at Pro-1 level.
13) TDG (tax deduct. gift) code transactions now populates AuxDate and AuxAmt fields.
14) Annualized cumulative TWROI line support added to Roi chart
15) Option to use portfolio based transaction data in lieu of distrib. records for estimated income added to forecast income report. 
16) Tweak to Mstar analytics export to support "Family" field.
17) Corrected Several places where string lists specified "No Duplicates" to also be "Sorted" as required for the "No Dup" case. (fsv_ABVrec, fsv_BatchOps, io_GenImport)
18) Special symbol "~Closed~" exempted from being considered a money fund symbol.
19) Valuation "profit" fields now summable on grid.
20) Report subtotalling improvement for text group fields in multi-level grouping type report.
21) MFA and PCA type transactions factored in to performance report results.
22) Fund Accounting incentive fee computation algo. simplified if no concession base specified; this also corrects an overstatement of the fee computation.
23) Data converted from CTWin now tolerant of lookup type fields recently added to acct records.
24) "Buttons" on Web Interfaces tweaked for better text readability.
25) Reporting of annual fee rate for layered fees for partial periods now computed as using the layers assets as the wtg factor.
26) Reporting of Mgmt Fee and Incent Fee in Fund Accounting no longer overlap.
27) Incentive fee report breakout added to portfolio performance reporting.
28) Backup purging params tweaked to retain more backups 
29) Generic import functionality added to use "skip= " to skip records containing value indicated.  Also added checks to handle Nil records from lookup.
30) Group Description reporting lookup in Rpt_BaseRep unit now support fund acctg transactions.
31) Realized Gains Rpt now splits partially washed loss sales in report in order to maintain long term hold status for part not washed.
32) Option for Generic Import of Fund Transaction Records activated.
33) ROI Matrix report display period fields where security was not held as blanks.
34) Realized Gains report now has option to "sub-total" Buy & Sell dates using "Last date" method.
35) Clearing of existing Recon Records upon import now differentiates data sources to preserve data from different custodians up to a month. Also, existing Recon recs. of same Account being imported are deleted before new import records are posted.
36) DLL's and HTML's affecting Browser based functions cleaned up for tighter look  and better visibility of some button components.  Support contact info in software also now refers to web link.

12/16/2013
1) Allocation function now properly factors in bond accruals.
2) Multi-Currency position reports now properly include local accrual in Local Values.
3) Account merge utility tweaked so that works even when "new" account is empty.
4) Account Extract/Import function tweaks to simplify Rep/UserId specification upon data import.
5) BFC and SFC transaction codes now avail. at all program levels.
6) Chart description lookup from Security Note field fix.
7) Fund Accounting Shares & NAV calc improved to use Valuation records plus Fund Transaction records instead of relying only on Fund Transactions.  ~10/21
8) Fund Accounting performance reports "Income items" (e.g. interest, divs, etc.) previously showing onlydistributed income now show pro-rata share of income to the fund whether or not distributed
9) DataExtract function data scramble tweak to deal with acct numbers which completely fill field.
10) Income/Expense report generation efficiency improvement.
11) Avg Fee with security factors active now correctly computes exclusions and security fee factor when mid-period deposits/withdrawals. (note: security factor for (CASH) symbol is always computed as 1.0);
12) Aggreg. ROI Chart tweaks so index and portfolio start on same dates, index ROI is now cumulative & rolling 12 mon index calculation now correct.
13) Optional ROI fields on Holding report labeling corrected and two add'l fields added.
14) Script call to open firewall for Old Dataserver port no longer called.
15) Report Periodicity date processing for case of where Fiscal Year End used.
16) Clearing of Reconciliation, Open Cost, and R.Gains tables upon import of new data now better clears old data.
17) Pos. by Lot report now applies price factor to period value changes field results.
18) Custodian import of options now supports price factor other than 100.
19) Application of Acct ROI Start/End dates specification to growth & ROI charts fixed (several hotfixes involved)
20) DST Downloader link disabled on Server control panel because Active-X not recommended for Win 7/8+.  DST Fanmail website can be used to get the same data.
21) Notation such as "x0.01 in the "Format" field of the Generic import template implemented as a multiplier applied to the imported number. 
22) Fund Acctg Change in #7 above, corrected to exclude same date DPF/WDF transactions.
23) "Freezing" of fund accounting transactions now does not occur until "next" day to facilitate easier manual data entry. 11/25
24) File compaction method change (see 10/8 update) now triggers on first run of server control panel.
25) Additional "wait" and log messages added to SCPanel "compaction" function to deal with very large LDF files.
26) Open Lots and Realized Gains import fills Gains and Days Held if not provided by custodian. 
27) Fund Acctg. "NAV Fixup" function fixups.

10/08/2013
1) Automatic option expiration generation code now allows +4 days slack for custodian lag in posting expiration.
2) Reconciliation Cusip to Symbol translation threshold reduced from 8 to 7 characters to support Schwab options
3) Realized Gains record import and reconciliation function tweaks.
4) Consolidated Closed position reporting object freeing bugs resolved.
5) Fund accounting cash position error intro'd in prior update resolved.
6) Chg 9/12.23 modified so does not disable Fx import where base currency not in price record. This now still correctly deals with cases where account base currency does not match implicit global base currency.
7) Server Control Panel now puts the database in "SET RECOVERY SIMPLE" mode when you run "DataBase Compaction" function to minimize size of LDF files. We judge that this is ok, since the full recovery mode is never used in practice. 
8) Mgmt Fee Xref report group subtotal for "billing days" field now correctly computed (bug in last update)
9) Client Name fields in merged Fee reports now show account owner name not group master name.
10) Optional "Misc Status" field (normally hidden) added to transaction records to allow characterization of transactions for tax and other purposes.

09/13/2013
1) Mgmt Fee summary reporting of average balances on new accounts tweaked (does not affect fee amt).
2) Realized Gains Reconcile table "push down" of costs now works as intended.
3) Generic import function tweaks to deal with data containing apostrophes and other issues.
4) Multi-currency Exchange rate look up algo no longer presumes account base currency and global currency are the same.

09/05/2013
1) Cross-ref reports no longer need to show security detail to report aggregate values for 
security stats such as Yield%
2) Sub-Account Symbol import tweaks to avoid field getting overwritten.
3) Reconciliation, Open Lot and Realized Gains custodian imports now do not "de-dup" identical records.
4) Fund Accounting "NAV fixup" utility added (this can be used to verify NAV consistency and fixup when not consistent)
5) Single table XML import fixes.
6) Price History "Time" fields now retain blank value manual creation of new record.
7) Price History records now not overwritten by download if DataSource does not match Download Src.
8) Multiple entries of same account/symbol on Reconciliation Table are now subtotaled.
9) Single transaction branch of IRR calc modified to require that transaction to be first Cash Flow.
10) Fee report handling of Billing Days and Avg Balance for accounts starting mid-period tweaked.  
11) YTM calc now automatically computes accrual even if no accrual method specified by user.
12) "Investment Gain" and "Investment Gain%" field options added to reports.  These differ from
"Profit" and "Profit%" fields in that only cash flow inputs/outputs used (no non-cash cost adjs).
13) Bond Accrual treatment in allocation trades corrected
14) Fund accounting now ripples down recalcs if amount in a fund transaction is made. Also automatic freeze of portfolio records in fund accounting portfolio extended to current date.
15) Tweaks to calculation/reporting of large negative ROI's to support better convergence near -100%.
16) Closed position reporting tweaks. (8/20 & 8/28)
17) Swap trade min qty rounding now works as intended.
18) Report footer spacing tightened and potential paging problem when report "borders" active resolved.
19) Before Fee ROI now properly reflects user's custom selection of OFE and other TACs as a mgmt fee TAC

6/17/2013
1) Chart min-y axis initialization reverted to pre-4/30 value of "True"
2) Tweak to rpt PDF attachment routine to prevent random duplicate attachments
3) "Calc" function now operates on "Lot" field of Trans. records to assign sequential lot # for opening
lots when specific method is used.
4) ROI matrix report now implements optional hiding of "cash/mmf" records.
5) XAE (expense accrual) transaction activated at level 3.
6) Fee fields in report footer now support layered fee situation.
7) Duplication of records with lookup fields (e.g. alloc. records) now does not error out.
8) Security records entered manually now flagged as "CTnet" created records.
9) "Fill down" in fund acctg records now operative.
10) Fund Acctg fee trans. record generation now suppresses zero fee records.
11) Support added for Beta Index to be Synthetic index.
12) Fund acctg, h/w incentive fee calc fix.
13) Footer subtotals returned to Position table for Value and Cost flds.
14) Allocation trades now properly factor exchange rates.
15) Amortization treatment with partial redemptions fix.
16) Report "DataStartDate" reset in each account group to runtime startdate (fixes #2 4/30)

4/30/2013
1) Fee table "Group" field re-activated for Level 2 users.  
2) Report Start Date reverted back to not being set to dataStartDate (3/29 release #7)
3) "rf_EffectiveFeeRate", "rf_FeePctPerYr" and "rf_BillingDays" added as placeholder options in Fee Report User Text and Footer.
4) Client related fields now supported in Mgmt Fee reports detail line.
5) Tweak to Item#1 (LT hold period) from 3/29 release.
6) Security ROI exclusions now properly deal with Non-cash RCV/DLV transactions.
7) Quote Download (from Yahoo) now does not update Security description unless blank (due to some truncated descriptions for on site for some securities)
8) Cost adjustments for splits now does not adjust cost for transactions on same date as split.
9) Tweak to ROI Matrix report header descrip. routine so YTD only shows if period EndDate matches report end date.
10) "Billing Days" on Mgmt fee subtotal now rounded to whole day instead of truncated to whole day.
11) Tweak to "Uniform Period" option implementation in Fee Billing to allow for end of quarter on March 28 in case of Easter falling in March.
12) Error message from Desktop in case of loss of Server connection, now more verbose. 
13) More Security ROI exclusion tweaks (see #6 above).
14) Growth of Synthetic indices no longer has discontinuity at date of mix change (fixes bug introd in prior rel).

3/29/2013
1) LT hold period for reporting now requires 12mon + 1 day consistent with IRS regs.
2) Import script now supports "wildcard" char "*" for symbol translations,
3) Cost adjustment from zero quantity DLV transactions now attributed to source lot base upon Aux. Date matching rather than spread accross multiple lots.
4) Performance reports now ignore account "Foreign Cash Accounting" Setting as "off" unless the license has multicurrency active, and a base currency is specified.
5) Import and Reporting now always treat CashTicker currency as account base currency.
6) IOB TAC code added to "Sweep" TAC set.
7) Report periodicity function called earlier in base report runtime setup to support user adjustment of start date with "I+" notation for all report types.
8) Valuation chart "cost basis" item (recently added) now not displayed unless Caption is not blank.
9) Fund Acctg. tweak to include DLV fund transactions in Incentive base computation.
10) Cost basis computation modifications to better deal with cost adjustment transactions including zero Qty DLV, and correct issues introduced in the 2/8 release.
11) Realized Gains Table reconciliation enhancements, including coloring to indicate custodian closing costs pushed down to portfolio transactions.

2/11/2013
1) Contract price no longer imported into Aux. Amt field for Futures contracts or CFDs
2) Wash sale adjustment calcs now successfully handle February (short month) loss sale with monthly reinvestment
3) Modifications to support using Sub-Acct Record "Symbol" field for composite investment style.(folio support)
4) ROI chart generation tweaks to ensure correct chart start date esp. for Cumulative ROI
5) Fund acctg. "NAV" display precision now can be displayed up to 6  places.
6) Non-U.S. date format related issues resolved (S.African date format & fund acctg dialog dates).
7) Fund Acctg. tweak so default NAV and share precision to 4 places if Fund Param Decml fields Null.
8) File/Restore View Settings function tweaks to remove suggestion that user restore using RegEdit (due to risk of user error) if Captools Restore function fails (e.g. in Win7)
9) Transactions generated from Fund Acctg to a client portfolio now not subject to "Trade Price" being limited to 4 decimals.
10) Fund Account FAcalc unit revamped for better efficiency and improve robustness.
11) Reconciliation tweak to better match multiple lots in a symbol.
12) Reconciliation and Position price and accrued fields are now "maskable".
13) Price Downloads from Position records for prior dates no longer also triggers a "Current Date" download.
14) Option added to "delink" fund accounting transaction entry from portfolio transaction (Use "Delink_Trans" in Param Record "Code" field).
15) One more tweak to item #2 above for wash sale adjustment.
16) Tweak to #13 to use "Intraday Price" flag as criteron to re-download historical prices.
17) Reconciliation view now applies AcctId field in record comparison if active.
18) Blended index plots now "fill" weekend/holiday prices with prior market day's blended price.
19) Realized Gains report handling of "Washed Sale Days" now consistent with the Position by Lot report.
20) Reconciliation price import now applies multi-custodian pricing if pricing must be fetched.
21) Tax rate table State and Local CG rates specified in Keyword field now only apply to long term gains. Help documentation updated to reflect that State and Local rates are additive to the Federal Cap Gains rates.
22) "Third Currency" valuation reporting added for Level 3/above multicurrency installations.
23) Transactions coded as "NQD" are now apply "Non-Qualif." tax rate, if one is specified, other than "Ordinary" tax rate
24) Signature or other graphics may now we loaded into the report "User Text" area.
25) Desktop grid "Finops" unit consolidated into "TabCalc" unit.
26) Periodicity User Labels (Pro3/4 feature) now adjusts for automatic removal of duplicate date periods
27) Code added to Server Control Panel "fixup" to unregister old DCOM version of CTServerSvc service if the new service is installed and to warn if the new service is not installed.
28) Security symbol change now does not perturb position/valuation records.
29) Report footer order corrected so "Footer #1" always appears first.  Interim Hotfix code that expanded the height of headers and footers reverted to return to previous height.
30) Fund Acctg "Gen Trans" function now refreshes fund trans. view after it finishes.
31) Handling of DLV transaction adjustment to cost basis for specific lots corrected to properly allocate adjustment.
32) Account renumbering function via import interface enhanced to function to merge accounts where both already exist in database.
33) Security Merger tools now applies negative sign to amount field.
34) Option symbol Format specification support added to generic imports.
35) Realized Gains Table now has functionality to push custodian cost basis to portfolio closing transactions.
36) Bond Amortization/Accretion calcs now support amort/accret upon early/partial redemption
37) Handling of CBA transactions with lot number assignment reinstated to pre 11/16 release functionality. 
38) Security exclusion from ROI reports now better deal with transaction exclusions and also now support listing of excluded symbols and value with placeholders in UserText.
39) Reporting option added to report for individual security ROI's (e.g. for options) with maximum ROI of 100%.
40) Tax lot assignment utility fix for short transactions.
41) Period profit by security chart fix.  Also "Other %" option now works for bar charts.
42) Open Lot report enhanced (level 4) to add optional fields detailing gain changes by subperiod.


11/16/2012
1) Lot field now shows 4 characters to allow space for "Avg1"
2) SCPanel now displays proper description of SQL engine on 64-bit OS.
3) "Machine Id" now based on Microsoft Security Id instead of Volume ID for Windows installs dated post 10/31/2012 Log-in machine Id no longer needs re-setting when user changes machines from which logged in.
4) Premargin ROI fields activated (Level 4)
5) Calc. clicking on populated Recon Price Fld will create price hist. record if none exists.
6) %PriceFactor function now a scripting option for computation of recon prices
7) Import of RCV / DLV w/o pricing or amounts now uses prior day for price lookup if a mutual fund.
8) "Base" fund accounting accounts set at 25.
9) Server Control Panel start up logging messages more detailed.
10) Report "Run" dialog tweaks for placeholder fields.
11) Specifying "End Date" in report body no longer triggers hist. Cash Flow fetch.
12) GetMem replaced with AllocMem (clears buffer) several places to resolve possibility of endless loop in "GetLocalIP" and "GetComputerName" functions
13) "SecurityId" method of Dividend Accrual re-instated.  (Distrib. Method must be "SecId", in which case Ex&Pmt Dates and Pmt Rates taken from Sec.Id record instead of distrib. records).
14) Mgmt Fee report for partial period now consistently handled with/without periodicity specification.
15) Import procedure tweaks to support using Custodian "Internal Security Id" for symbol lookups.  
(AllSymbols fetch now later, may affect DST import)
16) Import script loading routine now properly sets field type even if first instance of multispeced field is blank (e.g PriceFactor fld).
17) Tweak to GetRecordCount routine to ensure that zero returned for empty table.
18) Fix to Security Stats lookup function (CalcFinancialsStuff) to gracefully deal with empty data record.
19) Tweak to MMO and MTM transaction handling to disable field calcs.
20) Import scripting "Misc Specs" of ">=" and "<=" added to support import of partial data strings.
21) Multi-level folder generation now supported via "Report Path Placeholder field".
22) End Date field now populated in subtotal field for holding reports.
23) Transaction Sequence # made 3rd level default sort field after account# and date (to ensure server and desktop prog. sort same date records in same order as each other) Sequence field also made displayable but not sortable.
24) Server Control Panel no longer color flags DLL programs unless dated earlier than DLL specific "stale" date.
25) Generic import now computes "clean" price when price not included in source file.
26) Treatment of EXP transactions in share bal. calc. now carries fwd prior balance.
27)  "Cash" treatment for MTM transactions disabled in #19 above, re-enabled.
28) Position record for "Liability" in connection with futures position, now exactly offsets market value of futures position (rather than nominal contract value) on the assumption that cash will be credited with mark to market transactions.
29) The field "Composite Style" (Level 3/higher) was added primarily to give greater flexibility in grouping performance results in composite reports base on management investment style. Please see Help/Reports/Performance for more detail.
30) Lot cost tweaks to properly deal with Splits and cost basis adjustment for return of capital, etc. in all cases.


8/23/2012
1) ROI matrix labeling tweak for Quarters
2) ROI matrix now reports non-normalized IRR figures (unless normalization is specified)
3) DFC (deposit foreign currency) and WFC (withdraw foreign currency) transaction codes added.
4) Aux Xrate field lookup on "calc" fcn now works.
5) Updated PDFtoolkit installed on "Hotfix" developement PC
6) Import of Interactive Broker currency trades adjusted to force "Local Commis & fees" if "US$ being traded. 
Also fix to sell side exchg rate. 
7) Perf. reports using "Taxable R. Gains" or "Period R. Gains" field now always runs computations at security detail level.
8) Default User Acct Prefs now set after custodian and generic import of account records.
9) I.B. import of currency trades in US$ where Base Currency is not US$ modified to accomodate special I.B. treatment of this.

7/31/2012
1) "consolidate Accrued Int" option added to custodian import scripting (now used in TDWcan.idi)
2) Sigma results reporting now annualized when period > 1yr.
3) Massage of TWroi algo change from 5/11/12 release so expense transaction in closed portfolio does not result in 100% loss figure.
4) Mgmt fee based on end-value and "Uniform Fee Period" months set, now uses "actual" full billing days in lieu of "uniform period"
full billing days for pro-rating period so as to avoid understating fee for statements that use non-calendar month ends.
5) Tweak to report logging to prevent timeout on large crossreference reports.

7/6/2012 - Refreshed Tasker only
1) Tweak so Mkt Values reconcile on Open Lot table when multiple same size lots on a given date.
2) Val Chg By Type rpt now defaults to Hide Details and Subtotals in setup.
3) Tweak to how "Trailing Note" type line is imported in transactions so can use conditional ("IF=") import 
to support fees Schwab is now including in this data.
4) Valuation change by Acct. report can now be generated as an "Acct only" report.
5) Report s/t group description now uses Lastname as well as first name when "ClientId" used as grouping field.
6) Price imports from Position records with no longer duplicate, and prior imports deduplicated automatically.
7) Dummy Variables used in S/T ROI calcs separated out in prior update are now initialized.
8) "Prices only" batch val. feature now has more logging.
9) Inception ROI for merged accounts case (fix bug in 6/18 release).

6/21/2012
1) "Rotated" Reports (e.g. portfolio perf.) rounding decimal now properly initialized (disabled in 6/18 release).
2) Open lot reconcilation for TDAM data now consistent with other custodians 
3) Modified SCPanel and other programs to recognize SQL Server 2012
4) Modified CTNetSetup to download and install SQL Express 2012.

6/18/2012
1) PCS transaction added to negative quantity TAC set so that it gets included into transaction share balance field calc. 5/11
2) Tweaks to Open Lot "cost push" function; highlighting Portf. Cost and clicking on "Calc" icon creates opening RCV transaction for each lot.
3) Tweaks to datestr. conversions in TaskMain to ensure non-u.s. users dates properly converted.  
4) Dividends accrued from ACL transaction is now maintained in valuation until reversal even if position is closed. Pending type div. accrual now does not accumulate.
5) Report ROI chart "Cumulative ROI" chart item is now non-annualized when subperiod < 1yr.  5/29
6) Report ROI charts "by Group/Class" etc. now apply different coloring to each group.
7) ISIN and SEDOL security identifiers added to reporting (Level 3/higher).  5/30
8) Report charts can now be stacked 3 wide (must reduce width & use landscape).
9) Portfolio ROI report fix to correct number formatting bug for European users.
10) Bug in item #3 change corrected.
11) BatchVal record freeze now triggered at last work day of month as well as end of month.
12) Non-quantity cost transactions (e.g. CBA) allocation to lots treatment modified to ensure that such transactions dated after
a close transaction are note included in the close cost.
13) ROI from inception now adjusts IRR normalization when a hidden "zero" initial valuation is inserted one day prior to start of portfolio.
14) Manually entered "Family" field now "protected" from automatic fill if already prefilled. Also field "pick list" 
now taken from own field rather than "last name" field.
15) Generic import tweak to compress long option symbols.
16) Portfolio max fetch months increased from 999 to 9999.
17) MTM transactions now treated same as MMO transactions.
18) For Option/Future pricing, if "Asset Symbol" is blank the main symbol is used for price lookup.

5/10/2012
1) Autodownloads now exclude distribs & fundamentals unless task day =Friday
2) Autodownloads now exclude "inactive" securities.
3) "Continous mode" for Excel output (implemented 10/3/11) disabled to resolve output columnization artifact.
4) Non-quantity cost Transactions (e.g. RCW) now adjust cost of prior transaction even with null lot assignment.
5) Batch re-pricing function now re-sets pricing stale days field.
6) Portfolio ROI report vs non-merged acct now rpts TWROI with Inv Wtd Avg option set (fixes error introd in 3/8 release when 
Inv. Wtd Avg. activated).
7) Custodian imports now can consolidate interest & interest reinvestment transactions.
8) "Aux Amount Local" transaction field now is optionally visible for multi-currency users.
9) Income F/C algorithm for reports now allows extra slop for late avail of div. data (2 days for monthly payers, 8 for quarterly)
10) Fund accounting transaction generation tweaks.
11) ROI for expired short options now reports positive 100%. 4/11
12) Tweak to custodian import mods made in 3/27 release to correctly handle scripts using "wildcards" in transaction code table.
13) Batch valuation progress screen again reports percent progress.
14) ROI algo tweaks for convergence issue for expired options (4/17,4/30)
15) Tax W/H field in money market fund transaction now reduces net amount field & adjustments to assoc. reporting to deal with
such older transactions.
16) Problem with Non-visible charts in report (intro'd in 3/28 release) resolved.
17) Quote Downloads triggered from the Securities Mgmt screen now update Securities Stat. table.
18) Desktop log in version dependency removed.
19) "Download" and "Freeze" dates now passed from Desktop to server in integer format to eliminate formatting issues.
20) Share balance calc on transactions can now be triggered on any TAC with a quantity requirement (not just a Symbol Reqt).
21) "Annual Income" field on position view now subtotaled/grandtotaled.
22) Scheduled downloads tweak in #2 above corrected to skip inactives rather than stop at inactives. Mkt Indices are treated as actives.
23) Pro-rating of Service fees between accounts in a group now works when there are not mmgt fees.
24) Account Split/Merge tool now does not error out in split mode.
25) Aux Exchg Rate now initialized at 1.0.
26) Account Merge utility now also adds old account# to sub-account records.
27) Security SpinOff tool now uppercases symbols entered in lower case.
28) CBA transactions w/o lot assigned now/again properly pro-rated across lots
29) Modified Report Run page to support Fund Accounting.
30) Modified Report Set page to support Fund Accounting with the exception of account-selection.
31) Func Accounting Reports are now fully supported.

3/27/2012
1) Rpt Column Label headers hidden after first page for Excel & CSV output.
2) Cumulative ROI reports "Show Cumulative ROI Acct Detail" check box now also applies to cross-ref version of report.
3) Rptg calc. allowance made for BRW & RPY transactions with "(CASH)" symbol.
4) Custodian import speedup (esp. for transactions) due to more effic. TAC translation for non-wildcard scripts.
5) Temp Rptg code inadvertently put in 3/22 release, now removed. (effected Profit & Prd R.Gains)

3/22/2012
1) Rotated Rpt indenting can now be field position dependent.
2) PIC/CCT transaction handling in reports revised to remove effect on accruals.
3) Security "merger" tool now generates RCV part of transaction and populates cost basis information.
4) Reporting for fund accounting activated (online documentation soon).
5) Report memory mgmt tweaks.
6) Bond Amortization/Accretion generation suppressed on Maturity date unless Date<=Current Date.
7) Fixed Report Run page to display Server machine date format for the Last Run column.

3/8/2012
1) Wtd average version cross-ref. ROI composite option now not overridden by cash flow option. 2/20/12
2) Cost reconcile bug resolved for case of missing symbol in recon records  (custodian Id now filled).
3) Growth vs Index chart index start date now matches earliest portfolio start date.
4) Optional Avg Value field added to Portfolio ROI report.
5) Small batch valuation efficiency improvements (few %)
6) Algorithm for report wtd. avg Subtotals re-worked to support multiple nested subtotal groups.
7) Est. Tax calc on final closing transaction on a series of "washed" transaction now correctly accts for
carryforward washed cost.
8) Added option on Server Control Panel to remove restriction of one batch valuation per server for Enterprise level licensees. 
9) Modified Tasker to allow multiple batch valuations simultaneously either by the same Rep or a different Rep. 
   Intended to be used by different Reps and for separate accounts. Including same accounts may have unintended consequences.

2/17/2012
1) Refinements to cost basis reconciliation and function to push costs from Cost Recon table to portfolio RCV transactions.
2) Manual Batch valuations now attempt to download missing index prices for batch date, if downloads are activated.
3) Verbose (e.g. spell out Month) date format supported in reporting.

2/14/2012
1) Accruals from ACL transactions now do not clear when a security is sold, rather it remains until reversed.
2) Add'l fields added to Level 3/higher Account Long/short cross-ref summary report to assist tracking cash levels and fees.  Account "Fees Due" field is now "Estimated Annual Fee" and is updated whenever fee billing report is run.
3) Cross-ref multi-date cumulative perf. report now includes check to ensure periods prior to inception of portfolio are suppressed.
4) charts initialized as bar charts are now restricted from being specified as pie charts, tho pie charts can still be changed to bar charts.
5) Report Sec. Type inclusions/exclusions modified to not require the sec type/group/class to be a grouping field.
6) Period reports now displays correct "Acct. Shortname" when that field selected with "details" hidden. (handling of other acct fields also done in same lookup procedure).
7) Rotated reports string fields "trimmed" so that right justified fields position properly.
8) Realized Gains Rpt no longer assigns displays "Err" lot# when opening transaction lot is unassigned and closing lot is anything other than specific lot (unassigned open lot displayed with close lot value)
9) Batch Valuation "Months" parameter is now persistent upon refresh rather than reverting to 1 month.
10) Generic Import of Account, Client and Security records now checks record limits one record at a time to avoid triggering limits if an import is merely updating an existing record.
11) Error on deletion of single "Temp" record handled.
12) BFC and SFC transactions now "float" exchange rate rather than price on manual data input
13) Batch Val fetch limits for "user default" case modified to use user default up to 12 months.
14) Item 18 on the 12/6 revision modified to suppress single account case.
15) Insertion of WashLoss CBA trans record on estimated tax recalc now reactivated (inadv. disabled in 12/23, item#3)
16) "Proper Capitalization" function now also removes extra blanks from descriptions
17) Item #4 above reverted b/c could not return to pie from bar chart
18) Import of schwab realized gains data now strips leading zeros from Acct#.
19) Import Cusip to Symbol function now adjusts for mixed 8 and 9 character cusips.
20) Div. Accrual calc tweak to accommodate change in accrual from transaction to accrual from 
Distribution records due to change in custodians.
21) Realized Gains reconciliation enabled for users with custodians who provide that data.
22) Upgraded charting component implemented with better memory management and logarithmic support and optional "shadowing" to 
enhance appearance.
23) Multi-chart reports with more then charts maintains chart order.
24) Code to detect discontinued dividend in Forecast income report (from about 10/15 release) fixed.
25) Distribution download start date fixed (12/9/11 update errored when many symbols selected).
26) RCR transaction code no longer cumulates cost in position records (corrects 8/11 release error)
27) WCF (Wash-loss Carry-Forward) transaction type added. This is typically automatically inserted on est.tax calc.
28) "Resume Report" function modified to allow clearing of last RAF (intermediate data format) file before proceeding in
cases where that file was not properly completed.
29) IRR/TWROI results inconsistency (small) introd in 12/23 release corrected.
30) Initialization from custodian open lot records (cost basis) record now activated.
31) Modified report Run page's "Skip Previously Run" feature to ignore the last processed account that may have errored out. 
32) Added warning to SCPanel if no valid backups found in the Recent (7) days setting.
33) Corrected behavior while deleting records when user Presses escape key to abort delete operation. Esc key is suppressed and nothing happens. Need to explicitly press No to delete records.
34) Suppressed a spurious exception when user tries to delete a sub-total record.

12/23/2011
1) Open lot reconciliation fix for avg cost.
2) "Fixup" function for RCV/DLV transactions with missing prices now also does price factor checking and fixup for fixed income securities.
3) Wash loss routine in cost basis calcuation now bypassed if computation is triggered during transfer from blotter so as to prevent record update conflict during computation of estimated taxes.
4) "Billing Period" field in billing report can now optionally be populated by user specifiable code in rpt special options to better facilitate using export code required by some custodians when reporting to CSV format.
5) Report "Periodicity" format now supports using notation "B" preceeding period to indicate that it is to start from report runtime "Start Date" e.g. "B1Q,B2Q,B3Q,*Y" would indicate to report the year's first quarter, followed by the first 2 quarters and first 3 Quarters and then year to date. Using the notation "EOY" will adjust align periods to Year End, e.g. 5Y,3Y,1Y,*Y,EOY will ensure that period start dates are on a year end, and quarter dates on quarter end, and month dates on month end.
6) Report handling of "PIC" TAC code at portfolio summary level is now consist with detail level.
7) Cost basis calcs now include AMT and ACR transactions dated same date as close transaction even when occur sequentially after such transactions.
8) Cost basis reconciliation matching improvements including to allow for custodian combining multiple same date transactions into single lot.
9) Records with sequence #'s now always fetch sequence# field into local dataset before processing to ensure DB updates of same date records retain their order. (this item removed 12/20/11)
10) Custodian price import tweak to improve speed by removing unnecessary filtering of temp records. "Consolidate Reinv" import postprocessing now works as in 9/15 (i.e. no cases skipped).
11) Client and Account records now have a computed "Age" field to indicate client's age based on Date of Birth.
12) A "Forecast Income" bar chart added as a Pro-3/higher reporting option.  F/C Income periods forced to align to MonthEnd.
13) Reporting corrrection in treatment of capital commitment in U/R Gains
14) Foreign cash accounting cost basis calc. tweak to include foreign cash in/out of security trades for correct cost exchange rate
15) Transaction processing after transfer from the blotter now does not submit a separate compute thread after transfer so as to avoid "race" condition 
with subsequent operations that could cause failure of transfer and subsequent batch valuation.
16) Distribution download fine tuning to ensure new data downloaded in a timely fashion.

12/9/2011
1) Correction to ROI calc error in 12/6 release affecting ROI by security subtots.
2) Allocation table price fetching now will fetch up to 4 days stale price if necessary.
3) Scheduled downloads now has more intelligent frequency checking for Distribution downloads.
4) Statistics records now update themselves after price downloads.
5) Reporting "zero quantity precision" variable increased for certain licenses.
6) Fixed reporting to use Report End Date as opposed to current date for calculating Quarter placeholder purposes.

12/6/2011
1) Beta index cash flow date sync w. portfolio dates improved for weekend portfolio dates
2) Rotated report label column width tweaked slightly wider
3) ROI Matrix report period header tweaked to accomodate "YTD" and non-year or quarterly periods.
4) "PurgeNonSyncdValues" routine now inserts dummy first valuation itself rather than relying on other "SetROIList"
routine (change resulted from item #1 above)
5) Faster report subtotal computation algorithm implemented.
6) ROI Matrix report now reports closed security in last period it was open.
7) Custodian Import tweaks to ensure symbols always imported as Uppercase.  Uppercase check also done on init of Transaction and Position symbols.
8) Custodian cost reconciliation improvements (esp. for avg cost matching)
9) Custodian open lot import fix for symbol lookup failure where custodian does not provide pricing.
10) Specific lot assignment error introd in 10/28 release corrected.
11) Portfolio ROI labeling space allowance base on font size now works as intended (10/26 release improvement) 
12) "Reversal" transaction import modified to ensure that sign on "Amount" fields are consistent with reversal. (This also implemented reset of "MiscSpec" field in import specs with multiple specs per field)
13) Custodian open lot table view enhancements incl. support of 2nd level subtotals and filtering on subtotals only.
14) Specific Tax lot min/max function modifications for multiple same date sales.  11/21
15) Wash Loss function modifications to better handle different cases. "Days Washed" added to applicable reports. Regular cost basis and gains now always include wash adjustments, however these can be reported separately.  Field "Realized Gains with Wash" removed as redundant.
16) Line graph mods to better implement min/max y-axis values. 11/22
17) PCA & MFA transaction codes now handled consistently when ROIs at security detail vs portfolio level. Also Acct. base currency symbol when used in transactions now treated as equiv. to (CASH) symbol for reporting computation purposes. 11/27
18) Multi-account composites with security detail and non-uniform ROI start/end dates now correctly merge cash flows at S/T & G/T Level. (artifical Transaction CF added at startdate)
19) Position By Lot rpt with average cost now correctly adjusts cost for zero qty DLV transactions
20) Custodian import tweaks to support an account number change script.  
21) Generic import tweak to give precidence to double quote (") if in data over single quote as the delimiting quote character if both exist in data.  Generic import of money mkt funds now fills Qty or Amt as needed if one is missing. 12/1
22) "Sort" disabled on Tran Blotter "Calc" functions if Account number is the target field so as to allow action on multiple records w/o re-sort on posting to move a record. Also "Calc" function on "Sequence numbered records forced to start at first selected record to ensure all selected records processed.
23) Batch Valuation display of time periods now counts back from most recent valuation date. Batch val "refresh" now displays "most recent month" if user selection not specified).
24) Foreign cash transaction based accruals now cumulated even when position zero'd (so to allow for delays in accrual posting). 12/5
25) Batch tools function calls prospectively re-coded (however not activated in this release) to move to CTTasker from DLLs.
26) Reinvestment consolidation on custodian import now should always work for CGD and SGD transactions.

11/3/2011
1) Several corrections to 10/28 release (corrects import filter error, #5 in 10/28 release).
2) QIF import date range feature in #28 of 10/26 release inadvertantly disabled import, now fixed.  QIF transactions now
imported into trans blotter
3) Lead zeros on account # stripped for Schwab import of open lot records.
4) Faster Transaction Blotter transfer due to separating out transaction perturb recalc function. 

10/31/2011
1) Realized gains report reverted to show "err" for lot field when lot mismatch detected.
2) Account import error from 10/26 release fixed (Posting of source in Custodian field).  
3) Alpha/Beta Index ROI cashflow reset now more rigorous than in 10/26 release
4) Custodian import script now requires a filter be specfied at record level.

10/27/2011
1) Imports and grid calcs for Money funds now net for commission and fees on trades

10/26/2011
1) Position by Lot and Realized Gains report made more efficient for short positions.
2) Sub-allocation reporting feature recently added, now properly implemented for charts.
3) Placeholder notations "\ed" and "\sd" now recognized in field headers.
4) Force Negative "bottom offset" for detail subtotals when detail line hidden now returned to zero, due to side effect. Users can change "detail line spacing" setting to compensate for this.
5) Reinstate "currency trade" massage routine for Interactive brokerage currency trades imports.
6) Other modifications to Custodian imports for currency cross trades including no longer assuming commission/trade fees are in the local currency unless specifically scripted so. Also, money fund symbol detection now excludes currency cross trade symbol.
7) Changes to prevent non-multicurrency licensed users from having multicurrency flags inadvertently set in records.
8) Rotated report label size allowance now checks for fonts for each label.
9) Report "Periodicity" enhanced to allow co-existence of "Serial" and non-Serial Periods in same report.  With existing reports, all periods to left of "S" in specification will be considered "Serial" and all to right will be considered non-serial.
To specify non-serial prior to serial, use "S" in serial period specs, e.g. "*Y,5Y,S1Y,S1Y,S1Y,S1Y".  See help docs for more detail.
10) Non-Nul "UserId" now passed for some Tasker initiated tasks which may require a non-nul "RepId" 
11) Report user customizable "Period" labels now work as intended when only indices being reported.
12) Revert Tax Lot Generation "Apply Qty" function to Pre-9/15 code (i.e. not dependent upon share sum > 0, due to user input not yet posted).
13) Specific Tax Lot generation now properly accounts for multiple same date sales in for same base lot.
14) Report Chart "Zero Y axis" check box control now functions as intended.
15) Generic Import post import check to ensure price is always positive.
16) Tweaks to handling of CCT and PIC (Capital Commitment and Paid in Cap) transactions in reports and position records.
17) Report Plot start date now subject to account "ROI Start Date" constraints.
18) Zero qty "DLV" transactions no longer flagged as missing qty in TransBlotter.
19) Transaction De-dup function now uses "TradeId" field as a condition.
20) Rotated reports date column headers now can handle single digit months and days without affecting col. header positioning.
21) Excel format output now suppresses pagination.
22) Email report footer now uses user's company name rather than user license name and company.
23) Import "Reinvestment Consolidation" tweak using more efficient algorithm to speed import
24) Fixed problem with long RepIDs getting truncated while directly opening user's custom Report Run page from Desktop progam. Ws unicode problem for RepIDs longer than 10 chars.
25) Cap. Gains rate augmented by State and Local Tax rates
26) Option symbol handling tweaks upon import to facilitate reconciling differing symbols from multiple custodians.  
27) Option added for Dividend payment rates for yield reporting to be computed on a "Trailing 12 months" basis instead of Last Payment x frequency. Also the option for Lower of TTM vs. LastPmt X Freq. for more conservative reporting.
28) QIF import now uses User specified Start/End Dates to bracket data imported.
29) Tax lot assignment tool now does not clear transaction Aux Fields in underlying non-close transactions or if fields were manually entered.
30) Tweak to PDF report timing (25 millisecond delay added) to resolve sporadic output failure problem for some users.
31) Correction to MMF symbol detection introduced in item #7 above.
32) Report logging added at security processing level to avoid browser timing out on long winded rpt.
33) Report efficiency improvements to minimize re-fetching same Index data from DB especially on roi by security rpts.
34) Problem with comma in Acct. Title in Managment Fee Report body resolved.
35) Line plots will now use report date range if "0" specified as report months in Chart specs.
36) Custodian importing with filters resurected.
37) Reverted fix for #9 in 5/11/2011 release as it causes Security list edits not to be saved if not explicitly clicked on Save or if closing program right after an edit. Was not able to reproduce the original problem even after reverting the old fix.
38) Modified Alternative update method to address problem with updating web program dlls.
39) Modified alternative update method to skip SCPanel.exe in the unzip process as it is downloaded separately.

9/14/2011
1) Synthetic index calc (Pro-4) now works with multi-date specifications (tweaked further 8/16)
2) Batch Position Gains/Gain% now backs out accrued income from figure.
3) "CCT" (capital commit) and "PIC" (paid in capital) (lev 4 TAC codes) now exclude "accrued" amount of net commitment from reported Gains
4) Bond History report correction on use of accrual amount.
5) DLV with zero Qty of foreign security now properly relieves cost.
6) Period reports with S/L "Off" but with simultaneous S/L positions in the same security now show proper Qtys and values.
7) Accrued income again recomputed on position for which "Accrual from Transaction" is false
8) Accrual days no longer includes extra day as a default. User can use "Accrual Timing" field in security list if days elapsed needs to be adjusted for accrual.
9) Manual entry of "Amount" in transactions in foreign security/currency now automatically fills Xrate field.
10) Import script Global File settings of "OFF" now overridden by user checkbox setting.
11) Synthetic indices using multiple note records now operates as intended.
12) Suballocations reporting feature (Lev 3/higher) added 5/17 now works as intended.
13) Security Note record edit mode now does not Uppercase all text.
14) "Recomputing" the Position record "Accrual" field on foreign cash and money fund securities now re-applied the exchange rate.
15) Group Header on Bond History report now can display description.
16) ROI vs. Sigma chart (Lev. 4) modified to always use annualized figures when >1yr.
17) TransBlotter transfer routine now works for records 1 day after portfolio freeze date.
18) Tax Lot assignment tool tweaked to prevent conflict between Clear Lots and Assign Qty functions.
19) "GetApplicPmtRateForDate" function tweak so does NOT do SLCrecord lookup for most calls thus speeding up reports which use that function.
20) Generic import now sets "foreign currency/security" flags in transactions
21) Income calcs now bypassed during generation of certain reports if income fields not displayed (to speed rpt generation).
22) Annualized Index ROI's now can be displayed as "blank" when period is less than a year.
23) Accounts with ROIStartDates at the end of a report period are suppressed from being reported in period reports.
24) Holdings Reports with ROIstartDates and ROI or Mkt gains fields now utilize ROIStartDate in computation.
25) IN- and DV- TAC codes in cash flow for ROI by Security reports is now consistent with Portfolio ROI cash flow.
26) RCV transactions w/i 30days after a SLL transaction can now be excluded from cost by specifying an AuxDate after the SLL date.
27) Separate "Last Name" and "First Name" fields options added to Mgmt Fee Report.
29) Debug statements to help diagnose failure of Alternative Updates on certain Windows XP machines.
30) Now supporting inclusion of SCPanel into Alternative Update's CTNetHotFix.zip file.
31) Incorrect Filter setup while manually masking for columns with lookup lists is now fixed.
32) Removed Internet connection check on due to false positives causing errant red line item in Serer Control Panel. 
33) Fixed the list of custodians appearing on the Auto-Task config page to display based on current license level.

8/8/2011
1) Cumulative ROI Report computation mods to support multiple accounts in a single report period.
2) ACL transactions may now be used for bonds in which case ACL accrual amount is summed with computed accruals.
This is useful where bonds are restructured with carryover interest accrual from prior bond.
3) Space in custodian import filename now supported.
4) Import of AuxAmount to Trans. Blotter now supported.
5) INminus/DVminus handling in profit reverted to as prior to about 3/31
6) CSV output for Rotated reports with "detail hidden" now does not hide all data.
7) Report "Below G/T" displayed Index ROI's now appear before any "User Text" and inherit decimal setting of above G/T fields
8) Default ROI option setting for ROI Matrix report set to "TWAfterMgmtFee"
9) ROI Matrix report now reports "blank" field when ROI days less than Min ROI days
10) Internal sub-account counter now decrements upon manual record deletion and increments 
upon new record import
11) ACL transaction on foreign cash symbol no longer cumulates to position record.
12) Modified Response type in Custodian Imports and Reporting interfaces to send pre-notification about long-winded operations. This is to attempt to display the progress log for certain IIS installations.
13) Modified Tasker program to implement above.
14) Handled Session deletion in final Report display while redirecting to output page.
15) Added more debug statements for custodian imports, Reporting program and Desktop progam.
16) Reinstated Data file Preview feature to Custodian Import program.
17) Account Note based blended indices ROI now functions.
18) RCR (return of cap. reinvested) in position by lot reports now rpts correctly adjusted 
cost basis.
19) More tweaks to Batch Ops Delete to reinstate multi-date delete capability, and to implement date conversion in all cases on CTnet Desktop before passing to CTnet Server.
20) ACL (accrual transaction) cumulation in Position records now work properly when "ShortAcctg" account property set

7/15/2011
1) Batch delete tweak to handle inconsistent date formats on Desktop vs. Server.
2) Group sorting by value tweaked (actually in 6/28-7/1 release) to better deal with hidden grouping categories and multiple groups.
3) Report Acct Code/Acct Type filtering chg in 7/1 release now applies only to relevant sub-report when run in a group. 
4) Multi-Account report valuation graph now always uses earliest valuation date (chg to multi-acct valuation rec fetch)
5) More corrective tweaks to security detail level period profit calc. to deal with short div/int pmts chgs in 6/6 & 6/22 release.
6) Cost adjustment for ROC again properly handles splits. (5/3-17 release correction)
7) Tweaks to how Client/Acct Id "protection" is handled for Fee reports.
8) Account merge utility correction for case of accounts holding same symbol merged
9) ACL transactions with symbol (CASH) now cumulate to that symbol.
10) Beta-Introduced alternative update mechanism to address problems with the update installer failing due to MSI errors. 
11) Checkbox on SCPanel options to switch to alternative update mechanism.
12) Related runtime file structure changes on FTP server for alternative update.
13) Modified Desktop to handle Exceptions while leaving the Desktop unattended time-out conditions and when it fails to open dataset due to connection issues.
14) Option to gracefully restart the Desktop progam in case of a server connection error.
15) Added more delay and checks to make sure that the Aux File download Flag is written to registry to avoid re-download of Auxiliary files.
11) Client Name field for Mgmt Fee reports now populates.

7/1/2011
1) Multilevel valuation based report sorting (Lev. 4) tweaks.
2) Handling of Valuation recalc for prior-dated perturbed transactions corrected for 5/15 mod which might leave these uncomputed. (6/28,29 versions).
3) Handling of accrued fees reporting changes (6/15 release) modified.

6/28/2011
1) "Acct Code" filter in reports now also works for charts.
2) Tweaks to new "Multi-debit account" functionality to fee report (6/15 release).
3) Forced DB fix-up to automatically modify the Portfolio Valuation "Est. Accrued Fee" field.

6/23/2011
1) Bug in Portfolio Valuation "Est. Accrued Fee" field definition affecting some users ability to access valuations since 6/5 
fixed.
2) "SECTYPE" added to custodian import as an optional TAC translation condition
3) More changes to SCPanel for implementing Alternative update mechanism.

6/22/2011
1) Yield as % of Cost added as a reporting metric (Pro-3/higher)
2) Several "dispersion" related fields added to Portfolio ROI report, rather than being limited to cumulative cross-ref. reports.
3) Improvements to Desktop table column header display (smaller font, better wrapping).
4) Fix to bug 6/15 in release that prevented manual insertion of new account record.
5) Report selection of applicable ROI start date when specified in account records now works properly for multiple accounts
even when ROI start date is specified prior to start of account.
6) Custodian import tweak to deal with source data with "( )" negative notation.
7) Tweak to Neg Div/Int treatment change in 6/6 release 
8) Self-decompressing non-zip format files now supported in imports.
9) Reverted a fix made in 4/28 release to corectly display multi-line column headers.
10) Beta-Code preparation for implementing alternative update mechanism using Hotfixes. Added a checkbox to switch to alternative update in SCPanel.
11) Extended SQL Timeout setting for Delete operation on the Server.
12) FIxed problem with conditional Aux file download in the Server.

6/15/2011
1) Batch valuation related date format handling tweaked to better deal with Desktop/Server mismatch in date formats.
2) Fee Accrual and Acct. ROI performance after accrued fee functionality added (Level 4)
3) Optional Billing date for report generated fee records now supported.
4) PCA and MFA (profit concession accrual and mgmt fee accrual) transaction code implementation tweaks in connection with item #2 above.
5) Fetching of Trans.Records for Exchange Gains reporting now does not trigger other time consuming functions 
if only exchange gains needed. (ComputeTransactionSums variable discontinued)
6) More messages for tracking down occasional failure to delete client record.
7) Fixed incorrect placeholder interpretation of Report End Date while emailing reports.
8) Removed SetWindowPlacement to potentially avoid window sizing problem for Windows XP installations in Desktop progam.

6/7/2011
1) Security record change of symbol reverted back to pre-5/17 behavior, i.e. no longer reinitializes record for default or sec. type values, e.g. price factor etc., but does intialize new records as intended.
2) Custodian Import conditional checking algorithm tweak to make a bit faster.
3) Double counting of debit interest/dividends in profit calc, intro'd in 5/4 release, corrected.  (this did not affect roi cash flows).
4) New ROI vs Sigma rpt (Pro4) now uses annualization consistently for portfolio & indices.
5) Fixed issue with archiving custodian import files after an import operation.
6) Added debug statements regarding desktop windows maximizing problem.
7) Adjusted SQL timeout code in more places while Freezing\UnFreezing operation.
8) Improved dependant tables code while Freezing\UnFreezing operation.
9) Added better return codes and debug satements for deleting Accounts operation.
10) Added feedback messaging for Auto Extracts operation.
11) Centralized non-version file cleanup function while running progam update file.
12) Added *.idi opion to clear all old Idi files for update purposes.
13) Date window for re-calcing old perturbed valuations shorted to 100 days (from many yrs in 5/24 release) so as to avoid unneccessary long recalcs.
14) Recon records now include "ReconCostDate" and "ReconCost" as unique record fields.
15) Recon record match criterion for pricing Position records now can handle multiple records for a given account, symbol, date criteria.
16) Distrib. generation returns to using "float" temp variable for rate (rather than "currency") to preserve precision beyond 4 dec. places.
17) Batch Valuation with "download missing prices" no longer generates exception on checking for missing price (fix of 5/17 rel.).
18) Post-import transaction consolidation again operates correctly (temp. record sort fix).
19) Est. Tax computation for withdrawals from Tax Deferred accounts now ignor the Fed. and Local tax factors in security record.
20) Non-versioned files are no longer included into the update patch. They are downloaded automatically after an update.
21) Added fixup to download Idi and Help files after an update has been done to the program.
22) Added Manula job in Tasker to initiate download of non-program files.
23) Non-program files are downloaded on Server service start(temporarily).

5/24/2011
1) Custodian price imports now will import zero priced records.
2) Fund accounting functionality work. 
3) Reporting lookup of various Account options revised to minimize additional DB calls
4) Local security record lookup bypassed during report generation if not needed to speedup reports.
5) Long option symbol "massaging" now also "shrinks" long option symbols with embedded "@" format
6) Custodian mImports functionality now moved to Tasker when run manually.
7) Added option to Compact Database for SQL Express 2008.
8) Fixed description for Captools/net services by writing directly to rEgistry when services are installed.

5/17/2011
1) Position record initialization from security list now re-sets "Use ITM Pricing" flag.
2) Security record re-initialization from Sec. Type records based on change in type, group, etc. field.
3) "Decompress one at a time" import option activated. (applicable only for zipped files)
4) All Prior "perturbed" valuations are now checked for when recomputing valuations in an account.
5) Reverse split handling of fractional shares corrected to truncate in correct direction.
6) Handling of Cost adjustment for DLV and AMT transaction tweaked to correct error in 5/3 release
7) Extraction of float from text string simplified (2 functions combined to one GetFloatinStr).
8) Tweaks to remote host "privacy" function to include more fields with privacy set and reduce # of plain text chars.
9) Position record initialization from security record for options now excludes any symbols > 7 chars 
from legacy option expiration date routines.
10) Security sub-allocation reporting supported in Position report tables & charts (Pro3/higher).
11) Spurious Desktop prompt to update affecting certain Server machines is resolved now.
12) Message interrupting automatic comupation of Valuations and Transactions is resolved.
13) Disabled opening of Edit dialog for Clients and Accounts tabs when Personally Identifiable data is Masked.
14) 5/17 fix to #4 above to correct error in 5/16 release which recomputed unperturbed valuations.

5/12/2011
1) Bond YTM calc tweak to ensure that Cash flow not missed for CD's due to short Feb. month.
2) Support added to YTM calcs for irregular scheduled bond interest payments via the distribution records.
3) Report support added for longer list of user period labels for portfolio ROI report.
4) Open Lot import process now clears out old records.
5) Fixed issue with incorrect fields being in the non-movable band in the Desktop progam-Requires 'Reset View'.
6) Related issue fixed with the Lookup fields being in the non-movable band in the Desktop progam.
7) Added exception for disabling scrambling function for SQL password.

5/11/2011
1) Valuation records no longer automatically perturbed when a prior valuation record is deleted. (because no longer needed and left "orphan" perturbed valuation records). 
2) Generic import of transaction bug fix of case of Sec. record lookup if blank symbol.
3) Fix to treatment of zero Qty "DLV" transaction on cost basis reduction (correction to error in 5/3 change)
4) Portf. Perf. report inception date fix (error introd in 5/3 update).
5) Preparation for converting manual custodian imports to a Tasker-based routine in Dll as well as Tasker. Added 2 news fields to BDIParams rec.
6) Fixed inadvertent calling of CTNetSetup for non-Win7 OS.
7) Removed screen-shot request in the event of errors for Desktop progam. Only bug report is prepared.
8) Fixed a related list-error in Desktop while requesting and viewing price historioes for multiple sysmbols. Caused due to #2 below. 
9) Fixed a problem in Desktop where a failure to save prevents tabbing out of the while of Security list when a new transaction with a new symbol was just added.
10) Modified call to Tasker symbol lookup job when a transaction with a new symbol is added. Performs Symbol lookup-Descritpion etc.
11) Rollback function fixed (disabled in prior 5/3 release).
12) Distrib. generation function now uses "No. Frac. Shr" field in distrib records.
13) Interactive Broker script now pulls in price factors and option types.
14) Modified Licensing scheme to avoid scrambling SQL DB password for one specific case only.

5/3/2011
1) Fixed incorrect limit that was being set for maximum allowed Report Sets per RepID.
2) Currently selected symbol is applied to the security list and price histories are fetched automatically when switching from Transaction tables.
3) Ctrl+D shortcut applied for Data Dup operation in Desktop program.
4) Processing of cost basis adjustment transactions moved to later in the cost computation so allocation to multiple lots in complex cases properly done.
5) Reporting with ROI Start Date now allows omission of ROI start Date for some accounts in a group with reporting on groups.
6) Modified Desktop to focus on the last record on the Transaction screen when browsing or selecting accounts directly.

4/28/2011
1) Report chart tweaks to legend rows and font treatment
2) "Bond Par Value" and "Last Open Date" (Pro4) and "Last Open Price" (Pro4) fields added to reports.
3) More Rpt chart tweaks to accomodate slightly wider charts.
4) ROI by Security report with multiple accts, "Hide Detail" set and Acct.ROI start date set now generates G/T results consistent w. when detail is shown.  "StartROIdate" and "EndROIDate" fields added to reports.
5) Generic "Template" import of Trans. records now adds symbols/Descrip. to Security Table if missing.
6) In reporting IN- and DV- are now cumulated as a deduction from profit. (re-worked 4/20-22)
7) "Mkt Gain" field in holdings report (with inception date) no longer fetches historical trn record to speed rpt generation.
8) Price record "Volume" field usage extended to accommodate per unit accrual rate imported from position records.
9) Report logging now wraps lines longer than 100 char.
10) Batch Pos. Unit cost now available.
11) Val. rec Perturbed flag now cleared when cumulating Val. rec. values following "Batch Apply Prices"
12) Position rec. Accruals set from Recon records now not overridden by computed Accrual amount.
13) Pending -- Database password validation procedure reverted to use only ANSI Strings so as to work for users on systems set up to handle languages using multi-byte characters (e.g. Chinese, Hebrew)
14) Schwab recon record import reverted from import value/compute prices to import prices/compute value b/c the Values in the Recon file often do not match the C.S. paper statements for bonds.
15) Batch Valuation date format passed from Client to Server now used to resolve applicable dates (4/6 - update bug fixed 4/18).
16) Various program "Help" links updated
17) Various minor custodian import tweaks to better support Allbridge Hist. data import.
18) Acct and Client Rec. "User Defined" fields added to Report Header/Footer options.
19) Price factor lookup now enforced before computation of Recon Record price.
20) Modification to how CCT and PIC (private equity) transaction codes operate.
21) Transaction imports now pull in source filename.
22) Generic import code modified to support "Deblank" of symbols to better accomodate option symbols (put "Deblank" in Format field of spec).
23) "Avail Cash" field on account list now displayed in yellow if value falls below non-zero "Min Cash" 
value.
24) TD Ameritrade cost basis file import implemented.
25) Desktop grid minimum column width reduced to accomodate user custom narrowing of these fields.
26) Valuation calc no longer uses Prior Position/Val. records to speed calcs so as to eliminate potential record update conflict e.g. with dividend accrual calc  (cdpl)
27) Change to foreign currency transaction now handled in automatic valuation recalc w/o explicit revaluation required. (supports RCV/DLV trans. of foreign currency)
28) Foreign currency balance and currency symbol tracked/displayed on transaction view.
29) Progress logs now report total elapsed time in more user friendly format.
30) ACL transaction with "(CASH)" ticker now cumulates in accrual field of (CASH) position.
31) CIL transaction without a specified Quantity but with a relief of cost specified in the Aux Amount field are now factored into the cost shown on the Open Lot report.
32) Security Sub-category Allocation chart added (Lev 3/higher) to allow user to specify fund sub-allocations within charts using Security Note records
33) Removed Rollback update feature from SCPanel.
34) Improved a long pending security\authentication limitation in all the web programs to include result-type pages as well.
35) All the web pages now remember the destination page after the login page. After login, instead of redirecting to the main page it now correctly redirects to the page the user was trying to view.
36) Double confirmation message in Desktop progam prior to Request Assistance is corrected now.
37) Improved error reporting in Backup Step #10 while backing up Desktop settings from Registry to diagnose failure on certain machines.
38) Modified DB Config dialog to assume default installation on SQL Express 2008 and prefill password for 64-bit as well.
39) Using Master Account's info in Email body for Reports that use placeholders. Also added list placeholders to display all accounts for that report PDF.
40) Fixed issue with deleting Client\Account records in situations where there is an extraneous folder that causes the pre-delete extract to fail.
41) Allowing users to attach a separate PDF to a Report Output by way of addition of new Email placeholders.
42) Modified Report Output Display page to save most recently run in memory on server so it can be displayed again due to browser prompts or restrictions. 
43) For Personal Wealth Manager only-Forced removal of unnecessary DEMO rep from DB after entering the keycode.
44) Several enhancements and fixes to CTNetSetup progam.
45) changed the default recommended DataServer to DS2010 regardless of all operating systems and license levels.
46) Mandatory prompt for all old DCOM server users to convert over to DS2010. Changed the Default recommended Server to DS2010.
47) If already using DS2010 server then option to revert to DCOM server is now disabled.
48) Added an item in recently run Reports list on Report Selection page to include a link to view the Last Run Report OutPut.
49) Implementation of RSA-SSL Filter in for captools/net Dataserver.
50) Added check box to Windows Configuration dialog for supporting secure connection to Server. Removed DS2010-HTTP connection.
51) Fixed problem with column widths not saving when below the suggested width. Now saves user-specified width.
52) Adjusted Bestfit width for columns
53) Enahnced Column Preferences dialog to display and set width along with suggested Bestfit width button.
54) Fixed problem with Resetting column preferences.
55) Removed TrackData.svc file.
56) Changed the default Help source to www.captools.com. Added checkbox to revert to using local help if needed.
57) Adjusted Help mapping and web-applications help preferences.
58) Added two new placeholders for Email and Saved Reports-“%YYYY-QQ%” and “%YYYY-MM%” 
59) Repurposed the link edit button on Report Sets section on Report selection page to actually edit the report.
60) Added a new link edit button to edit the Report Set parameters.
61) Modified the Report Set page to only display the current Set while editing. Displays all Sets when clicked through Manage Sets button. 
62) Enhanced the Windows-Config dialog to download and Run CTNetSetup for advanced IIS configuration.

3/18/2011
1) Fix of bug intro'd in 3/9 release affecting tabbing into Fee Rate table. 
2) Subtotalling of new Open Lot and R.Gains tables added.
3) Fixed minor issue in SCPanel about DB Fixup prompt.
4) Fixed missed DB Fixup case for New installs where Registry entries have still not been created.
5) Modified max Report Sets per Rep limit from fixed to dynamic based on License level.
6) Modifed RunOnce setting in SCPanel to launch installer after logon is complete when doing auti-reinstall.

3/17/2011
1) DLV transactions with positive quantity and amounts now compute proper Aux Amounts so can be used for closing short option positions.
2) Excel report output now only uses quotes around text output which embeds quotes, commas or double blanks.
3) Added an optional SQL Query timeout control to SCPanel DB config dialog(only for Freeze\UnFreeze).
4) Modified SCPanel Account Extract code to exclude new tables.
5) Modified Update Patch's name to match full installer product name.
6) Removed amtrd03.idi file from build - No longer needed.

3/15/2011
1) Realized Gains report mod to interchange "Buy" and "Sell" price display when short sales transaction involved.
2) DLV transaction with reversed quantity now computes proper "Aux Amount" (cost) field (disrupted in 9/17 release)
3) "% of Cost" fields added to reports.
4) Generic import now implements cusip to symbol conversion for price imports (similar to custodian imports).
5) Position by Lot report fields added for Acct.Val% and Group Val%.
6) Updates to several IDI files.
7) Debug code to diagonize loading problem with Desktop for one particular condition.
8) Attempt to address the failure to update CTServer.exe file by introducing more waits while running update.
9) Modified IIS reset code to better handle program update case in SCPanel to avoid total refresh of UI.
10) Modified update code to rename CTServer.exe instead of deleting for ease of restoration. 
11) Minor modifications to the Dataserver status check feature.
12) Addressed Client record Refresh problem after importing a new client record. Now display newly added client record without needing to restart the Desktop program.
13) Improved Desktop window positioning scheme to remember last opened position, state and size.
14) Delayed unnecessary early loading of window preferences in Desktop program in related to above.
15) Improved csv report code to handle zipping failure and added file recovery mechanism.
16) Bug introduced in 2/8 release with BV Apply prices function is now fixed.

3/9/2011
1) Addl correction to  ClientId import for Cust. Data so First/Last name import not potentially corrupted.
2) Sigma placeholder option added to dispersion results available in User Text area of composite perf. rpts.
3) Fetching of pricing for ITM priced options now populates the price field with price of underlying asset.
4) Correction to exclude cash flows for non-base currency securities from "(CASH)" item in ROI by security rpt.
5) Added a check to Server Control Panel to verify and prompt about the latest DB fixup for implementing new Tax Law tables.
6) Modified DB fixup code to tweak new tables and field creation.
7) Re-purposed button on Desktop Login Dialog to Check Captools/net Data Server program status.
8) Replaced unused links on Captools/net Web Home page with link to Check Data Server and Send Data Files to Captools.
9) Added new Manual job to Tasker to check and start the Captools/net Data Server program.
10) Modified Desktop Login Dialog messages.
11) More tweaks to SSL emailing code to support more SSL formats.
12) Modified Service utilities to accept username\password to attempt to connect to remote machines.
13) Fixed minor display issue with Tasker auto-tasks configuration to indicate the correct frequency of Auto-Reporting task.
14) Updates to several IDI files icnluding changes for new Tax Law tables.
15) Fixed Data Server to force refresh of Clients Table after external DB change like a data import.
16) Transaction record ITM pricing now properly generates "Local Currency" value.
17) DST Import tweaks (code and script for Name address and Security import)

3/1/2011
1) Transactions in Trans Blotter belonging to inactive accounts now marked with darker blue account # background.
2) Transaction amount fields with reversed signs now marked with different goldenrod BG color (also in Trans Blotter)
3) Position record "Stale Price Days" field now reset any time prices re-fetched and Stale Price Days>0.
4) Tmp. Mid-Period Pricing for ROI reports tweaked. 
5) Valuation dates before Acct ROIStartDate or After Acct CloseDate are excluded from ROI Syncronization Date list.
6) "Portfolio Estate Valuation" report added to support IRS Form 706 requirements
7) ROI by Security report treatment of RCV/DLV pair changed.
8) ROI reports for accts with specified ROI Start Dates now ignores those when the "Accounts
Open/Close Dates for ROI's" option is set to "Use Trans Start/End Dates" (corrects 9/13 rel.)
9) ClientId import for Cust. Data w/o Tax Id or ClientName (e.g.IB) tweaked to use acctnumber.
10) Addl tweaks to reporting obscuring of Acct#'s and ClientId#'s. (so works in rpt body).
11) "Compute" function with Price factor entered on Position records creates security record if missing (for users who had no Sec. records for symbol in prior product).
12) Commas now excluded from Symbol, Account Number and ClientId fields at import and manual entry.
13) Pf. ROI report inception and close date usage tweaks for merged reporting.
14) Pf. Sigma calc now performed even if no index specified
15) Periodicity option added to cover page report.
16) Short/Long ROI reporting activated.
17) DLV transaction matching with opening lot relaxed to allow blank DLV Aux Date if not specific lot.
18) Custodian “Open Lot” and “Realized Gains” tables added to Captools/net database and user interface to facilitate import cost and realized gains data now just starting to be provided by many custodians.  Users will be able to use this data in Captools/net to reconcile cost and also to initialize portfolios at the tax lot level.  
19) A Fund Accounting “Ledger” table added to for Fund Accounting users to support expense tracking of private investments (e.g. real estate) so that these can be used to generate IRS 1065’s and K-1’s.
20) Implemented DB Fixup Code for adding 3 new Tables and several new Fields and supporting changes in the View, Calc and Main form files.
21) Made extract file name valid to remove ':' char if it occurs in account list.
22) Tweaked SSL Report Emaling capability for Yahoo.
23) Made TaxId, Account Num and Symbol fields to not allow Quote, Space and Comma chars.
24) Issue with editing Account Records with Apostrophes is now fixed.
25) Three related issues in Desktop program with Client Records not refreshing after a Delete, Fill Up\Down 
    and Freeze\UnFreeze operation is now fixed.

2/7/2011
1) Truncation of Security DEscription in Positions view is now fixed.
2) Security List data posting problem due to lookup fields is now resolved. 

2/4/2011
1) Bond accrual calc tweak to support first of month ex-date.
2) Import tweak for IB forex transaction with reverse symbol notation.
3) Fixed issue with saving Cross-Reference reports when output to CSV format. 
4) Release before new tables and fields code added.
5) DST Idi file updates.
6) Added string compression routines for internal use.

2/2/2011
1) Bond Yield to maturity subtotalling now supported in reports.
2) "Profit Attribution" fields added to Pro-4 period reports.
3) Fixed issue with repeated open of Account Selection dialog from empty Auxiliary tables.
4) Fixed related issue with updating Client records when used with the new server-side Lookups.

1/31/2011
1) Distrib. generated transactions now contain ExDate, Shrs & rate in description
2) Import Long option Symbol conversion for TDAM restored to pre-12/14 release
3) Thousands commas removed from Mgmt fee reports when CSV output used.
4) "Incent Fee Method" field in fee record now hidden as it is replaced by report TAC 
profit exclusion option.
5) When security changed from moneyfund to non-moneyfund, "manual price" flags are cleared.
6) Batch valuation "re-price only" function now overrides manual prices and does price lookup
even if "Don't Download" specified.
7) Report YTM subtotalling reinstated.
8) Transfer of "(CASH)" ticker from TrnBlotter can no longer have foreign cash flag set.
9) Fee Report has new special option "Base Adj TAC Exclusion" for excluding transactions from the 
fee basis adjustment when "Adjusted Fee Basis" methods are used.
10) Position calc. for captools Legacy format option symbols relaxed to ensure opening/closing transactions matched.
11) Batch valuation date range selection control tweaked to add more/better date range options, including "All Valuations".
11) Batch "Merge Accounts" function now not sensitive to which is destination account in 
terms of preserving older valuations.
12) Import Optional commission calc function now supports a precision specification.
13) Distribution Generation tool tweaks to deal with re-generation of Distr. Trans. when
overlapping distributions.
14) "Account Type" reporting field enabled at Level 1&2
15) Specifying a percent rate, e.g. "5%" in an account index specification will plot that rate in a growth graph.  Also The "ROI" distr. code in Distribution records now plots as expected on growth graph.
16) Additional check in tax calc function to ensure correct tax rate record used (Reset of 
relevant Account record now also forces reset of relevant taxrate record)
17) More robust recalc of cash and share balances on transaction records implemented, particularly for case of multiple same date same symbol transactions.
18) Global reporting option to display only last 4 digits in account numbers and tax ids implemented via Server Control Panel "Configure Options/Reports" dialog. This applies to useage in report headers, and group headers, not report detail fields.
19) Re-instated server-side lookup field creation with a fix to the original data posting problem. 
20) Speed improvement in Captools/net Desktop while loading the program initially and also while saving records.
21) Modified the new DS2010 Desktop\Server to switch between 'ServerName' and 'IPAddress' settings on SCPanel. 
22) Fixed problem with new DS2010 Desktop to correctly identify the IIS port and comm protocol from the Server.
23) Fixed sorting of Drop-down picklists for all types in Captools/net Desktop program.
24) 'WU' virtual directory is only checked in SCPanel if Program level is greater than or equal to Pro Level 2.
25) Modified Extract file name to contain account number when extracting (or deleting) a single account.
26) Problem affecting Tasker with Emailing final consolidated reports to internal Reps is fixed. 
27) Increased the number of days range to purge batch valuations to accept values up to 400 days.
28) Modified SCPanel to avoid configuring 'scripts' virtual directory since it is not needed for DS2010 server.
29) Implemented optional loading of Standard Reports menu in the Desktop program to improve load time.
30) Modified Desktop Settings restore code to handle failure case and display instructions to manually restore using RegEdit.
31) Modified Report Run page's filter settings to include User Defined 4 and 5 fields.
32) Fixed issue with incorrect error message while Un-freezing records despite successful freeze operation.
33) Modified Captools/net Desktop to automatically pre-select accounts based on the selection in the Transaction Blotter view when the user runs Batch Valuation function.
34) Added check to Batch-valuations Account Selection dialog to confirm selection of at least 1 account.

12/29/2010
1) Period reports now populate start / end positions & values with zeros (rather than null) when no
position exists at start/end date.  (User can set report to use blank in lieu of zero if they prefer
blanks shown)
2) Thousands separator purged from % suffixed report fields for Excel output to accomodate 3rd party 
Excel rendering component reqts.
3) "RCV/DLV Pair" setting in transactions now works as intended in reports.
4) Minor bug with DS2010 port specification in SCPanel is fixed.
5) Modified Captools co bug report email id.
6) Implemented a Reporting preference to open PDF reader outside the browser window. Can be used when PDF plugin 
   fails to display report in browser. In 'Other Options' tab in General Prefs dialog in Desktop program.

12/14/2010
1) Description to Symbol Lookup now can work based upon first 15 chars of description
2) Custodian Client record import tweaks to create a unique "ClientId" from user's name and other data
in absence of TaxId.
3) Multi-period portfolio perf. reports with merged accounts now uses account record "Start ROI Date" and
" Closed Date" for each individual account when determining relevant period for ROIs.
4) "Minimum IRA Withdrawal field added to "Client Report". Default client xref rpt layout changed.
5) Fixed DS2010 non-starting problem for Windows Small Business Server. Using custom port.
6) Passed DS TCP server port information from SCPanel while launnching Desktop program.

12/13/2010
1) ROI Matrix report fix for new holdings in final period.
2) Custodian Import conditional TAC translation now can handle case of blank symbol.
3) Scattergram chart enhancement incl. "best fit" alpha/beta line.
4) Correction to default "Risk Free Rate" param used when user fails to specify one.
5) ROI Regression calc vs. Index (alpha/beta) tweaked to more correctly deal with non-syncronized
portfolio vs. index valuation dates.
6) "PDF form-fill" functionality restored (Pro-2/higher)
7) Tweak to Finra & Sifma web lookup function to preferentially use Cusip for lookup symbol
8) SubAccountDescription field added to ROI matrix report (Lev3/higher)
9) "Wildcard" characters now allowed in Generic Import Tac translation list.
10) Batch valuation option to have "No Download or Fetch of prices" added for users who are only tracking share inventory.
11) New TAC codes "AFE,AFD,AFS" added for "Advisory Fees".  This is to allow differentiation between "Management Fees"
and "Advisory Fees" where that function is split between two entities.  The user can control which of these (or both)
are factored into "After Fee" ROIs via the Report special options.
12) Cumulative ROI report tweaks to showing account detail by account group in multi-account runs as well as combined results.
13) Reinstated Printing option for Desktop program.
14) Complier upgrade Btea release.
15) Changes to Server function signatures due to OleVariant changes.
16) Other minor changes due to compiler upgrade.
17) Restored Swp Trade functionality.
18) Check in SCPanel to set the correct current directory before running the IIS scripts from the Windows Config dialog.
19) Fixed issue with saving Cross Reference reports.
20) Removed an unused setting that enabled non-tasker based reporting.
21) Minor fixes to Desktop(Edit dlg size, Custom Fill, Home menu) and SCPanel(CTCache folder). 

11/17/2010
1) Import status logging tweaks to make space for additional record types from custodians
in connection with 2011 tax reporting changes.
2) Scattergram charting added to level 4, w. associated charting routine changes 
(AllPVLrecs fetched at earlier in code)
3) Fid. WC scripts tweaks to correct 11/8 changes that caused some TACs to be imported as MMO
4) Altered the behavior of "Print" command on the Grids in the Desktop progam. Only prints the records and fields that are displayed in the view. Removed DevEx EPS component.
5) Added a check to SCPanel to capture exception for emptying the Cache folder.
6) Added DesktopSetup.exe file to list of files to be deleted before update.
7) IfDef changes to prepare for compiler upgrade to XE.

11/11/2010
1) "Trade Counterparty" field added to transaction reports.
2) ROI Series rpt chart (Level 4) finalized.
3) Alloc. pie chart "Other" slice now colored light gray (instead of black).
4) All symbols compares now case insensitive (in case lower case symbols creep into system, 
symbol case fixup function added to deal w. this.)
5) Check for 'scripts' virtual dir now excluded for DS2010 server.
6) Fixed issue with saving IIS Connection type settings on Windows Config dialog.
7) Modified CTNetSetp project for Windows 7/server 2008.

11/3/2010
1) "Gross-up" of Net Amount for accrued int. on fixed income "buy" side transactions for TDAM interface to correct for raw data field excluding accrual amount (this is not a problem on sell side transactions for this interface)
2) Changes to SCPanel service registration for DS2010 for Windows 7 installs.

11/1/2010
1) "OIP" transaction code (Other Income Paid from custodian)added to support "dividend gross up" transactions from custodians for cases where securities in margin accounts are "loaned out" to short sellers rendering the pass through dividend as non qualified.
2) FsvOps.GetPPOrecsForDateAndPosTypes function tweaked to use a string instead of word type in the Position type clause of the SQL fetch command to suppress gneration of bogus exception. 
3) Resolved "Local Amt" error which occured when report special options for dividend calcs  was set at using historical transaction records.
4) Fee Billing "Service Fee" can now be pro-rated by placing notation "PRORATESERVICEFEE" in the Billing Report "Misc. Specs" field.  "Min Fee" and "Service Fee" are now taken from relevant fee record when rates are layered.
5) Report Value% "rounding rules" tweaked to better force result to round 100%
6) Progress percentage logging added to a number of batch processes which report through the browser log.
7) Custodian import now can optionally import "Rep Id" field to Trans. Blotter instead of using UserId of user doing the import.
8) BaseReport "GetFldValue" no longer returns "null" value, but uses GetRptDataSetDBFldValue so Override function is optional depending on report.
9) Code tweaks to resolve record conflicts when running fund accounting functions (L#1650 in Calcrecs, PFXcalcs.UpdateDBforComputedPTRchanges)
10) Portf. Trans. Rec "Calc" function on Amount field now triggers Amount recalc for DLV transactions. 
11) Account List "fixup" field now offers "Transfer out Acct." option to generate DLV and WDF transactions for accounts being closed. (useful when account closing transactions not provided by custodian)
12) When trans. record change perturbs Valuation record, subsequent position recalc thread now clears val.record perturbed status.
13) Various fund account computation/work flow related updates.
14) Transaction Blotter missing "Rep" posting error after edit resolved. Trans. Blot. "Inconsistent" values message now does not prevent record posting.
15) Now Calc function for Money Market Quantity for DV+ transactions edited to DRI transactions  (both Pf and Blotter trns).
16) Prompt to do a system restore check point before doing program update.
17) Fixed morning star export issue for DS2010
18) Minor code changes related to registration of DS2010 server for the setup program.
19 ) Added code to SCPanel to completely empty the CTCache folder when restarting either Tasker or All programs from SCPanel. 
20) Added code to Tasker to completely empty the CTCache folder when doing a backup. 
21) Fixed issue with Sub Reps selection dialog in Program Preferences.

10/13/2010
1) Restore Recon. Pf. Account # lookup from subaccounts on import.  
2) Thousands comma removed from CSV type fee report output for compatibility with importing systems that can't handle quote-comma delimited data.
3) Fixed income report now spans from start date to end date rather than entire security  history as previously.
4) Mgmt Fee report with Start Date based Fee Basis again functions as intended when account starts mid-period.  
5) "SpecialCalc" Subtotalling on empty report dataset now does not cause report exception.
6) Admin|Database fixup and Restart Services no longer required after conversion to DS2010. 
7) Desktop Auto-restart option after Database error. Useful for restarting Desktop after DS2010 Conversion.
8) Status of DS2010 server passed to Desktop ‘Run Captools/net Desktop’ so that checkbox is automatically checked\un-checked 
9) OS and Hardware Type detected and displayed in the SCPanel Programs list as the first item. 
10) Pro1 Level users with single-user installations will be mandatorily converted upon running the Server Control Panel. 
12) Another prompt to identify the Desktops and their logins with an option to defer conversion if any users with Desktops are below version 1.0.0.614. Users would then have to login to those Desktops and update them (either from their Server or from Captools.com) prior to conversion.
13) SCPanel displays users with older versions of Desktop progam in Italics Font for easy identification.
14) 4 Idi file updates.
15) CTServer.Exe added to PostRel File list so that the update Patch can re-add it after SCPanel deletes it. Necessary for newly added files to the Patch project.
16) Minor Desktop fix to display Additional Options checkbox on the Account Selection dialog only for Batch Valuations.

10/4/2010
1) Re-introduced new DS2010 server to circumvent the DCOM 'thread marshalling' error.
2) Needs a one-time conversion on the Server Control Panel.
3) Removed Special View externla website lookups.

9/22/2010
1) Bond Reporting YTM from Purchase corrected to include price factor.
2) Bond History report Remaining Cost calc. corrected.
3) Report "Calc" type Subtotalling on non-database fields now supported (e.g. on SubAcct Descrip field).
4) Incent. HW fee calc. modified to allow monthly incentive fee reporting for accrual purposes.
5) Reporting Bond YTM calc now takes price from position record rather than price lookup unless pos price zero (to avoid zero price base YTM)
6) Handled Exceptions raised while opening Browser-based  programs. Was causing the 'Send screen shot message'.
7) Reverted to the old datasnap dll to potentially prevent COM errors.

9/17/2010
1) Recon Record sorting tweak to deal with possible Euro char. in symbol field
2) IB import script tweaks supporting futures trading.  Fix to Multi-currency import when only local amts imported.
3) More periodicity tweaks to correct 8/17 release for cases where start date is later than earliest period.
4) Initialization from Recon records now updates Trans. record control flags based uon symbol (needed for multicurrency)
5) "Calc" function on Amount field of records imported through trans blotter is now disabled to prevent inadvert change of value.
6) Import routine mods to move amount sign assignment to earlier in process so both Net Local Amt and Net Base Amount can be scripted to imported at same time w/o sign issue.
7) Report "Fixup" function now checks to see that OS has not removed Sizing Bitmap before using it. Bitmap now speced to be device independent.
8) Custodian import scripting option added (translation before combining fields).
9) Subaccount description field report option added (lev 3/higher)
10) Accretion/Amort routine tweaked to avoid exception if maturity price blank on bond spec.
11) Rolled-back all code changes for new DataServer program that does not require DCOM and uses a custom port. 
12) Modified SCPanel to configure Windows Firewall for new port.
13) Correction to import errors introd in 9/13 release for some custodian interfaces (import failure or Qty sign wrong)
14) Rollec-back all common code changes to support new DataServer. 
15) Trans. Rec. Cash/Shr Balance tweaks to 1) deal with MMO recs which might zero shr balance and 2) to prevent recalc on Accrued Int field (prob. intro'd about 7/20).
16) Upgraded vendor components for PDF generation.
17) Upgraded DevEx components with Javascript file update.
18) Added 10 new Reports and Refreshed all RTMs.
19) Short/Lng ROI by Security rpt with "Short Acctg" now does not req "IsShort" field set for Trade transactions.
20) Fixed an issue in the Captools/net User Add\Edit page to correctly save the assigned Reps while editing another Rep.
21) Behavior of report CSV output reverted to prior behavior when details are hidden.
22) Cost basis is again readjusted on DLV trans. with zero shares based on Aux Amt. field.
23) YTM calc fixes so handles unit priced securities accurately.
24) Report debug stmt which could throw error fixed.

9/14/2010
1) Modified SCPanel to configure Windows Firewall fr new port.
2) Added more delays and checks after new server conversion.
3) Modified Windows Configuration dialog in SCPanel to select new port for Data Server.
4) Correction to import errors introd in 9/13 release for some custodian interfaces (import failure or Qty sign wrong)

9/9/2010
1) Trans. Rec. Cash/Shr Balance tweaks to 1) deal with MMO recs which might zero shr balance and 2) to prevent recalc on Accrued Int field (prob. intro'd about 7/20).
2) Short/Lng ROI by Security rpt with "Short Acctg" now does not req "IsShort" field set for Trade transactions.
3) Fixed an issue in the Captools/net User Add\Edit page to correctly save the assigned Reps while editing another Rep.
4) Added Database fixup to Data Server migration.
5) Added more waits and refreshes with service start check after Data Server migration.
6) Upgraded vendor components for PDF generation.
7) Upgraded DevEx components with Javascript file update.
8) Added 0 new Reports and Refreshed all RTMs.

9/8/2010
1) Recon Record sorting tweak to deal with possible Euro char. in symbol field
2) IB import script tweaks supporting futures trading.  Fix to Multi-currency import when only local amts imported.
3) More periodicity tweaks to correct 8/17 release for cases where start date is later than earliest period.
4) Initialization from Recon records now updates Trans. record control flags based uon symbol (needed for multicurrency)
5) "Calc" function on Amount field of records imported through trans blotter is now disabled to prevent inadvert change of value.
6) Import routine mods to move amount sign assignment to earlier in process so both Net Local Amt and Net Base Amount can be scripted to imported at same time w/o sign issue.
7) Report "Fixup" function now checks to see that OS has not removed Sizing Bitmap before using it. Bitmap now speced to be device independent.
8) Custodian import scripting option added (translation before combining fields).
9) Subaccount description field report option added (lev 3/higher)
10) Accretion/Amort routine tweaked to avoid exception if maturity price blank on bond spec.
11) Beta-Added a new DataServer program that does not require DCOM and uses a custom port. Recommended for Windows Vista\7\Server2008 installations. Existing installs not modified.
12) Modified Server Control Panel program to prompt if eligible to use new Dataserver and optionally register the new server.
13) Modified Desktop program to be able to connect to both Old and New Dataserver. If connection to Old server fails, automatically connects to New DataServer.
14) Common changes to support new DataServer.

8/19/2010-CTTasker Refresh
1) Support for using "LongSymbol" field as alt. field for downloads added.
2) Position record lookup for options now properly handles currency options with strike price decimal
precision less than 0.01.
3) "Calc" function on Portf. Trans. "lot" field now works again.
4) Correction to 8/17-19 periodicity error so works prior to start date
5) Incorrect date computation problem for purging old backups (for certain installations) is fixed .

8/19/2010
1) Reporting tweak to constructing of grouping field names on position type reports so that computed fields (as opposed to lookup fields) can successfully used as grouping fields.
2) Portfolio periodicity behavior restored to pre=8/17 release.
3) Posit. by Lot rpt for shorts fix so only single rec.per short reported.
4) Tax lot calc reference to freed object fixed.
5) Wash sales calcs now account properly for splits.

8/17/2010
1) TAC based Transaction descriptions when used in reports now use "regular" capitalization.
2) TAC based Transaction descriptions now can be overridden with Types list lookup.
3) Custodian import now always forces symbol for any transaction including MMO TACs
4) Transaction report (Lev. 3) now includes Settlement Date field.  Settlement date now imported 
into Tr.Blotter as date rather than days.  
5) "Start Date" and "End Date" fields on perf. type reports now populated at S/T and G/T level based 
on first and last cashflow dates.
6) MTM (Mark to Mkt) TAC code added along with approp. valuation computations to support Futures Contract tracking with Interactive Brokers transaction imports (Level 3/higher).
7) Tweak to vertical centering of detail, Group S/T and G/T records to better center when background shading used.
8) CSV report now can be successfully generated even if detail is hidden. Right margin also suppressed for CSV & Excel reports
9) Report Benchmark Field Caption for Xref report with multiple accounts now shows user edited caption in lieu of blank.
10) Price data download speedup by reducing "sleep" times in data processing loops.
11) "ROI Series" report & graph added (Pro-4 feature).  
12) Generic import tweaks to support extracting filedate from filename or dataheader.
13) Valuation calc tweak to eliminate possible case of using base position dated prior to first transaction.
14) Option Exercise now adjusts cost basis of underlying security.
15) Tweak to report multiperiod datelist initialization to prevent unneccesary periods in ROI Matrix rpt for short term accts.
16) Server Control Panel "Configure" dialog reenabled for generic import for single users.
17) BM index ROI reporting added to ROI Series and ROI Matrix reports.  (Needs tweaks for paging)
18) Several Idi file updates.

7/26/2010
1) Latest Gnostice component to resolve PDF font embedding file size problem.
2) Fixed a blank Template name issue in Generic Imports program.
3) Minor path fixes in Server Control Panel.
4) Added new IDi file, IntBrok_2010.idi.

7/20/2010
1) Minor updates PDF rendering component to address text overlapping issues.
2) Modified Report error recovery buttons to automatically switch On Save and Resume options.
3) Added extra dialog before running a report with Resume option.
4) Added warning to the Report progress log indicating if an Account is being re-processed or an existing RAF file is used.
5) Bond Yield from Purchase and YTM from Purchase added to certain reports (L3/higher)
6) Custodian Import with trailer note detection tweak (from 7/1 release).  Also Dest and Src values Trimmed 
in TAC translation.
7) Generic import provides option to allow spaces in Ticker symbols with "ALLOWSPACES" option in format field.
8) Custodian import scripting now allows "-" prior to field for numeric subtraction.

7/15/2010
1) Bond YTM calc correction of bug which caused YTM to be understated for some payment/maturity date situations.
2) Tweak to positioning of right click symbol "Lookup" popup menu on security and position records (for 2nd monitor)
3) Wtd Subtotaling for various Bond reporting fields implemented.
4) Report output numeric formatting tweaked to accomodate new Gnostice Excel export component for Percent fields with
values > 1000 (requires commas excluded).
5) Tweaked the message dialog before running Reports with 'Skip Previously Run Accounts' option.

7/12/2010
1) Security List Symbol "Right Click" Web Lookup functions now also offer Google, MSMoney Security lookup support and 
also offers Sifma lookup for Bond Cusips and Oanda lookup for Currency exchange Rates.
2) Security Lookup function now also available from Position Records.
3) More updates to PDF Report components to address related issues to system DPI settings and PDF file size.

7/9/2010
1) "Published Index ROI" method now applies "AIMR" annualization option in report options.
2) Custodian delimited import now handles enquoted null field (i.e. w/o even a blank betw. quotes).
3) Date format conversion tweak to pre-pad single digit months and days.
4) Increased timeout delay in Report Progress page to wait for final consolidated report. To resolve consolidation failures.
5) Added debug statements and delay in Backup code in the Tasker.
6) Attempt to avoid spurious warning message about missing backups prior to doing an Update.
7) Currently suggesting users to use Default Dpi (96 Dpi) setting in Windows to avoid the PDF text clipping issue.
8) Corrected Start and Stop time in Backup status Ini file.
9) Added Warning (Popup and Log) messages to the Report Run page when running a Report with the 'Skip Previously run Accounts'   setting is checked. Warns about potential use of stale reports, archive files that may be run previously.

7/7/2010
1) "BETWEEN" import scripting function added to extract better extract security/transaction descriptions 
2) Pie chart "arrow" length slightly longer for charts with 3D >1
3) "Spin-off" tools function now allows zero ending "Parent" shares to facilitate use for mutual funds conversions.
4) New accounts imported through custodian interfaces now have Benchmark Indices initialized to User Pref. Default values.
5) Non-rotated perf. reports with BM Indices now properly substitute index captions.
6) Added "Try to Resume with Save Options" button on the Report proress page when a report fails. Cliking this will automatically    switch on the Save options and re-run the report.
7) Report run page automatically checks Save options and Skip Previously Run Accounts check boxes in the event of an error.
8) The 2 modifications above make it easier for users to resume reporting function in case of an error.
9) Warning dialogs and messages about stale data added to Report Run\Progress page indicating if Skipping Previously Run Accounts    is checked.
10) Ability to set new PDF rendering component options to workaround Font issues added to Report Global options.
11) Sort order of Report sets on Report Selection page is now consistent with the Report Set Edit page.

7/1/2010
1) Added "Tfr" code to QIF import TAC translation.
2) Report tweak so spacing specified to follow subtots for case where detail is hidden works as intended.
3) Another update for 3rd party PDF components to completely address PDF font inconsistencies. Hotfix no longer needed.

6/29/2010
1) Cust. Import correction of 6/8 release, affecting DST Dividend imports (users will need to reimport "01" files) 6/25
2) Costing by lot now properly includes non-quantity cost transactions occuring on date of a closing transaction.
3) MMO tac removed from "BothQty" set to resolve posting problem with Trans. Blotter records.
4) Fee report modification to facilitate generating pre-end of period incentive fee reports w/o need for dummy end of mon. valuation.
5) New update by 3rd party PDF component provider for font issues.
6) Updated several IDi files.
Refresh 1
7) Additional hotfix for text clipping in PDF reports. 
8) Database Resore operation modified to check for Backup\SavedReports Path validity post-restore. 
9) Modified Control Panel to indicate that Database type cannot be retrieved if 64-bit OS.

6/24/2010
1) Modified PDF report generation to reduce size of final PDFs by embedding only a subset of TrueType fonts.
2) Obsolete script files now do not appear in drop down lists on Server Control Panel and Custodian import interface. (please contact Captools support if you still need one of these).

6/23/2010
1) Generic import of recon records now automatically populated portfolio acct# field if empty and computes Recon Price 
if not otherwise imported.
2) Problem with Text getting truncated with PDF reports is now fixed. 
3) Minor adjustments for Font Character-spacing done which slightly affect the amount of text displayed for a given column. This was incorrect previously, hence may require minor tweaking of Report layout by users in some cases.
4) New check added to Server Control Panel to prompt user in case of insufficient Disk space.
5) Option to open Web Home page when incorrect number of users detetcted in database.
6) New job added for moving Freezing of Accounts during Batch Valuations job.
7) RCS,XPS,MFS,OFS,MIS codes now factored into "Cash" "additions" field reported at by security report level. (does not affect ROI)
8) Custodian import tweaks to better support using Trailing notes in Trans. descriptions.
9) Position record now prices at cost for recently opened but unsettled positions to deal with custodians 
who do not send pricing until position is settled. Such prices are marked "stale" on position
records.
10) Code prep for adding new currency conversion service to Tasker and Idi file updates.

6/17/2010
1) Addresses Desktop program crashing problem while doing Batch Valuations.
2) Idi file update.
3) More time delays added to Server Control Panel during starting and stopping of services.
4) Single table XML Export/Import added to Server Control Panel Utilities.
5) Correction to 6/1617 release which inadvert. disabled some custodian imports.

6/16/2010
1) Position record cost basis now picks up excess "Long" sales amount as short sale cost.
2) TDAM script modif. to purge "|" char. in description so Description Upper/Lower case conversion works as intended.
3) Fix to Security record import change in 6/8 rel. to skip Descrip. & Type updates to records converted from CTwin.
4) Alternative way to open IIS Manager on Windows 7\Server 2008 64-bit machines using clipboard.
5) Minor fix to save Backup done time in Tasker.
6) Modified Check for Updates feature to first check to see if there are any recent backups done. If not,    user is prompted to first do a backup prior to checking for updates.
7) Button top open Archived Reports Save path on the Server Contol Panel. 
8) Modified Desktop Login Dialog to add options on how to Update the Desktop program. Useful in case of a    login problem to make sure that Desktop version is insync with Server.
10) Code preparation for Captools/net Server upgrae to remove DCOM.

6/8/2010
1) Non-manually edited Security record descriptions and types now update on import w/o prior requiremnt of blanking.
2) Roll-out of 'Skip Previously Run Accts' feature to continue where left-off in the event of an error while generating reports.
3) Added more DB fixup code for implementing 'Skip Previously Run' feature for reporting.
4) All DBFixups now performed temporarily before a backup DB operation via Tasker.
5) Idi file and Help updates.

6/3/2010
1) Refinement of cust. import spec. of quote character in imports so single quote and embedded commas preserved.
2) A Temp Float variable now used to store intermediate computation results in computeExchangeGain procedure along w. # checks to facilitate support for inflated currencies.
3) Output to CSV or XLS now ignores the show zero as blank spec. so to ensure all fields are represented.
4) Custodian import script support for multiple possible Symbol, Src or Dest conditions in TAC translations thru use of "|" char.
5) PIC (paid in capital) TAC code added.
6) Income report now does not include "Accrued Int. Paid" in Interest Category but its own category as in 5/14 release.
7) Effectively null date fields now displayed in reports as blank, incl. in S/T's
8) Buttons to open various Captools/net folders fixed up for Windows 7.
9) Added menu option in SCPanel to open the base fodler where Custom Reports are stored. Useful for directly accessing a report RTM file.
10) Incorrect Merge name string was prefixed to saved reports when merging by Account Group. NOw fixed.
11) Upgraded PDF generation component(v3.0.9) for reports to latest version. Fixes Font incopatibility issues.
12) Code rearrangement for implmenting 'Continue Where left-off' feature for reports.
13) Added 'Skip Previously Run Accounts' option while running reports to resume reporting in the event of an error.
14) More detailed flags added for indicating status of reports saving, emailing.

1) Refinement of cust. import spec. of quote character in imports so single quote and embedded commas preserved.
2) A Temp Float variable now used to store intermediate computation results in computeExchangeGain procedure along w. # checks to facilitate support for inflated currencies.
3) Output to CSV or XLS now ignores the show zero as blank spec. so to ensure all fields are represented.
4) Custodian import script support for multiple possible Symbol, Src or Dest conditions in TAC translations thru use of "|" char.
5) PIC (paid in capital) TAC code added.
6) Income report now does not include "Accrued Int. Paid" in Interest Category but its own category as in 5/14 release.
7) Effectively null date fields now displayed in reports as blank, incl. in S/T's
8) Non-manually edited Security record descriptions and types now update on import w/o prior requiremnt of blanking.

5/20/2010
1) Foreign Security and Currency flags now set at import into the Trans. Blotter rather than waiting for transfer from Blotter.
2) Foreign Currency Import tweaks for case where Transaction currency provided in data feed (e.g. IB) so pricing not set to 1.
3) Custodian Security record import now applies "Factor of Ten" constraint on Price Factor field.
4) "%PRICEFACTOR" notation added to Price import scripting to add flexibility to build Fixed Inc. Pricing from Value & Qty.
5) Generic import non-TAC translates now functional.
6) Custodian import tweak to accomodate 11 char date format for file header dates. 
7) Foreign cash accounting case now includes trades trans of non-base currencies in computation of base currency amounts.
8) Foreign cash functions re-factored to reduce DB lookups & fix forn cash position qty calc.
9) Re-instated CSV report output.
10) More code preparation for Skip previously run Accounts while runing a report feature.
11) Minor change in Login Disalog Button action.

5/14/2010
1) Position Accruals now picked up from matching Recon Records if Accrual Method=None.  This allows for Custodian provided accruals.
2) Transaction Blotter view now has a "standard" multi-currency view. (multi-cur. fields removed from Mut. Fund view)
3) Foreign Security and Currency flags now set at import into the Trans. Blotter rather than waiting for transfer from Blotter.
4) Code rearranging for  Skip previously run Accounts while runing a report feature.

5/12/2010
1) UpdateForeignCashCost procedure tweaked to avoid possible division by very small #.
2) Income / Exp. report tweak to fix net vs gross reversal in prior "hot fix" (also handling of trade accrued int.)
3) Rotated reports (e.g. Portfolio Perf. rpt) now display properly non-primary record fields (e.g. account code).
4) Holdings and ROI by Security reports now skip bond calcs. when only accrued int. field selected but not Bond YTM related fields.
5) Div. Accrual tweak to move back Position calc one day prior to ex-date.
6) Recon record import tweak to ensure precidence of record date over filedate or current date.
7) Recon record import tweak to compute missing recon price from recon value after excluding accrual amount.
8) Fixed problem with "Configure Data retrieval options" dialog and now displayed RepIDs to select for loading.
9) Fixed Tasker RestoreDB function to ignore restoring CTUploads foler if not present.
10) Reinstated PDF password protection and HTML report output. Using D2010 Tasker now.
11) Modified reporting to dynamically serve images while running HTML reports to support Win7\Server2008.
12) Modified reporting program to implement a better scheme to cache files per user per report run.
13) Code Planning for Skip previously run Accounts while runing a report feature.

5/6/2010
1) Mgmt Fee reporting now can properly exclude Cash from fee basis computation.
2) 4/6 Accrued Int. paid fix now works (really) and "Net Amount" etc. not doubled.
3) Fund accounting transaction conversion now does not transfer perturbed flag value.
4) Revert 1/20 growth graph change that prevented correct plotting of blended index.
5) Calc function added for Trans. Blotter to assist in filling Qty field for MMFund transactions which have amounts.
6) "SLD" (Short term Loss Distribution) transaction code added to "Close" transaction code set.
7) Potential Div by zero case in reports fixed (in Set12MonSDHstats)
8) Blue shades in Color array for pie/bar chart graphs tweaked lighten.
9) Formatted String to date conversion now deals with dates with stripped leading zeros.
10) Report "Category Description" field made "non-groupable". User should use "Type", "Group", "Class" etc. as grouping
fields instead.
11) Report Security Benchmark computation period now forced to be congruent with relevant cash flow start/end dates for partial period holdings.
12) Transactions imported as "MMO" now retain quantity values.
13) Import (& data entry) of Money fund/Cash transactions tweaked for SAX,CMX,RCV,DLV codes so sign of Qty and Amt always match.  SAX & CMX transaction coloration tweak to allow blank Qty field for (Cash).
14) Blank symbol transactions now retained in transaction blotter rather than transferring.  User will need to add valid symbol.
15) "Trust Accounting" option added at Level 4, to separately track principal & income including separate cash components thereof.
16) Custodian Import tweaks supporting IB option symbology and scripting. Inserted explicit decimal removed from long option symbol due to indeterminate location and to support fractional strike prices. Users with open options will need to edit symbols.
17) Price retrieval into Trans records now works for Portfolio SLS transaction and also in TransBlotter for all buy/sell transactions (init value must be zero).
18) Beta-Replaced 3rd party PDF generation component to reinstate Password protection for PDF reports. Reports always encrypted. 
19) Added debug statements to track-down Tasker in use error while hotfix unzipping, to report selection page, to WUpdate for missing updates issue.
20) Added support for older version of SSL email server connectivity.
21) Modified EMail Settings dialog to input SSL version.
22) Freed-up Keycode DB Type char for other purposes.
23) Help files, Idi files and Yahoo svc file updates.
24) Renamed DB Compress in SCPanel to DB Compaction.
25) Disabled HTML report output due to incorrect folder location for images.
26) Added code to reort calling unit to correctly set complete session path. Still ToDo.
27) Repurposed the 'Auto-run Installer' checkbox on the 'Check for Updates' dialog to launch the installer in Automatic mode when checked or Verbose mode if unchecked.
28) Attemped to set report outputs's document metadata.

4/16/2010-Interim
1) Position by lot report tweak to fix cost for avg lot case with splits.
2) D7 Tasker version reinstated.

4/13/2010
1) Price multiplier now applied to "Cost/unit" and Income/year fields on Positions view.
2) Two additional "Valuation%" group fields added at Level 4.
3) Sec. Record "Payment Dates" and "Ex-Dates" fields now display and edit as intended for non-US Locale Format settings.
4) Mgmt Fee report with Security Factors now uses less resources (Portf. Local Sec. lookup consolidated)
5) SymbolsHeld function now bypasses Transaction records if start date equal to end date (speed improvement)
6) Realized gains report now has option to include "Zeroed DLV" transactions per a user request.
7) Initialization from Recon Records tweaked to preclude duplicate initializations.
8) Freed RAF merger object for Cross Reference reports.
9) Fixed problem in Generenal preferences which would cause the 'Freeze Months' setting to reset.
10) Idi and Help file updates.
11) Refresh on 4/14 for:Position by lot report tweak to fix cost for avg lot case with splits.

4/6/2010
1) Temp. Bitmap used in reporting text sizing procedures moved from stack to heap memory so created once.
2) Income/expense report now includes accrued interest paid on bond purchase.
3) "Blank" thousands separator again supported (Change needed due to Ascii 160 used as blank character; Some routines modified to take system formatSettings as parameter rather than DecimalChar).
4) Large chart bitmaps eliminated from report intermediate RAF files to reduce memory burden.
5) Implemented compress statement to jpeg to reduce RAF file size.

4/2/2010
1) Position record pricing now not trunc. to 4 places if preferences indicate higher precision.
2) Custodian import tweak to allow "delimit_method" specified at table level to be used in  field conditional imports.
3) Report graphic ledgend tweaks to better accomodate new graphic component.
4) Rebuild with current rpt_BaseRep unit (3/30 build inadvert. used older version)

3/30/2010
1) Settle days transfer from blotter now works for "old" (>365 days old) transactions.
2) Income report now properly rpts "accrued int." on buy/sell for Income type="interest".
3) "Tools" browser based functions "read instruction" link to help docs now activated.
4) Pos. by Lot report Gross Cost/unit calc correction for case of cost delivered out (commis. now properly accounted for).
5) Realized Gains rpt exclusion of zero cost basis transaction (since 2/16) now excludes only if null symbol
6) Consolidation of TXW and Dividend transactions after import restored (inadvert. disabled in 3/15 release, item 5)
7) ETX transaction computation now excludes closing transactions for which Aux. Amount is zero. (e.g. for Money funds)
8) Custom script processing for IB Addresses.  Import Script "Non-names" functionality re-activated.
9) Div. Accrual 3/15 change corrected so accrual starts on ExDate, not after.  Combined div accrual plus int. accrual function 
reactivated for hybrid securities paying interest & dividends.
10) Report "Float" type fields now supported > 4 places when "non-System" Neg. Format specified.
11) Report pie chart tweak (due to chgd behavior of upgraded 3rd Party component) so "Other categ" suppressed if Other=zero.
12) Major changes in Reporting program to handle merging of reports to produce a final consolidated report. Individual reports are managed and freed earlier thereby avoiding the potential of memory shortage.

3/18/2010
1) Dedup function now excludes "Perturbed" field from comparison. "Dup" function also tweaked to avoid altering a field const. array.
2) Setting Valuation "Missing Prices" flag again excludes "missing x-rates" which was included in 2/9/10 update. "Missing Xrates" now sets separate flag.
3) Batch distrib. generation now properly handles negative distributions (e.g. DV-).
4) Repalced logic that uses Bookmarks on the Desktop with Grid record selection for Compute multi Cells, Fill Up\Down, Data Dup\De-Dup and  Cash\Share balance functions.

3/15/2010
1) Custodian import tweak to ensure that Tax Withheld in connection with mandatory withdrawals is not 
combined with same date income transaction.
2) Report first group headers now display underlines if underlined fonts selected.
3) "Long/Short Summary" cross-reference report added at Pro3 level.
4) Dividend Accrual computation can now handle multiple overlapping dividends as sometimes occur with non-US securities.
5) Custodian import now sorts records prior to merging Tax W/H transactions or deduping records.
6) Batch Valuation view export functionality activated (with rounding of certain % figures).
7) Added Security Benchmark Correlation field to ROI by Security rpt.
8) Correction to 2/18 release in ROI calc affecting inception rois.
9) Correction to div. accrual calc item #4 above which disabled calc.
10) Repalced cxTreeView component with cxGrid component in the Preferences dialog.
11) Unicode support for Desktop and Server program.
12) Compiler upgrade for Desktop and Server program.
13) Used Ord function for type to ordinal value conversion.
14) Increased number of reports in Report Group to 15.
15) Increased number of Reports Sets per RepId to 15.
16) Made Database Backup requirement optional during Hotfix download.
17) Modified Auto-Tasker code to accomodate string exchanges to support lengths upto 80K chars. Useful for submitting jobs for thousands of account numbers.
18) "Subtotalling" for certain fields in R.Gains and some other reports now hidden for non-applic. subtot. lines.
19) Batch valuations now only trigger "freeze" records function for end of month valuation date (b/c of time to do freeze function)  3/1 implementation.
20) Reports for prior period end (typ >3mo old) now can report est. income & yield for end date.
21) Resolved bookmarks incompatibility while launching 'Compute Cells' function in the Desktop progam.
22) Fixed a bug that was not saving the 'check for Updates' preference in the Login dialog of the Desktop program. These are now saved in the Login key of the registry.
23) Dividend accrual for closed security now supported.
24) Income forecast report now properly handles securities with "00/00x00" ex-date specification.  Future imports now import null ex-dates and pmt dates as "  /  x  "
25) DLV transactions dated 2009 or later now suppressed from R.Gains rpt unless "Est Tax" field is non-zero. DLV transactions now compute estimated taxes of zero, but assign Aux. Date and Amounts.
26) ROI by Security report now does not "carry down" the "nmf" in ROI fields to group subtotals if the last security in a group has that value due to not passing "min. days" criteria.
27) Pro4/Ent 4 now transfer "Order Date/Time" to Portfolio Trans description.
28) Modified Desktop program to not allow the '*' character in the Symbol field.
29) Fixed a dataset bookmark bug in the Desktop program's Batch Valuations dialog for the case where there are no existing valuations.
30) Added preference check condition to make sure that 'BatchValMonths' is always >= 0.
31) Frozen record date lookup fix (corrects bug in item 11 above).
32) Modified Dekstop proram to correctly indicate local Captools/net server connection. 

3/1/2010
1) Time series charting algo. now sorts accounts by Open date before building charting data.
2) CTnet Desktop mem leak fixes, incl occas. on close error. Tag prop adjusted for later Free.
3) Conditional Generic import TAC translations now work as intended (e.g. A<0, Q<0, etc).
4) "Received in profit" (included in profit 12/31/09 release) is now excluded again due to account and period attribution indeterminacy.
5) "Return of Capital" excluded from reported period gains if "Return of Capital" field is included in report.
6) Valuation table "Period Gain" field now excludes "received in" gains.
7) Added detailed explanations and options for Desktop progam login failure.
8) Modified current Desktop program installer source from local server to www.captools.com.
9) Repurposed 'Forgot Password' button Desktop login options panel to 'Update Desktop' to donwload latest Desktop program installer.
10) Fixed Reprot Set page Save Options overwrite problem along with other minor modifications.
11) Generic import enhancement to support scripting using "TEXT" identifier to match any text in the source record.
12) Custodian import of RCV & DLV transactions which are missing amounts, now checks for price in transaction record before doing price lookup.
13) Added error trap for Reports Consolidation failure to gracefully exit.

2/23/2010
1) Transaction blotter now transfers only data dated later than last "frozen" valuation date in portfolio.
2) Option added to Server Configuration to allow user to specify that "frozen" valuation not be recomputed.
3) Spin-off computation of commission allocation corrected for spun-off "RCV" transaction.
4) Bug that forced the Report Set Folder Name to lower case fixed.
5) Bug that forced Saved File Name type from Prefix to Sufix is fixed.
6) Added %LONGMONTH% toekm for Report Email text to print full month description (eg Januaru, February etc...).
7) Additional imnporvements to Tasker job-submission code to better handle multi-core processors.
8) Changing Transaction "RCV/DLV Pair" field now "perturbs" record.
9) Profit by Security now generates results consistent with Profit by Account when RCV/DLV pair field set in transactions.
 
2/18/2010
1) ROI computation tweak to better deal with sub-period end date transactions particularly at the point where new
accounts come on board, containing "Receive" transactions whose receive date transaction values differ from valuation value. 
2) Position by lot report fix for avg lot case where Aux Amt field not populated and sale has occurred.
3) Purging of extraneous zero valuation data points in prep. for value/growth charts implemented.
4) Tax calcs suppressed for symbol-less "sales" transactions.
5) Realized gains report now bypasses symbol-less "sales" transactions.
6) Position by lot report now computes "avg" lot case properly.
7) Tweaks to Keycode registration code to account for PWM license level.
8) Forced Tasker fixup added to Server COntrol Panel launch.

2/16/2010
1) Corrected CT Tasker re-registration failure problem affecting certain installs. Added more checks.
2) Desktop dialogs now stay with parent window when parent moved to other screen.

2/12/2010
1) Reinstates the "Client ID" column on the Accounts View even when the Suprress LookUp Columns is checked.
2) Auto-Tasker compiler D2010 upgrade reinstated. Addressed repeated DB queries problem due to bookmark inconsistency.
3) Group report bug introduced in 2/9 release fixed (caused 2nd/later subrpts to pick up wrong acct).
4) Batch "Show Position" bug introd in 1/26-2/10 releases fixed. Multiple date batch delete retained. 

2/10/2010
1) Batch Delete of multiple valuation dates now supported.
2) Reporting ROI exclusion supported via specifying exclusion in local security record plus activating report ROI exclusion option.
3) Income forecast report refinement to properly deal with dropped dividends correct year crossover bug and also so multi-account reports report correctly.
4) Batch Spinoff function now correctly allocates commissions to spun-off shares.
5) Correction to ETX transactions at Year End when "Loss Carryover" option selected to divide by 100.
6) "Period User Label" field added to Portfolio Perf. rpts (>=Level 3) to allow users to specify own "text" labels for periods.
7) rf_MinROI, rf_MaxROI and rf_MedianROI placeholders for User Text area implemented for cross-reference composite reports (Lev3/higher). 
8) Growth Graph tweak so that plot more closely aligns with TWROI results with daily valuations.
9) Cross-ref composite account ROI benchmarks start date now adjusted for start date of account if necessary.
10) Amortization/accretion computation to allow for proper sign on purchase accrued interest.
11) Special symbol "(CASH)" now cant inadvert. be set as "foreign security".
12) Missing Xrates (or 1.0 Xrate value) for foreign securities now color flagged as missing prices case.
13) Enhanced trade export scripts implemented.
14) Fixed Final Report Saved File name problem while running Report Groups.
15) BETA-Internal release for compiler upgrade for Auto-Tasker program.
16) Better status reporting in Aut-Tasker program - Last Task Date, Attempt count etc..
17) Missing Xrates (or 1.0 Xrate value) for foreign securities now color flagged as missing prices case.
18) Enhanced trade export scripts implemented.
19) Transaction "compute" on Lot field now pulls in correct Default lot specified in acct. record.
20) Minor Reporting memory leaks in the report logic fixed.
21) Reporting filtering on Account Type (also Account Code at Level 3) now available and functions on individual reports in a group.
22) Fixed issue with Backuping up Captools/net Desktop settings during regular backup on the server.
23) Corrected problem with Check for Updates dialog jumping ahead when "Auto-Run Installer" option is checked while downloading updates.
24) Improved Auto-Tasker jobs last done status reporting in the Task Config page. Correctly calculates next task date.
25) Reverted 12/2009 change which made RCV'd in profit dependent on AuxDate and Report start Date, since this made results inconsistent 
when accounts merged in report.
26) ROI Matrix report tweak to suppress results for "non-relevant" periods.
27) Income/Exp. Report tweak so that "Tax/WH" always reported in portfolio base currency.
28) Position by lot report "Rem. Commission" field now produces correct value.
29) Cost Basis adjustment with prior split can now have tax lot assigned.
30) Password protection for PDF report output is temporarily disabled. No password applied.

1/8/2010
1) Reverted the new Lookup Fields loading scheme due to edit\saving problems in the Desktop.
2) Items 13 and 14 reverted from the previous release.
3) Additional logging code in Server and Desktop programs.

12/30/2009
1) Mgmt Fee report now offers option to exclude certain expense transaction codes from profit calc used for incent. fee.
2) QTD, YTD and 5Yr security ROI fields added to Security metrics report.
3) Security metrics report for funds now has reduced fields selection due to reflect that data not available for these fields.
4) Cash Balance calc on buy/sell of foreign security fixed (fixes 12/18 release bug)
5) Report "Below table" charts now functional again.
6) More "Long option symbol" tweaks.
7) "Local Gross Cost" fields (before commission) added to Pos. by Lot report for multicurrency users.
8) Generic import no longer attempts to recalc price if price field already filled by import.
9) Report filtering using AcctId exclusion now allows multiple exclusions.
10) Reporting with AcctId and/or strategy active now does allows for null assignments to these fields for some records.
11) Reporting with Val% vs Model% field now works.
12) Holdings report profits now can report profits from orig. cost basis date if rpt start date is prior.
13) Lookup fields optionally suppressed for better performance have been reinstated without loss of performance. 
14) Other lookup fields now implemented on server-side resulting in Desktop program load speed improvement for most installations.

12/18/2009
1) "Local Gross Amt" field added to income/expense report for multicurrency users.
2) "Long Symbol" field support and long to short symbol compression added to support new option symbology.
3) Various report "unit cost" fields reverted back to type "float" from "currency" to allow display to more than 2 dec. places
4) DLV transaction matching in cost computations now supports multiple same-date opening transactions.
5) Desktop prog. tweak to ensure does not try to apply neg color to non-applic. fields.
6) Modified SCPanel for DBFixup to add SLF_LongSymbol field.
7) Adjusted Inetpub path for Vista and WIn7 in SCPanel.
8) Migrated build machine to newer version of Installshiled to new h\w.
9) Last milestone build for XP and Win 2003 installations.

12/14/2009
1) Est. tax computaton for realized gains now does not apply cross-deductibility factor.
2) Tweak to position record lookup change made in 12/11 release so missing record wont stop display of table.
3) Mgmt Fee report change to pro-rate "End Value" method for partial period billed (but not based on $ amt as in "End Adj." method.

12/11/2009
1) Tweaks to ROI matrix enhancement in 12/1 release to make temp object size slightly smaller and allow serial periods 
concurrent with YTD/QTD periods.
2) Inc. by Categ. report tweak to account for security rec. income type setting in relev. cases.
3) Incent. fee rpt tweak to ensure can't have neg. profit base.
4) Custodian import support added for Variable trailer record  for fixed format records. Also double "IF" conditions now supported
5) Accum. Profit on RCV transactions at time of receipt is included in reported profit if profit occured in report time frame.
6) Adjusting of prices fetched from Price histories to account for storage as 4-byte float vs Binary coded decimal
now requires smaller difference (<0.0001) before converted to BCD.
7) Treatment of cost adjustments for DLV transactions corrected so these are properly applied to non-specific lot cases.
8) Manual entry of data into the price history "close" field or the Distrib record "Amt per Shr" or "Qty per shr" fields now sets
"DataSource" to manual.
9) High water billing report tweaks.  
10) Minor javascript fix for Captools/net progress page.
11) Fixed Request Assistane problem for standalone Desktop installations.
12) Modified view and GlobalBL function to exclude "Other Fields" from Get Fields list function.
13) Introduced Captools/net Desktop preference to skip display of Lookup Fields for Accounts, Positions and Allocation views to improve grid load and refresh speed. 
14) Modified Automatic account extracts while deleting accounts\clients to include the time in the extract file name to prevent overwrites when deleting multiple accounts.

12/01/2009
1) Cumulative ROI report fix so 1st period properly included.
2) ROI matrix report to include inception to date, Yr to date and Qtr to date fields (Lev. 4 versions).
3) Fixed problem with SCPanel to correctly save the Report Options.
4) Modified SCPanel Report Options to reflect Report File naming conventions.

11/20/2009
1) Report charting for long periods (>10years) tweaked so x-axis lables better spaced.
2) re=Initialization of position record from security record now clears "zero value" and "foreign security" flags before reinit.
3) security record changes for "Special" and "Value Method" now properly propagate to downstream positions records flags.
4) Portfolio Perf. report which has no portfolio fields selected (only mkt index fields) now does not massage dates for portfolio inception.
5) Rotated report column header top now forced to tie to region (fixes err introd in 10/15 #22).
6) ROI Matrix report date header now properly wraps and sizes region.
7) Report index computation code moved to base unit to support index rptg in fund acctg.
8) Report Visual Style copying now works for Vista/Win7 installations.
9) Custodian Import script can now specify symbol length threshold for Cusip to Symbol conversion 
(specify min length next to "CUSIP_TO_SYMB" spec.)
10) Fee report "Uniform Period" option now works with layering.
11) Multi-date batch valuation generation option added.
12) Period Gain and Period Gain% fields added back to batch valuation.
13) Realized gains reporting on Foreign cash accounting implemented. Requires "Include Foreign Cash Moves" selected on report options.
14) Manually entered prices in position records now have precision preserved when other position fields recomputed.
15) Report "User Text" left margin and width tweaked to obtain better centered alignment.
16) Level 4 enhancements to ROI matrix report (more wrk needed)

11/4/2009
1) Report inclusion/exclusions specs. now pre-processed to remove sensitivity to included blanks.
2) Tweak to open lot report for avg lot case to correct change in 10/22 release
3) Index symbol plotting made resistent to user invalid or null symbol specification.
4) Synthetic indices denominator now automatically normalized to compensate for user mis-specification of %s.


10/29/2009
1) Tweak to tax record lookup date filtering.
2) Rpt. tweak to allow display of AcctNum field on xref report when subtotalling by other account identifiers (e.g. short name or title)
3) Rpt. Synthetic index routine now skips components w. no price records and allows Note record date later than rpt end date.
4) Fixed SCPanel Extracts code to valiadte RepID Prefix names.
5) Minor fixes in generic imports program.
6) Additional Windows 7 code in SCPanel.
7) Modified SCPanel to create scripts dir and copy httpsrvr.dll for x64 OS.
8) Custodian import procedure tweaks to handle specification of transcation "Local Amount" import.


10/22/2009
1.) Pos. by lot cost basis tweak for avg cost case.
2.) Corrected Windows 7 OS detection code.

10/21/2009
1) Batch "apply prices" now also applies prices for manually entered values.
2) "ROI Dispersion"field (see prior release) activated/tweaked.
3) Cap. Gains Distr% field in reports now populated at detail level.
4) Account extract function tweaked to not include "white list symbols" to reduce import time when prices extracted.
5) Fix for SCPanel to save update log file in the Update file download location.
6) For Vista nd Win7, Fix for SCPanel to correctly open the Program Files and Program Data folders.
7) Modified SCPanel to indicate Windows Vista\Win7 elevattion status on Caption.
8) Enhanced SCPanel's Windows Confi to do limited configuration for Windows 7.

10/15/2009
1) Securty Stats table view, calcs on ROI fields which were erroring out due to out of range list index fixed.
2) Report option to round currency fields to display precision before summing to ensure S/T and G/T sums match sum of visual detail.
3) Result initialized for several fee billing report fields to avoid them possibly having an undefined value.
4) Avg. Value calc for fee computations tweaked to properly adjust for initial period dpfs/wdfs
5) Tweak to Custodian Import code to support "any position" conditional import with long delimited data line. (for TDAM interface)
6) Mgmt Fee report Sec. Factor variable now initialized when fee method="No Fee" to avoid possible floating point error.
7) Tweak to generic import translate table lookup so underscore not reqd for blanks n left side of equate sign.
8) Foreign currency BFC & SFC transactions don't deduct commission from quantity (change from 9.25 implementation)
9) code branch in ROI algorithm which caused some neg. rois to fail to converge corrected.
10) Custodian import tweak to avoid retirement plan administrator name replacing existing client name in client records.
11) TDAM07.idi tweak to turn on netting of buy/sell accrued interest.
12) Est. Tax calc result when manually editing Tax Lot assignment records is now correct.
13) Tax Lot records now display and take into account closing exchange rates.
14) Div. by zero case in Mgmt Fee report if zero fee rate fixed.
15) Recon. Rec. Import process now does Poolfactor lookup for Var Rate Securities at time of import.
16) Trans record AuxXrate field lookup function activated.
17) "ROI Dispersion" field added at Level 3 for composite performance reports
18) TDAM07.idi tweak for DVIO transactions.
19) Custodian import code internal Description variable length increased to accomodate increasingly long 
(non-spec) TDAM comment fields
20) Custodian import single line data file dup import resolved.
21) Rotated reports column sizing tweak to support index only reporting.
22) BlockTrade (Level 4) vs Recon Records functionality added.
23) Item #9 (above) tweaked to ensure only applies to negative cases.
24) Alloc. Trade functionality restored for cases involving more than 1 account. (inadvert disabled in prior release)
25) Custodian security record import about 2x faster.
26) "Local Amt" field in multi-currency view now includes commis. if security in base currency.
27) Advance Fee billing tweak for case where user does not specify "billing months".
28) PDF permissions fixed to allow Editing.
29) Page Size issue using offset now if printer settings fail.
30) Modified the Reporting Progress page to display the an option to View the detailed error log in the event of an error.
31) GMail fix for SCPanel and Tasker nd Rep Dll. Need to use 2 separate sets of Dlls for Tasker and SCPanel coz of D7-D2009. Also for Win64.
32) For new installs, 'Saved Reports' path defaults to folder under Base Data Folder.
33) Beta-Introduced code for Windows 7 compatibility.
34) Added new option for Reporting to specify if Account Number will be used for non-merged reports while Saving the report output file. If Account Numbers are not used, then a generic file name is generated to which a Prefix or Suffix can be added optionally.

9/30/2009
1) Cross-ref composite reports now support reporting of Min, Max, and Median ROI's in the report summary text area, 
using the placeholders "rf_minroi", "rf_maxroi" and "rf_medianroi"
2) The "Base Currency Tax W/H" field added to transaction reports for multicurrency users who need this data for tax reporting in their base currency.
3) "Compute" function on transaction records now sets "Manual" flag on Amount field to false to facilitate recalc of the field.
4) "Orig Cost" field in R.Gain report now corrected for sign.
5) Transactions generating or using foreign currency now factored into foreign currency realized gains and open lots and share balances.
6) Report options "Hide cash" options now treat foreign cash associates.
7) Valuation record values now cumulated to a max of 2 decimal places.  Position cash and foreign cash now cumulated to a max of 2 decimal places, 
to eliminate fractional pennies due to imported split trades or cash transactions entered to more than 2 places.
8) 9/25 release item re tax lot price factor corrected so price factor not doubled up.
9) Batch valuation "Carryover Prior Price" option now uses prior position pricing if no current or more recent pricing found.
10) Report Sorting issue - Warning introduced for missing fields while running reports that was causing the output to ignore the sort specifed at run time. Will need to manually do Admin|Configure Database and click OK to enable sorting.
11) Minor tweaks for Save File name Prefix.
12) Fixed a record re-select issue with Special views on the Desktop program.
13) Minor fixes to Report Page size issue. Added more checks and debug statements.

9/25/2009
1) "Old style" Captools options ("+" or "-" suffix) valuation cumulation change on 6/9 release corrected so all opening/closed transactions matched.
2) Rollback to blotter function now preserves transaction flags.
3) Pos. by Lot reports now correctly adjusts costs for ROC and CBA transactions.
4) Foreign currency transaction share balance computation modifications to account for commissions and fee transactions
5) Rounding of transaction cash cumulation amounts during valuations discontinued (reverted to 6/30 method)
due to possibility of fractional pennies in split lot transactions.
6) Specific lot generated close transactions now have amounts rounded to 2 decimals with any remainder allocated to last lot.
7) Tax Lot assignment view now uses price factor in Gain/Loss display calc.  Also tweaks to TaxLot assignment so rollup function work properly.
8) Cross-ref Performance reports now populate G/T for Alpha, Beta, Sigma, etc. statistics.
9) Fixed a bug with Saved Reports File Name Prefix\Suffix feature.
10) Fixed problem with Master Passwords not being correctly applied for Saved Reports.
11) Fixed Report Page Size options to correctly reflect standard page sizes. Problem with Legal page size not being applied also fixed.

9/16/2009
1) Spin-off utility now populates "Local Amount" fields and does exchange rate lookups.
2) "Old style" Captools options ("+" or "-" suffix) are now excluded from automatic generation of expiration transactions.
3) Server Control Panel "Extract" import, disabled in prior release, now working again.
4) Share balance field on Transaction view properly computed for "Foreign Currency" (Multi-currency functionality must be activated)
4) Period Gain% computation on valuation view now uses prior period value plus current period investment as denominator, 
subject to zero result if denominator is negative.
5) "Buy Price" field added in prior 9/1 update is now a "float" field instead of "currency" field to avoid rounding.
6) Reporting "Exchange Gains" calculation for non-base currency in multicurrency portfolios now correctly computed
7) Fixed Server Control Panel error while running web programs. 
8) Fixed incorrect update file download problem for Vista installations.
9) Sort order tweaks to Report Report Set page while running a report set.

9/1/2009
1) Alloc. Driven Trade view now has "Group Detail Only" option. This is useful when rebalancing is done by family or account groups (lev 3/higher)
2) Forex transactions now properly handle manual edits of commissions and trade fees when those are in local currency.
3) Valuation re-calcs now pull in exchanges rates.
4) Change in Transaction Exchg Rate now perturbs transaction/valuations to trigger recalc.
5) Non-quantity transactions with foreign currency symbols now properly update share balances and position quantities for that currency
6) "buy price" field added to Realized Gains Report and open lot report.
7) Multi-Acct Portfolio Perf. report now excludes accounts from periods in which "ROI Start Date>=ToDate".
8) Restored the functionality of being able to save filters while running reports.
9) Fixed issue while running reports which was displaying a intermidiate screen.
10) Sort order tweaks while running a report set.
11) Potential duplicate RepId addition into assigned reps removed while editing user settings.

8/20/2009
1) Income report netting of tax w/h now accounts for whether tax w/h in local or base currency.
2) Cross-ref. Fee Summary report re-enabled for Level 2.
3) More Path related changes for Vista compatibility.
4) While runing reports, ClientAccountNumber secondary sort is always apended when the primary sort is a 
   different field. Order is the same as the primary sort.
5) Debug statements for Report files.
6) Fixed an issue moving custom reports while deleting a Rep ID. Shared reports will not be moved.
7) Potential issue with RepID duplication in the 'Assigned Reps' field is fixed.

8/18/2009
1) Dbl click on account value date field now pops dialog showing any valuation dates with missing prices.
2) Modified Desktop program to automatically add Captools/net Server name to the "Local Intranet" sites list in Internet
   Settings to allow file downloads.
3) BETA-Added new feature in Desktop program to Backup and Restore all Desktop View settings.
4) Restored "Clear Recently Run Reports" option on the Report Selection Page.
5) Tasker Backup\Restore routine now includes the View settings of the Desktop Program(on the server).

8/12/2009
1) Currency trades now properly factor commissions and trade fees into net amount.
2) Cost basis computation changes to use "Local Amount" made in 7/13 release, now use "Amount" 
if "Local Amount" is zero or empty.
3) Morningstar export tweak to round output to 2 decimals & move MstarPort tag to higher level.
4) Gain vs Orig% field on Pos. by Lot report now subtotals properly.
5) New Muti-period Cumulative Composite ROI Cross-reference report added for Pro3/higher.
6) Placement of "-" (minus sign) in first field of generic import "Format" field operates to reverse sign of imported data.
7) Desktop now automaticlaly adds the CAptools/net server name to Local Intranet Settings to enable file (CSV) downloads.
8) CSV reports scheduling functionality with report sets tweaks to support date range etc.
9) Last Sorted setting is stored on the report run page regardless.
10) Fix for Vista Data path funcitonality (to restore updates for Vista installs).
11) Reduced informational messages in the log while running reports.
12) 3 Idi File updates.
13) Added new rtm file : xr_multiperiodcompositerois.rtm.

8/3/2009
1) Custodian file import "unzipper" routine now gracefully handles corrupt zip files.
2) Update of transaction record balances upon transfer from Trans blotter restored (inadvert disabled in 7/23 release)
3) Exchange gain percent field in reports now assigned to correct output variable.
4) Criteria for triggering exchg gain computation expanded so that "MultiCurrencyPortfolios" option does not need
to be set "True" for exchange gains to be computed if so long as base and security currency differ.
5) Position record update upon edit of transaction no longer re-looks up price or exchange rates unless they are null (Price factors
always looked up). 
6) Corrected problem with running recently-run reports via sets.
7) Restored CSV reports scheduling functionality with report sets.
8) Added "Make Set Permanent" to save a recntly-run report.

7/29/2009
1) Generic imports now orders same-date trades so closing trans. follow opening trans.
2) Cost bases/tax lot matching tweaks to accomodate re-ordered same date trades.
3) Money market/cash interest accrual calc (Pro 4) tweak so works with zero starting balance.
4) Fundamentals downloads restored.
5) Recon Record Price lookup now forced to always uses "1.0" for cash and money funds.
6) Positions and local costs for cash & foreign currencies now always cumulated base on no more than 2 dec. places
7) Transaction "Horizonal" computations for Local Amount and Amount modified to minimize small decimal rounding errors
for multicurrency transactions.
9) Implemented Tasker-based reporting for all users. All reports are run via report sets.
10) Recently run reports are created as report sets and can be saved permanently via repor sets page.
11) One-time moving of previously run reports to report sets.
12) Filter options set on the report run page are now saved but only applied automatically if running a new report.
If running a recently run report, filter is displayed but not applied.
13) Modified Desktop program's progress dialog to stay open in case of an error while computations on the server.
14) Modified reporting program to stay on report progrress page in case of a reporting error (for tasker-based reporting).

7/22/2009
1) Position record "Local Cost" fix for reinvestment transactions (additional for 7/13 update error)
2) Transfer from Trans Blotter of RCV transactions with identical dates, quantities and amounts are no longer
pick up first transactions cost basis and aux dates.
3) Foreign Currency/multi-currency position record recalc on transaction change now does not create duplicate 
record (re-do of item #12 on 7/13 release).
4) Handling of charts marked "not visible" reverted to pre-7/13 method due to side effects of 7/13 change.
5) Realized Gains report now shows closing transaction even if matching opening record not found.
6) Bug with applying master password to saved reports now fixed.
7) Account selection now passed onto Report Sets when running recently run reports via sets.
8) Correct error messge now passed onto desktop program from server if unable to delete a symbol from security list
9) Batchops minor correction to message.
10) Idi file and Documentation updates for symbol deletion rules.

7/16/2009
1) Revertion of sign for cost basis.
2) Internal-ADO and COM Api changes.
3) Apptempt to handle the error in desktop program upon closing. 
4) Removed spurious error log entry at the end of automatic scheduled reports generation w memory freeing.
5) Repeated use of "calc" function on transaction record est. taxes field now repeats full compution of est. tax.
6) Security Payment rate lookup for accruals now uses security record specification if Distribution method is null
and security has maturity date.
7) Position record local costs sign error in 7/13 update corrected.
8) Text/Chart order when chart at bottom of report restored to orig order (text, then chart)


7/13/2009
1) Report field now can be programmatically removed if it is unused ("% cash" field removed).
2) Report chart security type lookup function now more tolarant of nul sec. type/class etc. fields
3) Cross-ref. reports now (again) adjust start/end dates to data (this was disabled in 6/9 release, there is now a report option to disable this)
4) Several additional Pro 4 report fields added (group w/o accrued div fields).
5) "From>To" currency lookup notation now can do lookup based upon reverse rate.
6) Report charts which have "visible" property set to "off" are no longer computed to save processing time.
7) Tax Rates documentation updated to match actual computation methods. Duplicate application of Fed and Local rate factors for ordinary income rates fixed.
8) CPI tax rate factors implemented in estimated tax computations.
9) Client Record value field bkgrd color now updated upon running "compute" function.
10) "GetSymbolsHeld" function made more efficient.
11) Foreign currency in foreign cash accounting multi-currency portfolio now correctly reports gains/profits.
12) Valuation computation triggered by transaction change now does not create duplicate foreign currency records in "Foreign cash accounting" multicurrency portfolios.
13) Fixed Desktop program's Recently Run Reports menu problem.
14) Fixed problem with editing Negative currency field with paranthesis in Desktop program(Via OnValidate). 
15) Added functions to retrieve and display Recently Run Report Sets into the Server and Desktop programs.
16) Internal-Raised exception msgs in reporting for invalid report setup, precompute etc.
17) Internal-Removed unwanted UserText2 in Footer area. Should be in Summary.
18) Fixed Report Set description when running reports via Sets.
19) Changed Reporting code to suppress URL and link highlighting in final report putput.
20) Modified Tasker Job code that streams report output.
21) Internal-Modified Report Tempalte reading core code to support new compiler so that it is backward compatible(Char->Byte).
22) TD Idi file updates.
23) Fixed issue with spurious thousands seprator for negative numbers while displaying in the grid.
24) Internal-Unicode compatibility changes to RAF merging unit.

7/2/2009
1) "Notesonly" data conversion from CTwin data now works as expected.
2) Transfer of paired DLV/RCV transactions from Blotter now applies correct sign to RCV Aux. Amt.
3) Unpriced position records again have pink background in price field to alert user.
4) Spinoff generator now marks zero quantity field in DLV transaction as "Manual" so field does not appear blank.
5) Minor bug affecting certain users in Custodian Imports Server Data Path loading fixed.
6) Warning about program permissions now displayed when feature changes are made to the keycode via License change.
7) Spurious message in Desktop progam removed while editing negative currency numbers formatted with parenthesis.
8) Report sets description fixed and now stored in unused field in sets table.
9) Cash/MMF income distrib. generation function now pro-rates for days betw. Ex. and pmt date in distrib. records
so these records and be used for income accrual (Pro4 feature) as well as distribution generation.
10) Turnover fields in Performance reports re-activated.
11) Reverted Tasker-based Reporting.

6/24/2009
1) Model reporting at security level now properly handles not held securities.
2) When click on Note field "button", resulting note dialog now properly "wraps".
3) "Double Click" on note records results in "no action" since edit of note field should be used instead.
4) Server Control Panel conversion of CTwin account notes data with "notesonly" option now properly handles extended notes.
5) Pos. by Lot report when s/t by "Hold Categ." now does description lookup same as Realized Gains rpt.
6) Master acct. now used for index symbols for multi-account portfolio performance. (prior release disabled) 
7) "Save Order" assignment implemented in report fixup to support CSV report field order with new Report Builder.
8) Lot matching enforced  and date cutoff implemented for cost basis adjustment transactions such as AMT, ACR, and CBA.
9) Multi-currency "Local" fields added to Position by Lot and Realized Gains report for multicurrency users.
10) Resolved error For certain users, while running report sets causing the report log to incorrectly error out due 
    mismatched headers between Reporting program and Tasker.
11) Added unreal future date validation while entering new valuation records. now limited to program expiry date.
12) Corrected problem while saving report sets when no destination is selected.
13) More supporting code for implementing Tasker-based reporting.
14) Case-sensitive string comparision removed in internal functions.
15) Problem while editing assigned-reps for a user which caused double-assignment of reps is now corrected.

6/18/2009
1) Tac extension option in reports no longer requires square brackets for excluding TAC codes
2) Some fund accounting reports activated.
3) Various small memory leaks closed.
4) Position by lot report tweak to properly handle transactions occuring on rpt end date.
5) Correction to #15 in 6/9 release, which inadvertently disabled generic price imports.
6) Rpt Periodicity specification now tolorates double commas and trailing commas
7) Generic price import post import update of statistic records, disabled in #15 of 6/9 release, restored.
8) Tweak to item #9 in 6/9 release to correct calc for case where there are security exclusions
9) Cash/mmf accrual calcs (Pro3/higher) when from Distr. records have Start/End Dates shifted 1 day earlier.
10) Desktop "Position" view sort twk for sorting by currency.
11) Tasker based reporting feature enabled for some Licensees.
12) Extensive changes to Tasker and Reporting program to automatically create a set when running a report.

6/9/2009
1) Distribution generation function now allows for up to 170 days between ExDate and payment date.
2) Recently added FDR tac now credits cash.
3) Default calctype for Multicurrency view is now "1"
4) Growth graph now properly adjusts index for splits and distributions.
5) Growth graph now supports synthetic indices specified via note records.
6) Est. Tax & TaxWh now computed for WDF transactions for Tax Deferred accounts.
7) Pershing Global reconcile import now skips GMON import because same data is now in GCUS file. This import
now also imports the recon value field rather than needing to compute from prices.
8) Correction to Avg Cost calc when close rec followed by purchase w/i 90 days.
9) Mangement fee report tweaks to support security factor > 1.0 (also initialized some unint variables)
10) "Data Conflict" control on the "Data Tools" functions removed since are unused.
11) Transaction matching for Valuaton/position computations relaxed for "old style" Captools option symbols 
(with "+/-" suffix) to ensure that positions are closed out as user intended.
12) Cross-ref. reports no longer adjust start/end dates to data.
13) Batch Valuation "purge valuations" options expanded. Also purge now works when non-current date specified.
14) Cash/Money Mkt Fund Accrual function (Level3/higher) now uses Distrib. Record specification w/o need to 
specify payment frequency in security Id record. This supports irregular payment frequencies.
15) Generic import of Price History and other security subsidiary records now skip symbols not in Security list
rather than abort import.
16) Added Auto-Set creation feature to Report Run page. 
17) When auto-set is created, Tasker-based report generation is used.
18) Run Set in Tasker now displays running log of report progress.
19) New column to hold recently run index has been added to Report Set table.
20) Idi file updates.

5/27/2009
1) Several fields added to transaction history report to aid cost analysis (Level 3/higher)
2) Additional fields added to "Client Info" cross-ref. report.
3) Reconciliation process now populates Recon Record "AcctId" field from Position record if Recon AcctId 
field is blank following import.
4) Account & Client record User Defined fields added to reports at Level 3 (account) & 4 (client).
5) Speed improvement in fetching reqd symbols for reports and some other functions (particularly helps w. x-ref rpts)
6) Internal check for invalid fields so rpts cant add invalid fields (GetFldRecForRectype function now returns "nil" 
if field outside of allowed range for record type)
7) Report symbol filtering disabled in 5/20 release, re-enabled.
8) Local portfolio security fee exclusion factor now given precedence over main security list fee exclusion factor.
9) Auto job submission method extended to return result set and to provide a logging mechanism.
10) Changes to Reporting program and Tasker for delegating report run jobs.
11) Distribution generation function now allows for up to 170 days between ExDate and payment date.
12) Recently added FDR tac now credits cash.

5/20/2009
ALERT:IF this Update FAILS, Please use 
"HELP|ADVANCED|DOWNLOAD LATEST CAPTOOLS/NET UPDATE".
1) Dividend accrual functionality (Lev 3/above), inadvert. disabled in 4/1 release, now restored.
2) Custodian reconciliation import now computes implied price factor and applies to security record.
3) Wash sales computations now dont error out if no tax rate records found (affected valuaton computation)
4) Acct Id filter added to holdings/performance/other reports (Level 3/higher)
5) More tweaks to report group header visibility to ensure that all groups with non-hidden detail have visible headers.
6) Fixed Sort order problem in Report Run page when manually running a Report Set.
7) Filtering problem on Batch Tools dialog corrected.
8) Spurious message about preserence saving error in Batch Tools operation is now fixed.
9) Error while deleting fields from Reports introduced in previous version is now fixed.
10) New compiler compatibility changes in SCPanel wrt APIs.
11) Idi file updates.
12) Refresh for 5/19/2009 update to correct minor issues.
13) Corrects update glitch introduced in 5/12/2009 update that affects few users.

5/12/2009
1) Pos. by Lot report now subtotals on "Rem. Cost/Unit" field.
2) Wash sale CBA transaction generation now activated.
3) Custodian Import tweak to ensure that money market quantity=amount is maintained when taxes withheld.
4) Drawdown% and Turnover metrics now subtotal properly accross multiple accounts.
5) Performance report start/end dates now reset in multiple account reports to account for differing specifications for ROI Start Date and Acct Close Date.
6) Recon. records now pull AcctId field from position records.
7) Annual Roi normalization tweak for certain negative cases over longer periods.
8) Market index lookups now case insensitive.
9) "blank indexes" on batch position view are now suppressed.
10) multiple positions for same option symbol (e.g. for employee stock options) now fetch proper cash flow for by security ROI's.
11) Excel Reports output problem with slashes missing in dates is now fixed.
12) CSV reprots now disply columns in the correct order as specfied in the report.
13) Common routines added for .Net 3.5 for integrated Install menu.

5/6/2009
1) Report tweak, so users can specify space after "before user text" even if text is empty.
2) Portfolio perf. report can now does not require contiguous index field selections (i.e. index0,index1,index7 now possible)
3) Account cross-ref perf. report benchmark calcs now use same start/end date as account when account held for partial period.
4) Transaction report with "Periodicity" now picks up 1st date.
5) Manual valuation indicator in position record price source field now retained after valuation recalcs.
6) Benchmark index perf. for weekend start date now properly uses Start date with prior Friday index value.
7) Update of manual prices for to price history now checks to be sure sec. record exists.
8) QIF import when QIF data does not have Security data now no longer applies check sum if symbol is less then 10 chars.
9) Tweaks to generic imports to ensure cash deposits and withdrawals are always coded DPF and WDF
10) Swap trade data fetch bug fixed.
11) Sec. Benchmarks now average in Subtotal/GT lines in ROI by security reports.
12) Portfolio Perf. rpts now do not extend beyond date specified "Date Closed" in account record.
13) Portfolio Turnover fields added to Account composite reports at Level 4.
14) Computation function on Xrate field of Div.& Int. transaction now properly computes amount in "Amount" field.
15) Period report group header visibility algorithm tweaked so group header is visible in all cases where at least one detail 
record is visible.
16) Report Header tweak for Acct. Title w. Address to remove extra space.
17) Upgrdae RB 10.09 to 1..04 and PS to 11.02. All custom reports will be upgraded.
18) New Update Rollback feature implmented in SCPanel program to revert program to an earlier version 
    if experiencing problems with latest update.
19) Problem with incorrect permissions to be set to the menus while switching between custom and standard views fixed.
20) Forced automatic backup of reports and settings will be performed in this update. To preserve reports created with RB 10.09 and prior.
21) Minor Issue with Reprot Run Page raising an invalid error when Filters transferred from Report Sets is fixed.
22) Backup routine now handles all image files stored under CTReports folder for logos.
23) Bug in Backup and Restore operation not backing recursive folders is fixed.
24) Handeled double quotes in RepID's name. Was erroring in report selection page.
25) SCPanel now warns if Automatic Backups are turned off.
26) Fixed Extracts routine to validate invalid chars in RepId name.
27) Changed backup routine job interface function to allow for finer control to override server prefs.
28) Special processing in all Web programs to support firefox compatibility. RGB etc.

4/15/2009
1) Turned off all Dbg symbols. Test Build.
2) Added A "Don't Consolidate Reports" option to report run page to avoid creating a final consolidated 
   output report to conserve memory. Final output will not be displayed in the browser if checked.
3) Javascript modifications to validate EMailing and Saving choices.

4/13/2009
1) Portfolio trans. rec. computation of Aux Date/Aux Amount field disabled in 10/3/08 release, renabled.
2) Bond Val W/o Accrual field now subtotals.
3) Div. Accrual now computes for ex-date.
4) Turning "Div. Accrual" "Off" for an account clears any computed accrued div. next time valuation recomputed.
5) Generic import enhancements to allow extracting parts of string fields.
6) Trade consolidation on custodian import (Interactive Brokers) now computes implied price factor.
7) Account and Security caching during report generation revised to always fetch all fields (to minimize missing field type errors)
8) TAC field added to realized gains report.
9) Two new TAC codes (FDW,FDR) added for Unit Inv. Trusts and Funds.
10) Fixed an issue in ReportSets feature to correctly retrieve and use the saved Sort Order specified.
11) Handled the case of invalid characters in Saved File name for Reports. Replaced them with '_'.
12) Fixed bug affecting running\editing Custom Report Groups for Vista Installations. 
13) Added JS code to hide Warning about Emailing Reports which was displayed incorrectly.
14) Implemented feature to selectively issue HotFixes based on License number instead of general hotfix.

4/6/2009
1) Special Build for Reverting RB to v10.09 and PsRB 2.17 due to potential reporting problem with RB.
NOTE: May need to revert custom reports edited\created using CTNet versions 9.4.1 and 9.4.3.
2) Cross-ref reports with single acct. now dont error on AccountGroup field. 

4/3/2009
1) Underscores no longer added between Index symbols and blend percent specification in account record edit.
2) Allow computation of greater than 2 places of precision for position values for cash & mmf holdings if display precision>2
3) Reporting internal "shiftwithparent" function disabled.
4) Debug statements in Custodian Import File display problem for certain conditions.
5) HTTPPrefix now passed to the common Emailing routines.
6) Changed License Downgrade code to check for User count and exit if downgrade will result in invalid number of users.

4/1/2009
1) Reporting of holdings vs. model now brings in descrip. for not held model securities and properly
reports model percentages when reports contains grouped accounts.
2) Dividend accrual now properly computed as zero for positions purchased on/after ex-date.
3) Two year date format specified w/i report field now do not show as blank (further fix to 3/20 item)
4) Cumulative performance report now runs faster and now can displays certain acct. level fields such as 
base currency and family.
5) Pos.by lot report now uses manual Aux Amount for Orig. Cost field for Buy transactions. Also accrued in
is excluded from orig. cost.
6) "Calc" function on Transaction record Amount field now will not overwrite manually entered value. Manually
entered status can be reset by clearing field first
7) Default length for string fields increased from 20 to 100 for Temporary tables (e.g. batch position, swap trade tables).
8) Hold Categ. grouping added to Pos. by Lot report and Short/Long field now populated for this report if field
if selected even if Short/Long accounting is not activated for account.
9) Dividend accrual computation now includes share dividends. Dividend accrual now requires the div. payment dates, ex-dates and rates always be specified in Div. History records (security id specification no longer an alternative) due to the typical variability of payment and ex-dates.
10) "WhereHeld" function now shows multiple position dates if single acct and symbol.
11) Cached price records now cleared after manual price changes & also before repricing batch function.
12) Some client/Account record fields in ROI by Sec. reports which were erroring on lookup, now fixed.
13) Some reporting incompatibilities with new version of Report Builder component resolved (only needed if you downloaded a hotfix since 3/20)
14) Rpt Tweaks to improve vertical centering of text in group headers to align with colored backgrounds and 0.05in "cushion" space added to right side of detail and group regions for appearance. Any report editing will activate these changes.
15) Fee rpt tweak to implement min fee for zero fee rate account.
16) No longer using SaveOrder property while editing reports. RB problem.
17) Idi and Help files updated.
18) Several Changes to CTClient, CTServer, Common and BL source files for D2009 compatibility. SCpanel ported.
19) Updated Wrapper functions to get System and Windows folder path for D2009 compatibility.
20) Minor UI changes to SCPanel.
21) "Check for Updates" now includes an option(checkbox) to Automatically launch the update after downloading.
22) Last update state (Date etc) is stored after "Check for Updates" is launched.
23) Reason for Emailing feature being disabled is now indicated on the Report Run and Set pages.
24) Dates prior to 1/1/1900 are not supported while running reports. Negative dates issue.

3/23/2009
1) Reporting of holdings vs. model now brings in descrip. for not held model securities and properly
reports model percentages when reports contains grouped accounts.
2) Dividend accrual now properly computed as zero for positions purchased on/after ex-date.
3) Two year date format specified w/i report field now do not show as blank (further fix to 3/20 item)
4) Cumulative performance report now runs faster and now can displays certain acct. level fields such as 
base currency and family.
5) Change in 3rd party component for compression routines.

3/20/2009
1) Cross-ref. Holdings by Account report now again works with detail suppressed (inadvert disabled in 2/12 release)
2) Cross-ref. Perf. by Account reports now configured to hide detail as default setting.
3) Cross-ref. ROI by Matrix report (Pro3/higher) modified to run faster when grouped by acct and details hidden.
4) Posit. rec. accrued field color cleared to default when field is cleared.
5) Realized gains Rpt 3/6 inclusion of CIL in report now displays correct date for same, and does not pickup CILs from prior periods.
6) Amortization sign correction from 12/30 release
7) QIF import fixed to remove extraneous quotes around symbol inadvert introd in 1/22 release.
8) Batch split & merge acct functions fixes for uninit variables.
9) Problem editting symbol is TransBlot due to uninit Var. fixed.
10) CTwin data conversion and CTnet valuation computation now zeros "Unsettled Qty or Amt" values.  
This is necessary to deal with possible bad data in these from old Program. (These fields are not being used)
11) Control Option added to Realized Gains rpt to allow transactions with manually zeroed est tax fields to be included in rpt.
12) Position record fetch for holdings/period reports now insensitive to spurious contents in option price field.
13) Treatment of Tax W/H in accts with exchange rate corrected (inadvert introd in Jan. release).
14) CBOE symbol format no longer automatically used to assume that a security is an Option upon manual entry or custodian import due to
similar formats being used for other securities. Import data must explicitly indicate option detail and user manually
importing data must enter option detail in security record (tradeoff forced by use of CBOE fmt by other srcs, e.g.Yahoo).
15) Report date problem with non-system date formats intro'd in 3/16 release, now corrected.
16) Desktop program now correctly identifies in a compute operation is submitted to tasker and prompts for viewing jobs log. 
    For normal inline computations no prompt is displayed.
17) Backup job in Auto Tasker now does not purge old backups if it results in no backups being retained. It will also try to 
enfore a retain policy for backups while purging. Ensures that there are some backups always retained.
18) Several source files changed to comply with compiler warnings.
19) Modified Indy source code for emailing reports to always use Port number regardless of SSL usage.

3/16/2009
1) Null maturity dates (and other dates)  in reports now always displayed as blank.
2) "Hiding closed Positions" and "Hiding Zero Cash" together now does not also hide preceeding acct header (problem introd 1/16)
3) Report record initialization change to avoid generating unnessary empty records (no change in visible output). 
4) Accrued dividends now allow longer than 45days between ex and payment date (now up to at least 5 months)
5) For Windows Vista : SCPanel now detects if it is running in elevated mode or not.
6) For Windows Vista : If not, then it warns the user and restarts itself in elevated mode. Also added a new function under "Admin" 
   menu.
7) Report selection page now correctly formats for Firefox browser and no longer display "&nbsp" for space.
8) Alternative redirection method for display report putput introduced for supporting Firefox.
9) Debug code added in narrowing down "." in last name problem with client edit dialog.

3/11/2009
1) Employee stock options reporting now handles single symbol for multiple option dates.
2) Date of Birth added to account table as a lookup field.
3) CIL (cash in lieu) transactions now show on realized gains report even if transaction quantity field is blank.
4) Tweak to bond accrual calc to deal with case where computed first payment date is shortly after issue date.
5) Tweak to Dividend frequency count when computed from security dividend history to allow for small yr to yr chg in div dates.
6) Tweak to period reports to fix bug intro'd in #1 above (only experienced by users who got "hotfix")
7) Variable "ShortName" in alloc. trade records increased from 20 to 30 characters.
8) Composite report subtotaled by symbol now reports security benchmark roi on subtotal line.
9) Tweak to symbols exclusion code on report options screen so not sensitive to spaces between symbols.
10) Index ROI's tweak to internally add pricing date when period ending date on weekend/holiday.
11) Security record "Calc" funcion on Payment Date and Rate field now only applicable if the distribution generation method is From Distrib. records.
12) Function which interprets Ex and Payment Date specification modified so always gets first payment date of year (for Income F/c report).
13) Spinoff generator now applies correct sign to Aux. Amount of DLV transaction.
14) CBA is now an allowed TAC for the distribution records.  
15) Performance report option added to allow user to override ROI start date/Acct Close date for Client Perf reports.
16) Removed PDF form-fill functionality from Client Edit screen.
17) Idi file updates
18) Added a Refresh option for Client On-Click event. 
19) When clicking the calculator icon on the positions view, it no longer requiers a second click to display prices.
20) Corrected incorrect result setting for the above function.
21) Account selections from Reconciliations view are carried over to the Batch Valuations account selection dialog.
22) Fixed reporting program such that it dos not need for the user to click the "View Report" button when using Firefox browser.
23) Captools/net now supports 64-bit instances of SQL Server. Upon installation the control Panel will display the database dialog 
24) and the user can select "CAPTOOLSDBINST". However, the SCPanel will display the database type as "Error : Unknown Database Type...".
25) Allocation record fetch routine tweak to ensure correct record dates fetched if multiple instances of same model.
26) Reporting bug intro'd in 2/12 release corrected, affecting neg. annualized roi for short term holdings reported for long periods.
27) Fixed a bug in the securities Mgmt program that was raising an error while setting the "In-Active Months" setting.
28) Null maturity dates (and other dates)  in reports now always displayed as blank.
29) "Hiding closed Positions" and "Hiding Zero Cash" together now does not also hide preceeding acct header (problem introd 1/16)

2/25/2009
1) Custodian import scripting enhancements to better support TDWaterhouse Canada data format.
2) Account Avg Gr. Total compuations now bypassed for speed because not needed when displaying acct totals only.
3) Tweak to retrieval of prior distrib. date from security record specification affecting month-end case, monthly freq.  
4) Realized Gains rpt bug intro'd in 1/30 release, corrected.
5) Correction for Server Control Panel version number which was causing spurios Update notifications.
6) Fixed Auto Tasks configuration page to correctly display 12 Am time settings.
7) Fixed Auto Tasker to reset sellf before symbol activation task triggers to allow for sufficient time for backup task to finish.

2/20/2009
1) Cross-ref. performance report with detail hidden now displays account level fields such as "Acct. Title".
2) Fixed issue with Desktop's Batchj Valuations window to correctly focus the last record.
3) Beta-Introduced .RC and .Res files for embedding a manifest file in SCPanel.

2/17/2009
1) Manually entered accrued int on buy or sell now properly computes into amount.
2) Tweak to quote download code to accommodate Yahoo changes.
3) Position record flags now updated if Symbol's security record "Special" field is changed.
4) Cash IRR when "B/D AcctID Active" is checked is now properly picking up all cash flows.
5) Positon by Lot when "B/D AcctID Active" is checked is now properly showing all positions.
6) Fixed Automatic Tasker to eliminate repeated price downloads in certain cases.
7) Value adjustment for Variable Debt Securities based on computed "Bond Principal Factor" now supressed. 
Factor used now is imported in Xrate field.

2/12/2009
1) Report Line graph Axis scaling now given an addition 5% buffer so grph does not hit top of range.
2) Report pie chart "pie" border now uses slightly wider line.
3) Foreign currency converted from prior Captools now re-computes to correct cost basis.
4) Report with option to "Hide" closed position now has proper spacing between visible records.
5) Foreign cash accounting tweak made 1/8/09 reversed.
6) Cross-ref. ROI Performance report now runs faster when security detail hidden.
7) Short period negative Twtd ROI calc normalization errors, intro'd in 1/30 release, now fixed.
8) "Effective Fee Rate" field in mgmt fee report now subtotals. 
9) Manually entered cost in Aux Amt field of Closing transaction now recognized in 
10) Batch Valuations and Positions dialog now scrolls to the bottom to show the most recent record.
11) Desktop and Control Panel now look in the Comon App Data system folder for the RemoteHost program.
12) Modifed SCPanel to display hidden folders for Vista installations while selecting folders.
13) Fixed Tasker Downloads to look the correct path for SVC files for Vista.

2/4/2009
1) Realized Gains report now suppresses quantity field subtotals except at inner-most level.
2) Distribution Generation function now allows specification of security "Types" for inclusions/exclusions by placing the notation "types=xxx,yyy,etc" in the "Symbol" specification field. 
3) Mgmt. Fee report tweaked to "Uniform Period" option to correctly treat periods starting with Feb.
4) Tweaks to reconciliation routines to reduce mem. usage.
5) Tweaks to Inc/Exp by Sec. report and realized gains report to plug mem leaks.
6) Report mod to suppress group headers for groups where all items are hidden.
7) "Get Prices" function on Batch Position screen now operative again.
8) httpsrvr.dll now put under wwwroot folder for Vista.
9) 3 new VBScript files introduced for configuring for Vista but used only if installer fails to configure.
10) Fixed issue with "DontConsolidateReport" feature for reporting.
11) Option to submit a Report Set job to Tasker added to the Report Selection page under the Report Sets section.
12) Several modifications to SCPanel for Vista compatibility - Skip scripts, set folders and Permissions etc.

1/30/2009
1) CashEquiv accruals now optionally add to valuation.  Cash equiv. accruals now can be done on a 30/360 basis.
2) Fix to realized gains report for options when "expired options" reporting option used.
3) Exchange rate field now updates to portfolio from "show by symbol" batch position view.
4) Tweak to TwtdROi calc. so steep very short term loss does not give -100% roi.
5) Manually entered position record accrued amount now protected from override during recalc. Accrual value picked 
up from Recon records only when non-zero.  Accrual field backgrd color lightened.
6) IRR calc tweak for better convergence when smaller negative results.
7) Modification to change made in 11/24 release in price x position calc. so price now rounds to currency if float vs 
currency difference is less than would result from fractional pricing down to 1/64th. I.e. both decimal and fractional 
pricing now supported w/o rounding differences.
8) Netting of From/To cash transactions corrected for change made in 1/8/09 release which used wrong sign.
9) Period report (profix/roi by security) fix to bug in exchange rate lookup when security marked as "foreign".
10) Batch Position Gain and Gain% now immediately updated after "Get Prices" function updates record.
11) Web Updates component upgraded. Made changes to for Vista Compatibility. Files downloaded to CTDLFolder.
12) Fixed issue with report saving file name prefix control to allow for strings in addition to field values.
13) UI Changes in Report Run page and Set page for report saving file name prefix control.
14) BETA-DontConsolidateReport feature intriduction for not consolidating individual reports for conserving system resources.
15) Modified SCPanel to display correct version and edition info for SQL Server 2008.
16) Modified SCPanel to correctly pickup DB path for Vista installations.
17) Modified SCPanel to not execute Install Scripts for Vista installation since it will be done via insall menu.
18) Modified server code to attempt to start and stop services.
19) Modified SCPanel Hotfix and Aux file download features to work on Vista.

1/22/2009
1) Distributions Generation function now can be based on Security Record Payment Specs for Fixed income securities.
2) More mods to support MS-Money QIF file import.
3) Possible div by zero in condition in roi calc fixed.
4) Report "Consolidate Closed Positions by Category" option temporarily disabled. ("Closed by Account" still operative).
5) Resotre operation fixed to inlclude import and export files.
6) The Sorting order is now stored in the accounts selection page for report sets. Sorting preserves the previous selection.
7) The correct date range is passed on to the Tasker when executing a report set.
8) Problem with account selection screen for report sets incorrectly identifying 
   certain reports as fund accouting reports is now fixed.
9) The updates download location is now changed to be Vista compatible. Hotfix, Aux file download 
   locations are also changed to program data location for Vista. No change for existing installations.

1/16/2009
1) Tweak to Rpt Group S/t footer text vertical alignment (line spacing w/i region). Also background color no longer
applies to bottom spacing for footer subtotals.
2) Mod. to QIF import routine to support MS-Money generated QIF files.
3) Report decimal formatting for "Floating" decimal, now implements "minimum" decimal option.
4) Option to hide only "Inner" one line subtotal added to reports.
5) Tweak Item #1 in 12/30/08 release to have User Tac description apply only to group header description, not rpt body
6) Consolidated Closed positions roi computations on reports now correctly reported (previously was picking 
   up Gr. Tot. roi values).  Consolidated closed positions now also reported as a sub-total line rather than as a detail line.
7) Column S/T footer settings now respond to right click to change the S/T function.
8) Implemented a new symbol lookup link to "Finra" which is useful for Bonds.  
   Added as an item to the popup menu when right click on a symbol.
9) Fix to correctly configure DotNet framework for 64bit OS.
10) Report Sets now save the Sort order that was used to select accounts. When the report is actually 
    run this sort order is used to process the accounts. Added new DB field to Saved reports table.
11) Email place holders now only displays information for the accounts that are processed in that report with a merge critieria.
12) Ability to select Network locations for BackUp Path is removed as it is not supported.
13) The Desktop refrehs options #1 and #3 are not restricted based on the compuation options in the Server Configuration.  

1/08/2009
1) EXP tac code transactions with non-"(CASH)" symbol now treated as negative cash flow for ROI by security computations.
2) Fix to #2, 12/19 revised, "IF=" condition in script relative to other specs no longer order sensitive (needed for Scottrade)
3) Symbol filter option removed from fee report as non-applicable.  Symbol exclusions can still be used if
activated in fee record. 1/2
4) Option realized gains reporting bug fixed.
5) Invalid or obsolete or renamed report fields now automatically removed from reports.  
6) Security category description field now operative for holdings and period perf. reports.
7) Security spin-off tool now functioning.
8) "UnitCost" variable in tax lot computations now referenced as "float" not "Currency" to avoid inavertent rounding.
9) Rotated type reports now assign custom fonts in "OnBeforePrint" event so other text regions can print properly.
10) Rotated type reports now have page width limits removed for CSV or XLS output.
11) Report "Hide single line subtotal" setting now preserves group "space after" property
12) Correction to 12/5 release affecting multicurrency accounting of cash balances (balances may need recomputing)


